-----------------------------
  ipmiutil project ChangeLog
  (formerly panicsel project)
  CHANGE HISTORY:
  (oldest to newest)
-----------------------------
  10/24/01 ARCress  ver 0.8.1
       panicsel kernel patches submitted (ksyms.c, panic.c)
  11/02/01 ARCress  ver 0.8.2
       mkrpm - changed mkrpm to isolate $HOME 
       panicsel.spec - changed to edit lilo.conf for panic timeout
  11/07/01 ARCress  ver 0.8.3
       added showsel.8 & selpef.8 man pages
  11/15/01 ARCress  ver 0.8.4
       fixed panicsel.spec for 'file exists' errors (bug 32)
  11/16/01 ARCress  ver 0.8.5
       fixed panicsel.spec to require isc package (bug 32)
       fixed panicsel.spec for extra debug output (bug 38)
  11/19/01 ARCress  ver 0.9.0-1
       Updated panicsel kernel module to use special open source ipmi driver.
       Enhanced panicsel utilities also (showsel & selpef).
       Utilities still do require the /dev/imb driver from ISC, however.   
  11/28/01 ARCress  ver 0.9.0-2
       Modified LICENSE file to include official ISC license text.
  12/06/01 ARCress  ver 0.9.0-3
       Updated README & panicsel.spec for better documentation
  12/14/01 ARCress  ver 1.0.0
       Updated man pages for cosmetic issues
  01/16/02 ARCress  ver 1.1.0
       Added hwreset, moved to kernel 2.4.16
  02/06/02 ARCress  ver 1.1.1
       Changed selpef to pefconfig, some functions added.
  03/05/02 ARCress  ver 1.1.2
       Updated pefconfig to set all LAN Params, 
       added tmconfig (but not currently included in rpm), 
       updated hwreset with -s option.
       updated all utils to use either Intel or valinux IPMI.
  04/16/02 ACress   ver 1.1.3
       showsel: decode time field in SEL records
       showsel: add display of avail space in SEL and ability to clear SEL
       pefconfig: add SetUser capability if that option is specified
       tmconfig: add shared BasicMode/BiosConsole option (-s), which is
                 supported in TSRLT2 P10 BIOS build 44 and greater.
  05/09/02 ACress   ver 1.1.4
       pefconfig: fixed ccode=c7 on param 16/18 
       pefconfig: fixed bug 504 with gwy mac = 0
       bmc_panic (kernel): added BMCPANIC_ACTION to power down/power cycle.
       panicsel rpm: changed pathnames to conform to OSD feedback
       tmconfig:  updates based on customer feedback
  05/28/02 ACress   ver 1.1.5
       all: fixed imbapi.c/DeviceIoControl problem with buffer >41 bytes
       all: changed LICENSE to BSD
  05/31/02 ACress   ver 1.2.0
       pefconfig: get community name from snmpd.conf
       pefconfig: set dest type for no ack, no retry
       pefconfig: special handling to set preset PEF entries
  07/03/02 ACress   ver 1.2.1
       all: added more usage text
       tmconfig: added -d option to disable serial configuration
  08/02/02 ACress   ver 1.2.2
       consolidated inc/* header files into imb_api.h with BSD license 
       fixed tmconfig -c password memcpy
       moved common ipmi_cmd() code to ipmicmd.c
  08/27/02 ACress   ver 1.2.3
       pefconfig: fixed 0xc7 error on SETUSER_ACCESS when using -P
       pefconfig: show a message if no alert destination specified
       sensor.c: added pre-alpha version of this utility
  09/12/02 ARCress  ver 1.2.4
       UserGuide, man pages:  updated URLs for sourceforge
       added TODO file
  10/09/02 ARCress  ver 1.2.5
       pefconfig: decode Dest address IP in decimal
       showsel: added -v (version) option
       sensor: added decodeValue routine
       bmc_panic: fixed compile warnings in bmc_ipmi.c & bmc_selmsg.c
  10/30/02 ARCress  ver 1.2.6
       sensor: added expon routine 
       sensor: added SDR types 08 & 14
       added fruconfig utility
       ipmicmd: added ipmi_cmd_raw subroutine, changed CMDMASK
       updated UserGuide
       added kern/alarms.h to document alarms panel LEDs
       added kern/bmcpanic19.patch for lk 2.4.19
  12/10/02 ARCress  ver 1.2.7
       tmconfig: fixed -c for Langley-Pr TMode
       tmconfig: several changes to parameters
       pefconfig: fixed -C handling
  02/04/03 ARCress  ver 1.2.8
       fruconfig: fixed write_fru, v1.0 release
       added man pages fruconfig.8 & sensor.8, updated UserGuide
       bmclan.mib: added MIB for BMC LAN SNMP traps (but no OS Crit def yet)
       ipmicmd.c/ipmimv.c: added support for MontaVista OpenIPMI driver
       kern: added bmcpanic-2.5.44.patch and linux-ipmi-2.5.44-v12.diff
  02/26/03 ARCress  ver 1.2.9
       showsel: more descriptive messages if empty, or nearly full.
		trimmed output to fit more on one line,
		decode panic type bits for OS Critical Stop
       bmclan.mib: added OS Critical Stop definition
       pefconfig: show/set PEF Control value, etc.
       fruconfig: added GetSystemGUID also
       sensor: schulz change for float & HP netserver 1000r
               guomin change for simpler output with -l
       alarms: alarms handling utility added
       wdt: watchdog timer utility added 
       test/watchdogtest: added /dev/watchdog test tool
       test/panicsel-k.sh: pattern is "bmc_panic" now.
       kern/bmcpanic-2.4.18.patch: reworked for ipmi_send_recv,
				   added some type bits
       kern/bmcpanic-2.4.19.patch: reworked as above
       kern/bmcpanic-2.4.20.patch: new
  03/26/03 ARCress  ver 1.3.0
       fruconfig: more bounds checking
       showsel:   added savid for more efficient read loop if -w 
       imb_api.h: morphed comments for some crazy compilers
       imbapi.c:  morphed comments for some crazy compilers
       kern/bmcpanic-2.5.62.patch: new, from guomin
       Makefiles & .spec file: changed to use autoconf/automake
  04/08/03 ARCress  ver 1.3.1
       pefconfig 1.15: added -i option for eth interface
       imbapi.c: fix compile warnings, fix license text error
       ipmimv.c: fix problem with crontab or null-stdin invocations
       alarms.c: 1.1: added -i for Chassis ID function
       hwreset.c: 1.6: added -o for soft shutdown OS
       man pages: updated, added alarms.8 & wdt.8
       UserGuide: updated with new man page info
  05/03/03 ARCress  ver 1.3.2
       imbapi.c:  clean up misc compile warnings
       alarms.c:  only try to set ID on/off if option specified
       fruconfig.c: switched board part num & serial num
       showsel.c: changed display ordering
       ipmicmd.c: added GET_POWERON_HOURS 
       ipmicmd.h: added GET_POWERON_HOURS 
       sensor.c:  added Power On Hours
       hwreset.c: changed boot options to leave console redir same
  06/24/03 ARCress  ver 1.3.3
       fruconfig.c: added Chassis fields
       fruconfig.c: added errno.h
       pefconfig.c: fixed EnablePef if startup delay not supported
       pefconfig.c: added errno.h
       wdt.c: progver 1.2 includes EMSGSIZE fix
       ipmimv.c: ignore EMSGSIZE errno for get_wdt command 
       showsel.c: fix -w if log gets cleared
       ipmicmd.c: always add an extra byte to _mv sresp for cc
  07/24/03 ARCress  
       hpiutil-1.0.4.tar.gz:  added parallel HPI utilities
  07/30/03 ARCress  ver 1.3.4 
       pefconfig v1.18: add SerialOverLan configuration
                        mod to SetUser, added GetBmcEthDevice,
                        use 'arping -I' if eth1.
       ipmicmd.c: added serial-over-lan commands,
		  added GetThresholds, fix for ipmi_cmd_raw,
		  changed some error messages
       sensor v1.8:  add -t option for thresholds,
		     added sample Discovery routine (unfinished)
		     added ipmi_getdeviceid for completeness
  08/18/03 ARCress  ver 1.3.5 
       pefconfig v1.19: add SetLanParam(2) to 0x17 for SSU bug
       showsel   v1.14:  Decode OEM event records for panic string
       kern/bmcpanic-2.6.0.patch: changes to OpenIPMI for kernel 2.6.0
  09/18/03 ARCress  ver 1.3.6
       ipmicmd.c: added debug messages for fDriverTyp first time
       sensor v1.9: show hex for most SDR OEM subtypes
                    fix bug in GetSDR multi-part gets (usu OEM SDRs)
                    stop if SDR Repository is empty
       showsel   v1.15: add more sens_desc strings
       pefconfig v1.21: Don't enable a PEF entry if it is empty,
                        added -L lan_ch parameter,
                        scan for lan_ch in GetBmcEthDevice
       tmconfig  v1.13: isolate ser_ch, add -n option to specify chan#
       UserGuide:  added links for other IPMI drivers,
		   updated with new man page details
       sensor.8    added option -t
       pefconfig.8 added option -L
       tmconfig.8  added option -n
  10/29/03 ARCress  ver 1.3.7
       pefconfig v1.21 added option -D for DHCP
       pefconfig.8     added option -D
       sensor    v1.10 added options to set thresholds
       sensor    v1.11 fixed offset for show thresholds
       sensor.8        documented threshold options
       showsel   v1.16 add more sens_desc strings (for boot)
       wdt       v1.3  fixed cc error in set_wdt (idata size)
  12/05/03 ARCress  ver 1.3.8
       pefconfig v1.22 fixed auth type enables for ServerConfig
  01/15/04 ARCress  ver 1.4.0
       ipmicmd.c       added more SEvt commands
       ipmicmd.h       added more SEvt commands
       sensor    v1.12 fixed SetThreshold to set hysteresis
       sensor.8        more desription on set threshold parameters
       UserGuide       updates sensor man page, added completion codes
       README          updated with current man page filenames
       showsel   v1.17 more sens_desc for Fans
  01/20/04 ARCress  ver 1.4.1
       imbapi.c        added WIN32 flags
       imb_api.h       added WIN32 flags
       ipmicmd.c       added WIN32 flags
       alarms    v1.2  added mBMC code, Chesnee disk LEDs, & WIN32
       showsel   v1.18 added WIN32 flags, added header display
       sensor    v1.13 changed field order, added header display
                       check for sdr sz below min, added WIN32.
  03/23/04 ARCress  ver 1.4.2
       showsel   v1.19 ClockSync description changed
       wdt       v1.4  fixed cc=0xcc if pretimeout not zero.
       pefconfig v1.24 changed default pefnum for mBMC to 10
       sensor    v1.16 Added SDR type 3 parsing for mBMC,
                       Added check for superuser, more mBMC logic
  04/08/04 ARCress  ver 1.4.3
       checksel   New script using showsel to write to syslog and clear if low
       showsel   v1.20 change pattern matching for thresholds,
                       added sens_desc for ID Button
		       added sens_desc for HSC, System Events, Power, Inter.
  04/30/04 ARCress  ver 1.4.4
       showsel   v1.21 added threshold OK descriptions,
		       change header (time is local, not GMT)
       sensor    v1.17 added -r option for raw SDR output
       ipmimv.c        increased timeout from 5 sec to 10 sec
       pefconfig v1.25 fixed lan_ch detection for some /dev/ipmi0 cases
  06/10/04 ARCress  ver 1.4.5
       ipmimv.c   only open/close device once per application for 
		  mv/openipmi driver, rely on each app calling ipmi_close.
       *.c        changes for ipmi_close, changes for WIN32
       doc/mk.bat added, sample build script for WIN32
       sensor    v1.18 fixed sresp in GetSDR for WIN32
       showsel   v1.22 added ReportEvent for -w option with WIN32
		 v1.23 use gmtime instead of localtime for WIN32
       pefconfig v1.27 added channel access params for ia64, added WIN32
  07/14/04 ARCress  ver 1.4.6 panicsel
       pefconfig.8     added more explanation with alert dest ip parameter.
       pefconfig v1.28 added parsing for community on trapsink line,
                       show error message if GetDeviceID fails for WIN32.
       tmconfig  v1.15 allow -p for user 1 if no username specified (fSetPsw),
                       show error message if GetDeviceID fails for WIN32.
       sensor    v1.19 added -a to reArm sensor
       UserGuide       fix description of checksel
  07/23/04 ARCress  ver 1.4.7 panicsel
       pefconfig v1.29 use lan_ch variable to set Alert Policy Table,
		       which fixes a problem for TIGPT1U platforms.
       bmclanpet.mib   new MIB file added for PET
       bmclanaol.mib   renamed from bmclan.mib for alert-on-LAN
  08/05/04 ARCress  ver 1.4.8 panicsel/ipmiutil
       panicsel.spec   redirect stderr to $tmpsel from pefconfig command.
		       For SuSE, symlink snmpd.conf to common location.
		       Also added icmd & icmd.8 to rpm.
       hwreset v1.9    implement special OS shutdown method for Langleys,
		       make sure to show error if ccode != 0
       icmd    v1.2    fix for mv driver type in ipmicmd.c (thanks Kevin Gao)
       doc/icmd.8      new man page added
       doc/UserGuide   added icmd description
		       added Use Cases for sensor thresholds and for 
		       pefconfig with gpg decryption of password.
       doc/Makefile    copy icmd.8 for make install
       util/ipmimv.c   handle alternate device filenames for some 2.6 kernels
       showsel  v1.24  add more decoding for Power events
  08/24/04 ARCress  ver 1.4.9 ipmiutil
	sensor   v1.20 add decoding for DIMM status (compact SDRs)
        pefconfig 1.30 fixed decoding of PE Table entries,
		       added option -e for completeness,
		       added more messages to GetUser.
	pefconfig.8    added more explanation of options.
	UserGuide      added separate References section 2.2   
		       added section 4.5 on interpreting SNMP traps
		       from BMC LAN events.
		       added section 4.3 for watchdog usage
        ipmiutil.spec  link MIBs into /usr/share/snmp/mibs
        alarms.c       added more comments about alarm status byte
  10/29/04 ARCress  ver 1.5.0 ipmiutil
        pefconfig 1.31 added Get_Mac, etc. logic for WIN32.
	pefconfig 1.32 added -N & -R
        pefconfig.8    describe format for MAC address params.
        UserGuide      describe format for pefconfig MAC address params.
	hpiutil/*      misc changes, see hpiutil/ChangeLog
        alarms    1.4  make sure we always write 1s for relays
        ipmignu.c      new file, to support GNU FreeIPMI lib
	ipmicmd.c      changes to support gnu lib
        util/*.c       changes to add -N nodename -R rmt_passwd
	freeipmi/*     new include files, lib files
	doc/*.8        add -N -R descriptions
	doc/UserGuide  add -N -R descriptions
  11/09/04 ARCress  ver 1.5.1 ipmiutil
        ipmignu.c      use MD5 instead of MD2 for ipmi_lan,
		       changes for comp code in _kcs_cmd & _lan_cmd
		       added sig_timeout for _kcs_cmd & _lan_cmd
        ipmiutil.spec  create /var/lib/freeipmi/ipckey in postinstall
  11/16/04 ARCress  ver 1.5.2 ipmiutil
	ipmignu.c      added username logic, added sig_abort for ctl-C
	util/*.c       added -U option
	doc/*.8        added -U option description
	showsel.c      added more watchdog2 decoding
  11/23/04 ARCress  ver 1.5.3 ipmiutil
	ipmignu.c      added ipmi_lan ping before open_session, 
		       added connect states for timeouts.
        sensor.8       added -w option
	sensor   v1.22 added more compact sensor decoding, and -w option
        showsel  v1.28 added more decoding for crit_int, slots, etc.
		       changed firmware error decoding
        pefconfig 1.34 added -u option to configure a lan username
	fruconfig 1.9  version with ipmignu.c changes
	tmconfig v1.17 version with ipmignu.c changes
	hwreset  v1.11 version with ipmignu.c changes
	alarms   v1.5  version with ipmignu.c changes
	icmd.c   v1.4  version with ipmignu.c changes
	wdt      v1.7  version with ipmignu.c changes
  12/08/04 ARCress  ver 1.5.4 ipmiutil
	hwreset  v1.12 fix bug 1075550 with -o -N, skip -o if not local
	sensor   v1.23 added sens_type to display output 
	wdt      v1.8  add counter & pretimeout display in show_wdt 
        icmd     v1.5  changed usage order, put bus first
        imbapi.c       IMB_MEMORY compile flag, skip unneeded routines
        doc/bmc*.mib   removed outdated license text
	hpiutil/hpiwdt v1.1 - fixed RPT loop, added more decoding, 
                              added flags for HPI_A/HPI_B. 
	hpiutil/hpireset v1.1 - added HPI_A/B flags
	hpiutil/hpifru   v1.3 - added HPI_A/B flags
  01/11/05 ARCress  ver 1.5.5 ipmiutil
        doc/bmc*.mib   added BSD license text for clarity
        Makefile.am    consolidate PKGDIR
        setver         discovers PKGDIR based on MACHTYPE
	sensor   v1.25 added support for device sdrs also,
		       fixed sens_cap byte,
		       change display order in ShowThresh, highest to lowest,
                       change signed exponent type in decodeValue
        pefconfig 1.35 allow BMC LAN check if fIPMI10
  01/13/05 ARCress  ver 1.5.6 ipmiutil
        hpiutil/*      changes for hpiutil-1.1.8 and HPI_A/B porting
	fruconfig 1.10 add logic to scan SDRs for all FRU devices, 
		       and interpret them.
	sensor    1.26 added time display if -w
  01/31/05 ARCress  ver 1.5.7 ipmiutil
        util/*.c       additional WIN32 compile flags for -N/-U/-R
	sensor    1.27 mod for Power Redundancy SDR status
	fruconfig 1.12 display formatted SystemGUID (with dashes)
        pefconfig 1.36 handle IPMI 2.0 versions
        tmconfig  1.18 handle IPMI 2.0 versions
  02/04/05 ARCress  ver 1.5.8 ipmiutil
        doc/Makefile      change for /usr/share/man
        doc/ipmiutil.spec change for /usr/share/man, change for rpm -U
        fruconfig 1.13 fixed fwords bitmask in load_fru, 
                       added more SPD decoding
  03/10/05 ARCress  ver 1.6.0 ipmiutil
        Makefile.am      better order of cleanup for 'make tarball'
        util/Makefile.am added getevent, xmlconfig
	getevent.c       new file, getevent utility, not always supported.
	xmlconfig.c      new file, xmlconfig utility, similar to pefconfig.
        ipmicmd.c        added more runtime debug to device opens
	alarms    1.6    add new bus id for Intel TIGI2U
        fruconfig 1.14   decode FRU Board Mfg DateTime
	pefconfig 1.37   if DHCP, can set DHCP Server via -I param,
			 added IPMI 2.0 checking,
			 show Serial-Over-Lan params
			 fix -L with lan_ch_parm. mods to GetBmcEthDevice
        sensor    1.29   added FloatToRaw for -h/-l threshold set funcs,
			 added better Phys Security sensor decoding.
			 added -v to show max/min & hysteresis.
        showsel   1.29   made decode_sel_entry a subroutine, 
			 added logic for OEM 0xc0 record types.
        ipmild.c         new file for supporting LanDesk driver (stub),
			 when ldipmi API lib is clean, this can be finished.
        ipmicmd.c        changes to add ipmi*_ld routines
        ipmimv.c         fix /dev/ipmi0 IPMB requests (to other than BMC_SA)
        doc/tmconfig.8   added more in examples
        doc/ipmiutil.spec check for any existing version of libfreeipmi & use it
  03/25/05 ARCress  ver 1.6.1 ipmiutil
        fruconfig 1.15   show Asset Tag Length earlier
        pefconfig 1.39   fix GetBmcEthDevice for invalid MAC compares
	tmconfig  1.19   show ser_ch being used, fix -n ser_ch
	sensor    1.30   show BMC_TAM tag if configured in OEM SDRs
        freeipmi/*       upgraded files to freeipmi 0.1.3 (libfreeipmi.so.1)
  04/21/05 ARCress  ver 1.6.2 ipmiutil
        hwreset   1.13   try netapp_reset commands for platforms that use
			 this if chassis_reset gets an error.
	alarms    1.7    add check for BMC TAM if trying to set alarms.
        bmclanaol.mib    fixed duplicate pET_AlertOnLan trap names
        sensor    1.31   added battery type to decode_comp_reading 
        sensor    1.32   add error message if -n sensor_num not found
			 added more decoding for Power Redund sensor
  05/24/05 ARCress ver 1.6.3 ipmiutil
        hpiutil/* 1.1.10 updates for hpiutil-1.1.10
	ipmicmd.c      - added LINK_LANDESK flags
	imbapi.c       - added LINK_LANDESK flags
	imb_api.h      - added LINK_LANDESK flags
	ipmild.c       - added LINK_LANDESK flags
	hwreset   1.14 - added -u option for power up
        getevent  0.4  - fixed bmc_enable bits, gets events ok now
	showsel   1.30 - fixed -w SegFault with StartWriting/fscanf w GNU KCS
	fruconfig 1.16 - dont try write_asset if show_fru gets an error
        freeipmi/libf* - fixed ipmi_lan_open_session bug in freeipmi-0.1.3
	freeipmi/ipmilan.patch - saved ipmi_lan patch for 0.1.3
	README         - added How to build with LanDesk support

  06/10/05 ARCress ver 1.6.4 ipmiutil
    ipmignu.c      - return NOTSUPPORTED if slave addr != BMC_SA
    ipmignustub.c  - add parameter sa to ipmicmd_gnu()
    doc/UserGuide  - inserted ipmiutil for Windows as section 5.0
    doc/showsel.mc - new, showsel messages for windows syslog
    events.c       - new, moved decode_sel_event() here from showsel.c
    getevent  0.5  - added call to decode_sel_event
    showsel   1.31 - moved decode_sel_event to events.c
    pefconfig 1.40 - Change priorities when setting my MAC in BMC

  06/24/05 ARCress ver 1.6.5 ipmiutil
    tmconfig  1.21 - show multiple alert destinations
    pefconfig 1.41 - show multiple alert destinations, 
                     and handle fSOL20 commands
    sensor    1.33 - handle ATCA platforms
    fruconfig 1.17 - handle DeviceSDRs and ATCA 
    alarms    1.8  - added new code for PICMG/ATCA
    alarms.8       - added explanation about Power LED wrt System Faults

  07/07/05 ARCress ver 1.6.6 ipmiutil
    pefconfig 1.42 - Fix GetBmcEthDevice for TIGI2U with IMM GCM 

  08/08/05 ARCress ver 1.6.7 ipmiutil
    doc/ipmiutil.spec - rm getevent & xmlconfig before build rpm,
                        test if BMC LAN already configured before pefconfig
    util/Makefile.am  - add ipmild.o if no freeipmi
    depcomp           - new file added 
    util/ipmicmd.c    - test for ldipmi first, to avoid LanDesk hang bug
    sensor 1.34       - check if reading is in init state
    pefconfig 1.43    - Mods to handle Intel NSI2U miniBMC,
    pefconfig 1.44    - added -t option to test if BMC LAN configured
    doc/UserGuide     - added alarms.8 update wrt Power LED

  09/01/05 ARCress ver 1.6.8 ipmiutil
    cleanup of comments to consistently use users.sf.net email address.
    tmconfig  1.22    - truncate extra string chars 
    pefconfig 1.45    - truncate extra string chars,
    README            - added reference to INSTALL for build
    INSTALL           - added more build notes
    doc/mksel.bat     - new, special make for showsel.exe & showselmsg.dll
    Makefile.am       - make rpm update for --buildroot
    util/Makefile.am  - fixed missing -DLINUX error in 1.6.7
    doc/ipmiutil.spec - make rpm update for RPM_BUILD_ROOT
    fruconfig 1.18    - add -s option to set Product Serial Num also

  09/09/05 ARCress 
    getevent   0.6    - add event type filtering using sensor type
    pefconfig  1.46   - enable mBMC PEF entries 26 thru 30 
    sensor     1.35   - dont check superuser if fipmi_lan
    showsel    1.33   - dont check superuser if fipmi_lan

  09/16/05 ARCress 
    pefconfig.c       - updated findmatch() for special case 
    xmlconfig.c       - updated findmatch() for special case

  03/02/06 ARCress ver 1.6.9 ipmiutil
    sensor     1.36   - check PowerOnHours completion code (01/18/06),
                        added -i option to only show one sensor index
    ipmignu.c         - changes to enable new libfreeipmi.so.1 w ipmi_cmd_raw,
                        use OLDLIB compile flag until this is complete.
    *.c               - rename ipmi_close & ipmi_cmd_raw to avoid conflicts
                        with new freeipmi lib symbols.
    ipmiutil.spec     - always copy checksel to /etc/cron.daily if ipmi works
    events.c          - handle more PowerUnit 0b vs. 6f event types

  04/13/06 ARCress ver 1.6.10 ipmiutil
    sensor     1.37   - added -p option to persist/save thresholds
    getevent   1.0    - added loop and -o for runOnce
    alarms     1.9    - added BUS_ID7 for Harbison platform
    pefconfig  1.47   - exit early if -d 
    hwreset    1.15   - added -p, -m, -e options
    wdt        1.9    - fix -t if nsec > 255
    icmd       1.6    - increment istart for -U -R (Thanks to Ernie Hansen)
    bmchealth  0.2    - new file
    doc/ipmiutil.spec - include getevent in rpm
    doc/getevent.8    - new file
    doc/bmchealth.8    - new file
    doc/Makefile      - add getevent.8

05/18/06 ARCress ver 1.7.0 ipmiutil
    tmconfig   1.23   - add -B baud option
    bmchealth  0.3    - add get_chan_auth results, also -h option
    doc/tmconfig.8    - document -B baud and -t options
    doc/hwreset.8     - document -p -m -e options
    doc/sensor.8      - document -i -p options
    doc/pefconfig.8   - document -t option
    doc/UserGuide     - updated, added getevent, bmchealth
    lib/Makefile      - pick correct libipmiapi.a if present
    Makefile.am       - invoke lib/Makefile
    util/ipmilan.c    - new logic for built-in IPMI LAN interface
    util/md2.c        - new for ipmilan.c
    util/md5.c        - new for ipmilan.c
    util/ipmicmd.c    - invoke ipmilan logic ifdef BUILTIN_LAN
    freeipmi/libfreeipmi.so-x86_64 - updated build

06/19/06 ARCress ver 1.7.1 ipmiutil
    util/ipmilan.c    - fix seq_num wrap for longer lan sessions
    util/sensor.c     - fix PowerOnHours with 64-bit OSs.

06/20/06 ARCress ver 1.7.2 ipmiutil
    util/ipmilan.c    - add rmcp_ping routine
    bmchealth  0.6    - more vendor strings, add ping_node() stub for now
    pefconfig  1.48   - fix strcmp(gcm), show all 4 alert policies,
                        add PefDesc() for misc vendor pefdesc, add -a.

07/28/06 ARCress ver 1.7.3 ipmiutil
    wdt        1.10   - added -l dontlog and -a action options 
    showsel    1.34   - added -l for last N records, 
                        added more decoding for Memory, Audit types
    sensor     1.39   - added -L for looping, handle fdevsdrs if rc==c1,
                        include SDR type 10h in parsing.
    getevent   1.1    - specific no data message for cc=0x80,
                        include special getevent_mv() for OpenIPMI, 
                        added msgout() routine
    util/ipmicmd.c    - add no data message to decode_cc,
                        better separate each driver implementation
    util/ipmiia.c     - new, separate for IA IMB driver
    util/ipmiva.c     - new, separate for VA driver
    util/ipmilan.c    - fix _lan_cmd returning an extra byte
    util/ipmignu.c    - support for freeipmi-0.2.3 lib, which supports ssif 
                        via /dev/i2c-0 (i2c-core, i2c-i801, i2c-dev modules)
                        This ssif code does not yet work for all IPMI commands.
                        Note that the freeipmi-0.2.3 lan code has a naming 
                        conflict with ipmi_cmd, so further code changes would 
                        be required if one wanted to switch from Built-in LAN 
                        to GNU_LAN.
    util/ipmimv.c     - added getevent_mv routine
    util/events.c     - added message for Chassis Intrusion
    util/*.c          - add -E option for IPMI_PASSWORD, use -P like -R,
                        add -V, -T options for IPMI LAN
    doc/*.8           - updated man pages for changed options
    doc/UserGuide     - updated for changed options

08/17/06 ARCress ver 1.7.4 ipmiutil
    doc/ipmiutil.spec - fix for detecting existing libfreeipmi during install
    util/ipmicmd.h    - added decode_cc prototype
    util/ipmicmd.c    - only show no driver msg if not fipmi_lan
    util/ipmilan.c    - added decode_cc to default case, fix MASK_AUTHTYPEs,
                        added poke2 & command retries
    pefconfig 1.49    - added Alcolu 0x0028 prod_id to fnotshared
    getevent  1.2     - added -s for SEL method
    fruconfig 1.19    - don't show Asset Tag Length by default
    alarms    1.10
    bmchealt  0.7
    hwreset   1.17 
    icmd      1.7
    sensor    1.40   
    showsel   1.35   
    tmconfig  1.24   
    wdt       1.11
    xmlconfig 0.3   

08/22/06 ARCress ver 1.7.5 ipmiutil
    ipmidir.c         - new, for direct raw I/Os (if no driver)
    ipmidir.h         - new
    ipmilan.c         - keep going even if ping failure
    imbapi.c          - more DEBUG output
    doc/ipdiff.sh     - new script to allocate non-shared BMC LAN IP addresses
    alarms    1.11
    bmchealth 0.8
    fruconfig 1.20    
    getevent  1.3     
    hwreset   1.18 
    icmd      1.8
    pefconfig 1.50    
    sensor    1.41   
    showsel   1.36    - PowerUnit decoding for data1=0x43
    tmconfig  1.25   
    wdt       1.12    - fixed typo for -r/-a options
    xmlconfig 0.4   
    
09/12/06 ARCress ver 1.7.6 ipmiutil
    ipmiutil.spec   - save a sensor snapshot as sensor_out.txt
    pefconfig.8     - added EXAMPLES
    UserGuide       - added pefconfig EXAMPLES
    tmconfig.c      - use authmask to set Serial Param(2)
    pefconfig.c     - use -B for baud_sol, move alert_max to -X.
    ipmidir.c       - streamlined debug messages
    showsel.c       - fixed wrap condition for showsel -l option
    getevent.c      - handle empty SEL for getevent -s option
  ipmiutil-1.7.6:
    alarms.c	ver 1.12
    bmchealth.c	ver 0.9
    fruconfig.c	ver 1.21
    getevent.c	ver 1.4
    hwreset.c	ver 1.19
    icmd.c	ver 1.9
    pefconfig.c	ver 1.51
    sensor.c	ver 1.42
    showsel.c	ver 1.37
    tmconfig.c	ver 1.26
    wdt.c	ver 1.13
    xmlconfig.c	ver 0.5

10/02/06 ARCress ver 1.7.7 ipmiutil
    test/ipmievt.sh  - new, causes Baseboard Temp events with sensor thresholds
    doc/ipmi_if.sh   - gather more info from dmidecode to ipmi_if.txt
    util/hwreset.c   - soft reset stuff, special handling for Tyan systems. 
    util/pefconfig.c - added -q for user number,
                       use bmcmymac if valid, use bmcmyip if ok,
                       enhanced Get_IPMac_Addr for Windows
    util/tmconfig.c  - added -q for user number, added -f for Flow Control,
                       adjust Mode if known, clear SerialParam(3) if -d
    util/ipmidir.c   - improved detection for DRV_SMB base address
    util/events.c    - support WIN32 if TEST compile flag
    freeipmi/*.h     - removed unused include files
  ipmiutil-1.7.7:
    alarms.c	ver 1.13
    bmchealth.c	ver 0.10
    fruconfig.c	ver 1.22
    getevent.c	ver 1.5
    hwreset.c	ver 1.20
    icmd.c	ver 1.10
    pefconfig.c	ver 1.52
    sensor.c	ver 1.43
    showsel.c	ver 1.38
    tmconfig.c	ver 1.27
    wdt.c	ver 1.14
    xmlconfig.c	ver 0.6


10/19/06 ARCress ver 1.7.8 ipmiutil
    util/pefconfig.c - use bmcdestip if valid,
                       FindEthNum updates, always use gwy interface for mac,
                       add -# alias for -q usernum (max =15)
    util/tmconfig.c  - add -# alias for -q usernum (max =15)
    util/sensor.c    - check Repository Info whether Reserve supported or not,
                       and use Reserve whenever possible.
    util/bmchealth.c - more vendor names
    util/hwreset.c   - added -D for soft power down
    util/ipmilan.c   - special for Dell BMC with no MsgAuth support
    doc/UserGuide    - more sensor details, decimal completion codes, etc.
  ipmiutil-1.7.8:
    alarms.c	ver 1.14
    bmchealth.c	ver 1.0
    fruconfig.c	ver 1.23
    getevent.c	ver 1.6
    hwreset.c	ver 1.21
    icmd.c	ver 1.11
    pefconfig.c	ver 1.53
    sensor.c	ver 1.44
    showsel.c	ver 1.39
    tmconfig.c	ver 1.28
    wdt.c	ver 1.15
    xmlconfig.c	ver 0.7


10/24/06 ARCress ver 1.7.9 ipmiutil
  util/bmchealth.c  - add -g for system GUID
  util/ipmilan.c    - streamline some debug messages
  util/alarms.c     - do not abort if no Telco Alarms, still allow -i
  util/pefconfig.c  - fix 0xc7 error with SOL AccumInterval
  ipmiutil-1.7.9:
    alarms.c	ver 1.15
    bmchealth.c	ver 1.1
    fruconfig.c	ver 1.24
    getevent.c	ver 1.7
    hwreset.c	ver 1.22
    icmd.c	ver 1.12
    pefconfig.c	ver 1.54
    sensor.c	ver 1.45
    showsel.c	ver 1.40
    tmconfig.c	ver 1.29
    wdt.c	ver 1.16
    xmlconfig.c	ver 0.8

12/08/06 ARCress  ipmituil-1.7.10  changes
  util/idiscover.c   - new
  util/isolconsole.c - new, renamed from solconsole.c (just a framework)
  util/ipmilan.c     - Change ASF ping IANA number to HI-LO ordering (1601296)
  util/pefconfig.c   - display user names, EnablePef mods for non-Intel
  util/tmconfig.c    - display user names
  util/ipmicmd.c     - added ipmi_getpicmg(), ipmi_cmd_mc()
  util/ipmilan.c     - added ipmi_cmd_ipmb() for IPMB indirect cmds
  util/*.c           - test for fpicmg (ATCA)
  util/sensor.c      - add -m, -c and child MC logic for ATCA
  util/fruconfig.c   - add -m option for ATCA child MCs.
  util/Makefile.am   - mods for idiscover, isolconsole
                       mods for configure/landesk feature
  doc/ipmiutil.spec  - create new util names with i*
  configure.in       - mods for --enable-landesk=yes 
  Makefile.am        - fix make tarball for libipmiapi32.a (bug 1610481)
  ipmiutil-1.7.10 contains:
    alarms.c	(ialarms)    ver 1.16 
    bmchealth.c	(ihealth)    ver 1.2  
    fruconfig.c	(ifruconfig) ver 1.25 
    getevent.c	(igetevent)  ver 1.8  
    hwreset.c	(ireset)     ver 1.23 
    icmd.c	(icmd)       ver 1.13 
    pefconfig.c	(ilanconfig) ver 1.55 
    sensor.c	(isensor)    ver 1.46 
    showsel.c	(ishowsel)   ver 1.41 
    tmconfig.c	(iserconfig) ver 1.30 
    wdt.c	(iwatchdog)  ver 1.17 
    xmlconfig.c	(n/a)        ver 0.9

01/09/07 ARCress ipmiutil-1.8.0  changes
  util/events.c      - added Power Unit 0x8B events 
  util/sensor.c      - more ShowTAM decoding   
  util/ipmilanplus.c - new for v2.0 RMCP+ via ipmitool plugin
  util/ipmilan2.c    - new for internal v2.0 RMCP+ (incomplete, not used)
  util/ipmicmd.c     - added logic for calling lan2
  util/ipmiutil.c    - new, meta-command code
  util/*.c           - mods for -DMETACOMMAND
  util/Makefile.am   - mods to build with -DMETACOMMAND and ipmilanplus.c
  doc/ipmiutil.8     - new man page
  doc/ipmiutil.spec  - add ipmiutil METACOMMAND
  doc/*.8            - add -F option
  doc/UserGuide      - add ipmiutil, -F option, reorder man pages
  doc/mk*.bat        - updates for lanplus
  lib/Makefile       - added make for lib/lanplus subdir
  lib/lanplus/*      - new for ipmitool-1.8.7 plugin library
  ipmiutil-1.8.0 contains:
    ipmiutil.c	(ipmiutil)   ver 1.0
    alarms.c	(ialarms)    ver 1.17 
    bmchealth.c	(ihealth)    ver 1.3  
    fruconfig.c	(ifruconfig) ver 1.26 
    getevent.c	(igetevent)  ver 1.9  
    hwreset.c	(ireset)     ver 1.24 
    icmd.c	(icmd)       ver 1.14 
    pefconfig.c	(ilanconfig) ver 1.56 
    sensor.c	(isensor)    ver 1.47 
    showsel.c	(ishowsel)   ver 1.42 
    tmconfig.c	(iserconfig) ver 1.31 
    wdt.c	(iwatchdog)  ver 1.18 
    xmlconfig.c	(n/a)        ver 0.10

01/12/07 ARCress ipmiutil-1.8.1  changes
  util/ipmilanplus.c - return proper rsp len to fix Win fruconfig bug
  util/ipmicmd.c     - added show_driver_type() and debug output
  util/hwreset.c     - Linux -o allow init6 or init0, alt -o if WIN32
  util/bmchealth.c   - added some product strings, added Power State
  util/events.c      - add a '#' before sensor number for easier parsing, 
                       change Watchdog 1/2 to Watchdog_1/2 for parsing,
                       more BMC System Event descriptions,
  util/pefconfig.c   - show nice error message if pefconfig -e -N 
  doc/pefconfig.8    - change examples to show pefconfig -e
  doc/getevent.8     - more explanation of methods
  doc/ipmi_if.sh     - new syntax for tail/head -n
  doc/showsel.reg    - new, add registry entries for this EventLog service
  doc/UserGuide      - mention showsel.reg, updated man pages
  ipmiutil-1.8.1 contains:
    ipmiutil.c	(ipmiutil)       ver 1.1
    alarms.c	(ialarms)  	 ver 1.18
    bmchealth.c	(ihealth)  	 ver 1.4 
    fruconfig.c	(ifruconfig)  	 ver 1.27
    getevent.c	(igetevent)  	 ver 1.10
    hwreset.c	(ireset)  	 ver 1.25
    icmd.c	(icmd)  	 ver 1.15
    pefconfig.c	(ilanconfig)  	 ver 1.57
    sensor.c	(isensor)  	 ver 1.48
    showsel.c	(ishowsel)  	 ver 1.43
    tmconfig.c	(iserconfig)  	 ver 1.32
    wdt.c	(iwatchdog)  	 ver 1.19
    xmlconfig.c	(ixmlconfig)  	 ver 0.11

01/23/07 ARCress ipmiutil-1.8.2  changes
  util/showsel.c   - always show error if cannot open idx file with -w
  util/pefconfig.c - fixed -d bug where freadonly flag was =1.
  util/ipmilanplus.c - added HAVE_LANPLUS compile flag
  util/Makefile.am - added --disable-lanplus option 
  configure.in     - added --disable-lanplus option 
  win32.zip        - added libeay32.dll from openssl build
  ipmiutil-1.8.2 contains:
    ipmiutil.c	(ipmiutil)  	 ver 1.2
    alarms.c	(ialarms)  	 ver 1.19
    bmchealth.c	(ihealth)  	 ver 1.5
    fruconfig.c	(ifruconfig)  	 ver 1.28
    getevent.c	(igetevent)  	 ver 1.11
    hwreset.c	(ireset)  	 ver 1.26
    icmd.c	(icmd)  	 ver 1.16
    pefconfig.c	(ilanconfig)  	 ver 1.58
    sensor.c	(isensor)  	 ver 1.49
    showsel.c	(ishowsel)  	 ver 1.44
    tmconfig.c	(iserconfig)  	 ver 1.33
    wdt.c	(iwatchdog)  	 ver 1.20
    xmlconfig.c	(ixmlconfig)  	 ver 0.12

02/08/07 ARCress ipmiutil-1.9.0  changes
  util/fruconfig.c - dont show baseboard FRU twice via DLR
  util/ipmicmd.c   - added parse_lan_options, print_lan_opt_usage
                     added -Y option to prompt for password using getline()
  util/ipmicmd.h   - added parse_lan_options, print_lan_opt_usage
  util/*.c         - call parse_lan_options, print_lan_opt_usage
  util/isolconsole.c - added v2 console functionality,
                     works fine in Linux, stdin problems in Windows.
  util/ipmiutil.c  - added sol console to dispatch table
  util/ipmidir.c   - more max recv len checking
  ipmiutil-1.9.0 contains:
    ipmiutil.c	(ipmiutil)  	 ver 1.3
    alarms.c	(ialarms)  	 ver 1.20
    bmchealth.c	(ihealth)  	 ver 1.6
    fruconfig.c	(ifruconfig)  	 ver 1.29
    getevent.c	(igetevent)  	 ver 1.12
    hwreset.c	(ireset)  	 ver 1.27
    icmd.c	(icmd)  	 ver 1.17
    pefconfig.c	(ilanconfig)  	 ver 1.59
    sensor.c	(isensor)  	 ver 1.50
    showsel.c	(ishowsel)  	 ver 1.45
    tmconfig.c	(iserconfig)  	 ver 1.34
    wdt.c	(iwatchdog)  	 ver 1.21
    xmlconfig.c	(ixmlconfig)  	 ver 0.13
    isolconsole.c (isolconsole)  ver 0.9

02/16/07 ARCress ipmiutil-1.9.1  changes
  util/fruconfig.c - put -m option back for ATCA
  util/sensor.c    - put -c & -m option back for ATCA
  util/icmd.c      - fix bug w arg options to use optind, add -m
  util/ipmidir.c   - bug fix: skip unsafe mmap code if 64-bit
  ipmiutil-1.9.1 contains:
    ipmiutil.c	(ipmiutil)  	 ver 1.4
    alarms.c	(ialarms)  	 ver 1.21
    bmchealth.c	(ihealth)  	 ver 1.7
    fruconfig.c	(ifruconfig)  	 ver 1.30
    getevent.c	(igetevent)  	 ver 1.13
    hwreset.c	(ireset)  	 ver 1.28
    icmd.c	(icmd)  	 ver 1.18
    pefconfig.c	(ilanconfig)  	 ver 1.60
    sensor.c	(isensor)  	 ver 1.51
    showsel.c	(ishowsel)  	 ver 1.46
    tmconfig.c	(iserconfig)  	 ver 1.35
    wdt.c	(iwatchdog)  	 ver 1.22
    xmlconfig.c	(ixmlconfig)  	 ver 0.14
    isolconsole.c (isolconsole)  ver 0.10

02/23/07 ARCress ipmiutil-1.9.2  changes
  util/pefconfig.c   - add Get/SetPayloadAccess for 2.0 SOL
  util/isolconsole.c - add -e for no encryption, fix Windows stdin
  util/ipmilan.c     - add some 1.5 SOL code
  util/ipmilanplus.c - set cipher_suite = 3 for open session request
  util/sensor.c      - add CPU Proc Hot decoding for evtype==5
  util/ipmiutil.c   - use sub-command names as i_* routines
  util/*.c          - changed to i_* naming
  doc/ipmiutil.spec - link to i_* command names, add isolconsole
  ipmiutil-1.9.2 contains:
    ipmiutil.c	(ipmiutil)  	 ver 1.5
    alarms.c	(i_alarms)  	 ver 1.22
    bmchealth.c	(i_health)  	 ver 1.8
    fruconfig.c	(i_fru)  	 ver 1.31
    getevent.c	(i_getevt)  	 ver 1.14
    hwreset.c	(i_reset)  	 ver 1.29
    icmd.c	(i_cmd)  	 ver 1.19
    pefconfig.c	(i_lan)  	 ver 1.61
    sensor.c	(i_sensor)  	 ver 1.52
    showsel.c	(i_sel)  	 ver 1.47
    tmconfig.c	(i_serial)  	 ver 1.36
    wdt.c	(i_wdt)  	 ver 1.23
    xmlconfig.c	(i_xml)  	 ver 0.15
    isolconsole.c (i_sol)  	 ver 1.0

03/15/07 ARCress ipmiutil-1.9.3  changes
  test/Makefile      - better kernel module make for Linux 2.4 and 2.6
  test/dopanic_drv.c - renamed from dopanic.c
  test/dopanic.c     - deleted
  test/dopanic.8     - new man page
  test/ipmi_evt.sh   - comments about ibasetemp
  lib/Makefile       - mods for libipmi_lanplus.so 
  lib/lanplus/lanplus.c   - check null rsp in open_session
  lib/lanplus/Makefile.am - mods for libipmi_lanplus.so, 
	                    dynamic lib*.so rather than static lib*.a
  doc/Makefile       - install wdt.sh in data dir
  doc/ipmiutil.spec  - add wdt.sh to rpm, add libipmi_lanplus.*
  beforeconf.sh      - new: for lt files, aclocal, autoconf
  util/Makefile.am   - fixed make libipmiutil.a, libipmi_lanplus.so
  util/*.c           - added show_outcome() at the end
  ipmiutil-1.9.3 contains:
    ipmiutil.c	(ipmiutil)  	 ver 1.6
    alarms.c	(i_alarms)  	 ver 1.23
    bmchealth.c	(i_health)  	 ver 1.9
    fruconfig.c	(i_fru)  	 ver 1.32
    getevent.c	(i_getevt)  	 ver 1.15
    hwreset.c	(i_reset)  	 ver 1.30
    icmd.c	(i_cmd)  	 ver 1.20
    pefconfig.c	(i_lan)  	 ver 1.62
    sensor.c	(i_sensor)  	 ver 1.53
    showsel.c	(i_sel)  	 ver 1.48
    tmconfig.c	(i_serial)  	 ver 1.37
    wdt.c	(i_wdt)  	 ver 1.24
    xmlconfig.c	(i_xml)  	 ver 0.16
    isolconsole.c (i_sol)  	 ver 1.1

04/06/07 ARCress ipmiutil-1.9.4  changes
  util/isolconsole.c    - added #else for HAVE_LANPLUS, 
                          more vt100-to-ansi handling, 
                          added -r for raw termio if Windows ANSI
  util/ipmicmd.c        - fix spacing in dump_buf
  lib/lanplus/lanplus.c - abort if bad HMAC from RAKP2
  doc/ipmiutil.spec     - fix libcrypto.so.4 for MVL
  util/getevent.c       - interpret cc==0x80 as timeout message
  util/ipmimv.c         - handle MV bug: missing 3 bytes
  util/showsel.c        - also show OEM records if -s 
  ipmiutil-1.9.4 contains:
    ipmiutil.c	(ipmiutil)  	 ver 1.7
    alarms.c	(i_alarms)  	 ver 1.24
    bmchealth.c	(i_health)  	 ver 1.10
    fruconfig.c	(i_fru)  	 ver 1.33
    getevent.c	(i_getevt)  	 ver 1.16
    hwreset.c	(i_reset)  	 ver 1.31
    icmd.c	(i_cmd)  	 ver 1.21
    pefconfig.c	(i_lan)  	 ver 1.63
    sensor.c	(i_sensor)  	 ver 1.54
    showsel.c	(i_sel)  	 ver 1.49
    tmconfig.c	(i_serial)  	 ver 1.38
    wdt.c	(i_wdt)  	 ver 1.25
    xmlconfig.c	(i_xml)  	 ver 0.17
    isolconsole.c (i_sol) 	 ver 1.2

04/20/07 ARCress ipmiutil-1.9.5  changes
  util/events.c         - add -p for PET format events
  util/Makefile.am      - do "make events" to build events util
  util/ipmimv.c         - check for ASYNC_EVENTs in ipmicmd_mv
  util/ipmilan.c        - some 1.5 SOL data mods, decode_rv mods
  util/ipmicmd.c        - some 1.5 SOL data mods, show_outcome(decode_rv)
  util/isolconsole.c    - some 1.5 SOL data mods, more win termio
  util/alarms.c         - add -d for enclosure slot LEDs
  ipmiutil-1.9.5 contains:
    ipmiutil.c	(ipmiutil)  	 ver 1.8
    alarms.c	(i_alarms)  	 ver 1.25
    bmchealth.c	(i_health)  	 ver 1.11
    fruconfig.c	(i_fru)  	 ver 1.34
    getevent.c	(i_getevt)  	 ver 1.17
    hwreset.c	(i_reset)  	 ver 1.32
    icmd.c	(i_cmd)  	 ver 1.22
    pefconfig.c	(i_lan)  	 ver 1.64
    sensor.c	(i_sensor)  	 ver 1.55
    showsel.c	(i_sel)  	 ver 1.50
    tmconfig.c	(i_serial)  	 ver 1.39
    wdt.c	(i_wdt)  	 ver 1.26
    xmlconfig.c	(i_xml)  	 ver 0.18
    isolconsole.c (i_sol)  	 ver 1.3

05/10/07 ARCress ipmiutil-1.9.6  changes
  doc/UserGuide         - added section 4.7 How to configure IPMI LAN,
                          updated Windows build instructions
  doc/pefconfig.8       - add -l option description
  doc/wdt.sh            - fix cron entry to run every 60 seconds
  doc/idiscover.8       - new 
  test/ipmievt.sh       - automatically set ibasetemp via $sensorfil
  util/ipmilan.c        - more 1.5 SOL data mods, not working yet
  util/ipmi*.c          - cleanup, use common ipmi_cmdraw* routines
  util/ipmiia.c         - no longer used, see imbapi.c
  util/Makefile.am      - remove ipmiia.c
  util/pefconfig.c      - add -l to configure LAN but not PEF,
                          fix 1714748 for getopt missing X param
  util/idiscover.c      - add -g and -a functionality, and WIN32
  * Improvements for Windows build:
  lib/lanplus/*.c       - change to inttypes-win.h if WIN32
  lib/lanplus/inc/ipmitool/*.h - change to inttypes-win.h 
  lib/lanplus/inc/inttypes-win.h - new 
  lib/lanplus/ipmiplus.mak   - new 
  lib/ipmilib.mak       - new 
  util/ipmiutil.mak     - new 
  buildwin.cmd          - new 
  INSTALL               - updated Windows build instructions
  ipmiutil-1.9.6 contains:
    ipmiutil.c	(ipmiutil)  	 ver 1.9
    alarms.c	(i_alarms)  	 ver 1.26
    bmchealth.c	(i_health)  	 ver 1.12
    fruconfig.c	(i_fru)  	 ver 1.35
    getevent.c	(i_getevt)  	 ver 1.18
    hwreset.c	(i_reset)  	 ver 1.33
    icmd.c	(i_cmd)  	 ver 1.23
    pefconfig.c	(i_lan)  	 ver 1.65
    sensor.c	(i_sensor)  	 ver 1.56
    showsel.c	(i_sel)  	 ver 1.51
    tmconfig.c	(i_serial)  	 ver 1.40
    wdt.c	(i_wdt)  	 ver 1.27
    xmlconfig.c	(i_xml)  	 ver 0.19
    isolconsole.c (i_sol)  	 ver 1.4
    idiscover.c	(i_discover)  	 ver 1.0
  PENDING ISSUES in ipmiutil-1.9.6:
  Handle Windows command prompt terminal emulation for SOL
    The Windows isolconsole.exe works, but the terminal emulation logic is
    not finished.  It works ok to Linux command-line and vi, but looks
    bad for BIOS/POST.  This is in progress.  There are other (non-open)
    tools available for Windows (e.g. Intel dpccli) in the interim.
    The Linux isolconsole works fine, this relates to Windows client SOL.
  Add older 1.5 SOL protocol capability
    For isolconsole with IPMI 1.5, the older (Intel-only) 1.5 SOL protocol
    is implemented and will connect, but the 1.5 SOL data packets are not
    right yet.  This is in progress.  Note that the standard IPMI 2.0 SOL
    protocol is entirely separate and still works fine.


05/29/07 ARCress ipmiutil-1.9.7  changes
  doc/UserGuide         - added idiscover, SOL section 4.8, 
                          and more Windows build detail
  doc/ipmiutil.spec     - added ipmi_port init handling, %buildroot changes
  doc/ipmi_port.sh      - init script for ipmi_port
  doc/Makefile          - add ipmi_port.sh
  util/bmchealth.c      - add more manufacturers
  util/ipmidir.c        - allow "Register Spacing:" in ipmi_if.txt
  util/ipmi_port.c      - new, allocate RMCP port for port mapper
  util/getevent.c       - add -b for background
  util/tmconfig.c       - add -i for inactivity timeout
  util/pefconfig.c      - use serial baud for SOL baud by default,
                          add Windows iphlpapi calls for detection.
  util/ipmiutil.mak     - add iphlpapi.lib for pefconfig
  util/pefconfig.c-nohlp  - new, without Windows iphlpapi.*
  util/ipmiutil.mak-nohlp - new, without Windows iphlpapi.lib
  util/isolconsole.c    - fix Enter key confusion w BIOS menus (use CR+LF)
  util/Makefile.am      - build events and ipmi_port by default
  lib/lanplus/lanplus.c - fixed assert(0) in ipmi_lan_poll_recv, 
                          and set rmcp_hdr __rsvd=0 for WIN32
  Makefile.am           - use default buildroot 
  ipmiutil-1.9.7 contains:
    ipmiutil.c	(ipmiutil)  	 ver 1.10
    alarms.c	(i_alarms)  	 ver 1.27
    bmchealth.c	(i_health)  	 ver 1.13
    fruconfig.c	(i_fru)  	 ver 1.36
    getevent.c	(i_getevt)  	 ver 1.19
    hwreset.c	(i_reset)  	 ver 1.34
    icmd.c	(i_cmd)  	 ver 1.24
    pefconfig.c	(i_lan)  	 ver 1.66
    sensor.c	(i_sensor)  	 ver 1.57
    showsel.c	(i_sel)  	 ver 1.52
    tmconfig.c	(i_serial)  	 ver 1.41
    wdt.c	(i_wdt)  	 ver 1.28
    isolconsole.c (i_sol)  	 ver 1.5
    idiscover.c	(i_discover)  	 ver 1.1

07/03/07 ARCress ipmiutil-1.9.8  changes
  util/pefconfig.c      - Fix DHCP Server MAC detection, 
                          detect ethN from gateway route sooner
  util/events.c         - Fix TEST with no args
  util/ipmiutil.mak     - add events.exe
  util/Makefile.am      - build libipmiutil.a by default
  util/isolconsole.c    - more fixes to Windows translation (-w)  
                  	  (-w -l gives much better windows emulation, but
                  	   there are still some anomalies with it.)
  util/ipmidir.c        - loop safety limit in KCS wait_for*
  lib/Makefile            - mods for libipmi_lanplus.a 
  lib/lanplus/Makefile.am - build static libipmi_lanplus.a 
  doc/ipmiutil.spec       - rpmlint tweaks, use ipmiutil meta-cmd
  doc/wdt.sh              - use ipmiutil meta-cmd
  doc/checksel            - use ipmiutil meta-cmd
  ipmiutil-1.9.8 contains:
    ipmiutil.c	(ipmiutil)  	 ver 1.11
    alarms.c	(i_alarms)  	 ver 1.28
    bmchealth.c	(i_health)  	 ver 1.14
    fruconfig.c	(i_fru)  	 ver 1.37
    getevent.c	(i_getevt)  	 ver 1.20
    hwreset.c	(i_reset)  	 ver 1.35
    icmd.c	(i_cmd)  	 ver 1.25
    pefconfig.c	(i_lan)  	 ver 1.67
    sensor.c	(i_sensor)  	 ver 1.58
    showsel.c	(i_sel)  	 ver 1.53
    tmconfig.c	(i_serial)  	 ver 1.42
    wdt.c	(i_wdt)  	 ver 1.29
    isolconsole.c (i_sol)  	 ver 1.6
    idiscover.c	(i_discover)  	 ver 1.2
    ipmi_port.c	(i_port)  	 ver 0.2

10/01/07 ARCress ipmiutil-2.0.0  changes
  This release adds two major features:
    1) Windows SOL emulation (v100 terminal emulation)
    2) Remote soft-shutdown (using hwreset & getevent -a)
  util/isolwin.c        - new, Windows SOL emulation routines, 
			  added sleep to input thread, scrolling,
			  significant SOL emulation mods
  util/isolconsole.c    - calls to isolwin.c, arrow/function key handling
  util/hwreset.c        - show Power State also, as in bmchealth,
			  added remote shutdown request (-o -N)
  util/sensor.c         - fix interpretation of Battery sensors
  util/ipmilan.c        - show_LastError if not debug, more detail
            		  show connected nodename & IP, added NON_GPL flag,
                          fix for Dell 1855 authcodes.
  util/ipmicmd.c        - add show_LastError to show_outcome()
  util/ipmiva.c         - added NON_GPL/VAOK compile flags
  util/idiscover.c      - fixed receive/send thread order
  util/getevent.c       - handle remote shutdown via -a using IMB
  util/pefconfig.c      - dont detect gcm by default for Caneland
  util/ipmicmd.c        - added -J for cipher_suite option
  util/Makefile.am      - add GPL_CFLAGS for nongpl
  util/ipmiutil.mak     - add NON_GPL option, add isolwin.obj
  util/ipmilanplus.c    - detect IBMC as not 'intelplus'
  lib/lanplus/lanplus.c - show connected nodename & IP 
  doc/getevent.8        - added -a option
  doc/hwreset.8         - added note for -o -N option
  doc/UserGuide         - updates for getevent,hwreset
  doc/ipmi_port.sh      - do not start ipmi_port if dpcproxy is running
  configure.in          - add --enable-nongpl option
  ipmiutil-2.0.0 contains:
    ipmiutil.c  (ipmiutil)       	 ver 2.0
    alarms.c    (ipmiutil alarms)        ver 1.29
    bmchealth.c (ipmiutil health)        ver 1.15
    fruconfig.c (ipmiutil fru)           ver 1.38
    getevent.c  (ipmiutil getevt)        ver 2.0
    hwreset.c   (ipmiutil reset)         ver 2.0
    icmd.c      (ipmiutil cmd)           ver 1.26
    pefconfig.c (ipmiutil lan)           ver 1.68
    sensor.c    (ipmiutil sensor)        ver 1.59
    showsel.c   (ipmiutil sel)           ver 1.54
    tmconfig.c  (ipmiutil serial)        ver 1.43
    wdt.c       (ipmiutil wdt)           ver 2.0
    isolconsole.c (ipmiutil sol)         ver 1.7
    idiscover.c (ipmiutil discover)      ver 1.2
    ipmi_port.c (ipmi_port)              ver 0.5

10/10/07 ARCress ipmiutil-2.0.1  changes
  util/events.c       - handle -p using file_grep in Windows
  util/ipmilanplus.c  - fixed bug detecting icts oem flag for many vendors
  util/ipmicmd.c      - fixed logmsg/openlog(NULL) bug, add EFI ifdefs
  util/ipmilan.c      - bug fixes for 1.5 SOL routines
  util/isolconsole.c  - detect SuperMicro & use shorter SOL keepalive timeout
  util/wdt.c          - add EFI ifdefs
  ipmiutil-2.0.1 contains:
    ipmiutil.c	(ipmiutil)  	 ver 2.1
    alarms.c	(ipmiutil alarms)  	 ver 1.30
    bmchealth.c	(ipmiutil health)  	 ver 1.16
    fruconfig.c	(ipmiutil fru)  	 ver 1.39
    getevent.c	(ipmiutil getevt)  	 ver 2.1
    hwreset.c	(ipmiutil reset)  	 ver 2.1
    icmd.c	(ipmiutil cmd)  	 ver 1.27
    pefconfig.c	(ipmiutil lan)  	 ver 1.69
    sensor.c	(ipmiutil sensor)  	 ver 1.60
    showsel.c	(ipmiutil sel)  	 ver 1.55
    tmconfig.c	(ipmiutil serial)  	 ver 1.44
    wdt.c	(ipmiutil wdt)  	 ver 1.31
    isolconsole.c (ipmiutil sol)   	 ver 2.1
    idiscover.c	(ipmiutil discover)  	 ver 1.2
    ipmi_port.c	(ipmi_port)  	 	 ver 0.5


10/22/07 ARCress ipmiutil-2.0.2  changes
  util/ipmidir.c      - fix bug in ipmi_if.txt Base Address parsing
  util/sensor.c       - fix HSC drive slot sensor reading interpretation,
                        avoid HSC sensor errors over IPMI LAN.
  util/events.c       - added 8b 05 event decoding to redund_str
  util/pefconfig.c    - added osmyip,osmymac for alertname==localhost
  ipmiutil-2.0.2 contains:
    ipmiutil.c	(ipmiutil)  	 	 ver 2.2
    alarms.c	(ipmiutil alarms)  	 ver 1.31
    bmchealth.c	(ipmiutil health)  	 ver 1.17
    fruconfig.c	(ipmiutil fru)  	 ver 1.40
    getevent.c	(ipmiutil getevt)  	 ver 2.2
    hwreset.c	(ipmiutil reset)  	 ver 2.2
    icmd.c	(ipmiutil cmd)  	 ver 1.28
    pefconfig.c	(ipmiutil lan)  	 ver 1.70
    sensor.c	(ipmiutil sensor)  	 ver 2.2
    showsel.c	(ipmiutil sel)  	 ver 1.56
    tmconfig.c	(ipmiutil serial)  	 ver 1.45
    wdt.c	(ipmiutil wdt)  	 ver 1.32
    isolconsole.c (ipmiutil sol)  	 ver 2.2
    idiscover.c	(ipmiutil discover)  	 ver 1.2
    ipmi_port.c	(ipmi_port)  	 ver 0.5

11/01/07 ARCress ipmiutil-2.0.3  changes
  util/sensor.c       - handle & recover from GetSDR error 0xC5
  util/pefconfig.c    - fixed PEF entry for Power Redundancy Lost
  util/events.c       - decode special System Boot event for S5000
      			decode PET Power Redundancy correctly
  ipmiutil-2.0.3 contains:
    ipmiutil.c	(ipmiutil)      	 ver 2.3
    alarms.c	(ipmiutil alarms)  	 ver 1.32
    bmchealth.c	(ipmiutil health)  	 ver 1.18
    fruconfig.c	(ipmiutil fru)  	 ver 1.41
    getevent.c	(ipmiutil getevt)  	 ver 2.3
    hwreset.c	(ipmiutil reset)  	 ver 2.3
    icmd.c	(ipmiutil cmd)  	 ver 1.29
    pefconfig.c	(ipmiutil lan)  	 ver 2.3
    sensor.c	(ipmiutil sensor)  	 ver 2.3
    showsel.c	(ipmiutil sel)  	 ver 1.57
    tmconfig.c	(ipmiutil serial)  	 ver 1.46
    wdt.c	(ipmiutil wdt)  	 ver 1.33
    isolconsole.c (ipmiutil sol)  	 ver 2.3
    idiscover.c	(ipmiutil discover)  	 ver 1.2
    ipmi_port.c	(ipmi_port)      	 ver 0.5

11/16/07 ARCress ipmiutil-2.0.4  changes
  util/pefconfig.c    - add a custom PEF entry via -j, set PEF severity,
 			better IsMacValid checking to allow broadcast MAC.
  ipmiutil-2.0.4 contains:
    ipmiutil.c	(ipmiutil)  	 	ver 2.4
    alarms.c	(ipmiutil alarms)  	ver 1.33
    bmchealth.c	(ipmiutil health)  	ver 1.19
    fruconfig.c	(ipmiutil fru)  	ver 1.42
    getevent.c	(ipmiutil getevt)  	ver 2.4
    hwreset.c	(ipmiutil reset)  	ver 2.4
    icmd.c	(ipmiutil cmd)  	ver 1.30
    pefconfig.c	(ipmiutil lan)  	ver 2.4
    sensor.c	(ipmiutil sensor)  	ver 2.4
    showsel.c	(ipmiutil sel)  	ver 1.58
    tmconfig.c	(ipmiutil serial)  	ver 1.47
    wdt.c	(ipmiutil wdt)  	ver 1.34
    isolconsole.c (ipmiutil sol)  	ver 2.4
    idiscover.c	(ipmiutil discover)  	ver 1.2
    ipmi_port.c	(ipmi_port)  	 	ver 0.5

12/17/07 ARCress ipmiutil-2.0.5  changes
  doc/events.8      - new, documents the events utility
  doc/ipmiutil.spec - add events.8
  doc/Makefile      - add events.8
  util/alarms.c     - do not try disk enclosure LEDs if ipmi_lan, 
  		      add "disk " to slot LED output.
  util/bmchealth.c  - added Aelita Software to manuf ids
  util/bmchealth.c  - added Chassis Status
  util/events.c     - additional usage text for -p, fix -p timestamp uchar,
  		      handle PET temp ok events 
  util/pefconfig.c  - add -g (2nd Gateway IP), -k (add PEF OK rules)
  util/getevent.c   - fixes for getevent -s with -N
  ipmiutil-2.0.5 contains:
    ipmiutil.c	(ipmiutil)  	 	 ver 2.5
    alarms.c	(ipmiutil alarms)  	 ver 2.5
    bmchealth.c	(ipmiutil health)  	 ver 2.5
    fruconfig.c	(ipmiutil fru)  	 ver 1.43
    getevent.c	(ipmiutil getevt)  	 ver 2.5
    hwreset.c	(ipmiutil reset)  	 ver 2.5
    icmd.c	(ipmiutil cmd)  	 ver 1.31
    pefconfig.c	(ipmiutil lan)  	 ver 2.5
    sensor.c	(ipmiutil sensor)  	 ver 2.5
    showsel.c	(ipmiutil sel)  	 ver 1.59
    tmconfig.c	(ipmiutil serial)  	 ver 1.48
    wdt.c	(ipmiutil wdt)  	 ver 1.35
    isolconsole.c (ipmiutil sol)  	 ver 2.5
    idiscover.c	(ipmiutil discover)  	 ver 1.2
    ipmi_port.c	(ipmi_port)  		 ver 1.0
    events.c	(ievents)  		 ver 2.5

01/21/08 ARCress ipmiutil-2.0.6  changes
  util/ipmicmd.c     - added lan2i driver type for -F param
  util/ipmilanplus.c - show more oem_active debug
  util/sensor.c      - added -u for unique sensor threshold values,
  		       always show float when setting thresholds,
  		       fixup in decoding Proc,PS Comp readings 
  util/events.c      - fixed 0f/06 POST Code interpretation (Min Zhang),
  		       fixed 07 interpretation if not Processor Status.
  util/ipmidir.c     - more DBG messages
  ipmiutil-2.0.6 contains:
    ipmiutil.c	(ipmiutil)	  	 ver 2.6
    alarms.c	(ipmiutil alarms)  	 ver 2.6
    bmchealth.c	(ipmiutil health)  	 ver 2.6
    fruconfig.c	(ipmiutil fru)  	 ver 1.44
    getevent.c	(ipmiutil getevt)  	 ver 2.6
    hwreset.c	(ipmiutil reset)  	 ver 2.6
    icmd.c	(ipmiutil cmd)  	 ver 1.32
    pefconfig.c	(ipmiutil lan)  	 ver 2.6
    sensor.c	(ipmiutil sensor)  	 ver 2.6
    showsel.c	(ipmiutil sel)  	 ver 1.60
    tmconfig.c	(ipmiutil serial)  	 ver 1.49
    wdt.c	(ipmiutil wdt)  	 ver 1.36
    isolconsole.c (ipmiutil sol)  	 ver 2.6
    idiscover.c	(ipmiutil discover)  	 ver 1.2
    ipmi_port.c	(ipmi_port)            	 ver 1.0
    events.c	(ievents)   	         ver 2.6

02/01/08 ARCress ipmiutil-2.0.7  changes
  util/sensor.c      - allow float input for -u thresholds, 
		       handle -p with -u,
		       fix CPU Thermal reading if evtype==3
		       show updated volatile thresholds if -t,-v
  doc/UserGuide      - add section 1.1, update man pages
  doc/sensor.8       - add -u float description
  doc/ipmi_port.sh   - also auto-restore any saved thresholds 
  ipmiutil-2.0.7 contains:
    ipmiutil.c	(ipmiutil)  		 ver 2.7
    alarms.c	(ipmiutil alarms)  	 ver 2.7
    bmchealth.c	(ipmiutil health)  	 ver 2.7
    fruconfig.c	(ipmiutil fru)  	 ver 1.45
    getevent.c	(ipmiutil getevt)  	 ver 2.7
    hwreset.c	(ipmiutil reset)  	 ver 2.7
    icmd.c	(ipmiutil cmd)  	 ver 1.33
    pefconfig.c	(ipmiutil lan)  	 ver 2.7
    sensor.c	(ipmiutil sensor)  	 ver 2.7
    showsel.c	(ipmiutil sel)  	 ver 1.61
    tmconfig.c	(ipmiutil serial)  	 ver 1.50
    wdt.c	(ipmiutil wdt)  	 ver 1.37
    isolconsole.c (ipmiutil sol)  	 ver 2.7
    idiscover.c	(ipmiutil discover)  	 ver 1.2
    ipmi_port.c	(ipmi_port)	  	 ver 1.0
    events.c	(ievents)  		 ver 2.7

02/28/08 ARCress ipmiutil-2.0.8  changes
  configure.in       - add enable-standalone for boot media builds
  util/showsel.c     - make sure savid is unsigned for -w 
  util/fruconfig.c   - WriteAsset size 128 -> 259 (Min Zhang)
  util/imbapi.c      - added skeleton DllMain() 
  util/showsel.c     - add -r for raw hex bytes
  doc/showsel.8      - add -r for raw hex bytes
  lib/lanplus/lanplus_crypt_impl.c - debug for issue with d:\.rnd
  ipmiutil-2.0.8 contains:
    ipmiutil.c	(ipmiutil)  		 ver 2.8
    alarms.c	(ipmiutil alarms)  	 ver 2.8
    bmchealth.c	(ipmiutil health)  	 ver 2.8
    fruconfig.c	(ipmiutil fru)  	 ver 1.46
    getevent.c	(ipmiutil getevt)  	 ver 2.8
    hwreset.c	(ipmiutil reset)  	 ver 2.8
    icmd.c	(ipmiutil cmd)  	 ver 1.34
    pefconfig.c	(ipmiutil lan)  	 ver 2.8
    sensor.c	(ipmiutil sensor)  	 ver 2.8
    showsel.c	(ipmiutil sel)  	 ver 2.8
    tmconfig.c	(ipmiutil serial)  	 ver 1.51
    wdt.c	(ipmiutil wdt)  	 ver 1.38
    isolconsole.c (ipmiutil sol)  	 ver 2.8
    idiscover.c	(ipmiutil discover)  	 ver 1.2
    ipmi_port.c	(ipmi_port)  		 ver 1.0
    events.c	(ievents)  		 ver 2.8

03/20/08 ARCress ipmiutil-2.0.9  changes
  util/events.c       - add -f to interpret raw SEL file,
			handle OEM sens_type 0xF3 as SMI Timeout
  util/sensor.c       - interpret more type 0x0D HSC states
  util/imbapi.c       - fix for SendTimedLan(IpmiVersion) if IPMI 2.0
  util/getevent.c     - more debug messages for -a (imb mode)
  doc/events.8        - document -f option
  doc/UserGuide       - updated with new man pages
  ipmiutil-2.0.9 contains:
    ipmiutil.c	(ipmiutil)  	 	 ver 2.9
    alarms.c	(ipmiutil alarms)  	 ver 2.9
    bmchealth.c	(ipmiutil health)  	 ver 2.9
    fruconfig.c	(ipmiutil fru)  	 ver 1.47
    getevent.c	(ipmiutil getevt)  	 ver 2.9
    hwreset.c	(ipmiutil reset)  	 ver 2.9
    icmd.c	(ipmiutil cmd)  	 ver 1.35
    pefconfig.c	(ipmiutil lan)  	 ver 2.9
    sensor.c	(ipmiutil sensor)  	 ver 2.9
    showsel.c	(ipmiutil sel)  	 ver 2.9
    tmconfig.c	(ipmiutil serial)  	 ver 1.52
    wdt.c	(ipmiutil wdt)  	 ver 1.39
    isolconsole.c (ipmiutil sol)  	 ver 2.9
    idiscover.c	(ipmiutil discover)  	 ver 1.2
    ipmi_port.c	(ipmi_port)	  	 ver 1.0
    events.c	(ievents)	  	 ver 2.9


03/31/08 ARCress ipmiutil-2.1.0  changes
  util/imbapi.c     - decreased TIMEOUT
  util/ipmiia.c     - decreased TIMEOUT
  util/pefconfig.c  - warning if -I without -e
  util/Makefile.am  - only build ipmiutil, eliminate dups
  doc/Makefile      - copy scripts for dup utilities
  doc/alarms doc/bmchealth doc/fruconfig   - created scripts
  doc/getevent doc/hwreset doc/icmd        - created scripts
  doc/isolconsole doc/pefconfig doc/sensor - created scripts
  doc/showsel doc/tmconfig doc/wdt         - created scripts
  ipmiutil-2.1.0 contains:
    ipmiutil.c	(ipmiutil)  	 	 ver 2.10
    alarms.c	(ipmiutil alarms)  	 ver 2.10
    bmchealth.c	(ipmiutil health)  	 ver 2.10
    fruconfig.c	(ipmiutil fru)  	 ver 2.10
    getevent.c	(ipmiutil getevt)  	 ver 2.10
    hwreset.c	(ipmiutil reset)  	 ver 2.10
    icmd.c	(ipmiutil cmd)  	 ver 2.10
    pefconfig.c	(ipmiutil lan)  	 ver 2.10
    sensor.c	(ipmiutil sensor)  	 ver 2.10
    showsel.c	(ipmiutil sel)  	 ver 2.10
    tmconfig.c	(ipmiutil serial)  	 ver 2.10
    wdt.c	(ipmiutil wdt)  	 ver 2.10
    isolconsole.c (ipmiutil sol)  	 ver 2.10
    idiscover.c	(ipmiutil discover)  	 ver 1.2
    ipmi_port.c	(ipmi_port)  		 ver 1.0
    events.c	(ievents)  		 ver 2.10

04/25/08 ARCress ipmiutil-2.1.1  changes
  util/*.c                - add case 'J':  for cipher suite option
  doc/*.8                 - add -J description to man pages
  doc/UserGuide           - update man pages in UserGuide
  util/Makefile.am        - subst gcc->$(CC)
  util/alarms.c           - if not TAM baseboard, skip no-alarm-panel msg
  lib/lanplus/Makefile.am - subst gcc->$(CC)
  lib/lanplus/lanplus.c   - patch rsp len for dup output 
  lib/lanplus/lanplus.h   - IMPI -> IPMI
  lib/lanplus/helper.c    - support fplog for printbuf if STATIC
  lib/lanplus/inc/ipmitool/ipmi_intf.h - added transit_addr, devnum
  lib/lanplus/Makefile.am - patch from tizianomueller for bug 1948890
  util/ipmilanplus.c      - ditto 
  util/ipmi_port.c        - ditto 
  util/Makefile.am        - ditto 
  util/Makefile.am-all    - ditto 
  util/ipmilanplus.c      - set SOL data timeout=2 for early retry issue,
  			    lprintf changes for logging
  util/isolconsole.c      - more dbglog msgs for Linux with -z,
  			    fix lost SOL RX packet with keepalive
  util/ipmicmd.c          - fix showsel -w openlog bug 1951680 (checksel)
  ipmiutil-2.1.1 contains:
    ipmiutil.c	(ipmiutil)  		 ver 2.11
    alarms.c	(ipmiutil alarms)  	 ver 2.11
    bmchealth.c	(ipmiutil health)  	 ver 2.11
    fruconfig.c	(ipmiutil fru)  	 ver 2.11
    getevent.c	(ipmiutil getevt)  	 ver 2.11
    hwreset.c	(ipmiutil reset)  	 ver 2.11
    icmd.c	(ipmiutil cmd)  	 ver 2.11
    pefconfig.c	(ipmiutil lan)  	 ver 2.11
    sensor.c	(ipmiutil sensor)  	 ver 2.11
    showsel.c	(ipmiutil sel)  	 ver 2.11
    tmconfig.c	(ipmiutil serial)  	 ver 2.11
    wdt.c	(ipmiutil wdt)  	 ver 2.11
    isolconsole.c (ipmiutil sol)  	 ver 2.11
    idiscover.c	(ipmiutil discover)  	 ver 1.2
    ipmi_port.c	(ipmi_port)  		 ver 1.0
    events.c	(ievents)	  	 ver 2.11

06/24/08 ARCress ipmiutil-2.1.2  changes
  util/ipmilanplus.c - change debug lprintfs fro LOG_WARN to LOG_INFO,
		       fix crash in sol lprintf if send_sol fails,
		       set rsp->len = 0 in sol routines if error.
  util/isolwin.c     - fix white-on-white chars for BIOS setup
  util/events.c      - fix message output for -r, -p 
  ipmiutil-2.1.2 contains:
    ipmiutil.c	(ipmiutil)  	 	 ver 2.12
    alarms.c	(ipmiutil alarms)  	 ver 2.12
    bmchealth.c	(ipmiutil health)  	 ver 2.12
    fruconfig.c	(ipmiutil fru)  	 ver 2.12
    getevent.c	(ipmiutil getevt)  	 ver 2.12
    hwreset.c	(ipmiutil reset)  	 ver 2.12
    icmd.c	(ipmiutil cmd)  	 ver 2.12
    pefconfig.c	(ipmiutil lan)  	 ver 2.12
    sensor.c	(ipmiutil sensor)  	 ver 2.12
    showsel.c	(ipmiutil sel)  	 ver 2.12
    tmconfig.c	(ipmiutil serial)  	 ver 2.12
    wdt.c	(ipmiutil wdt)  	 ver 2.12
    isolconsole.c (ipmiutil sol)  	 ver 2.12
    idiscover.c	(ipmiutil discover)  	 ver 1.2
    ipmi_port.c	(ipmi_port)  		 ver 1.0
    events.c	(ievents)  		 ver 2.12

07/31/08 ARCress ipmiutil-2.1.3  changes
  util/isolwin.c     - handle more esc sequences, add FG_WHITE_LO if mode=0
  util/isolconsole.c - handle receive packets from keepalive 
  util/ipmilanplus.c - check for receive packets in lan2_keepalive also
  util/wdt.c         - add -p for preaction, set pretime = time/2,
  		       pass set/reset status to completion,
  		       check reset if ret==0xc0(192) node busy
  util/imbapi.c      - add set_fps() for fpdbg if -Fimb
  util/idiscover.c   - add -r for repeat pings to each node
  util/pefconfig.c   - allow setting lan params remotely if using diff channel,
		       show SOL Payload Access for all 4 users,
	 	       show ':' before interpreted strings
  util/tmconfig.c    - show ':' before interpreted strings
  util/bmchealth.c   - added Bull, PigeonPt IANA numbers
  util/sensor.c      - allow -i to specify a range of sensors
  util/ipmi_port.c   - skip hello message if background
  util/events.c      - mystr[26] -> [50] for long ACPI messages
  util/showsel.c     - "SEL: :" -> "SEL:" with -w
  util/ipmidir.c     - check for invalid receive data length from BMC
  util/ipmilan.c     - ipmi_cmd_ipmb: increase get_message loop from 5 to 10ms,
  		       check for receive buffer overflow (e.g. 180 bytes)
  util/icmd.c        - allow receive size up to 200 bytes
  lib/lanplus/asf.h  - __attribute__((packed)); -> #pragma pack(1) for gcc 4.3
  lib/lanplus/rmcp.h - __attribute__((packed)); -> #pragma pack(1)
  doc/bmclanpet.mib  - fix mib compile issues on line 52 and 87
  doc/wdt.8          - add -p for preaction
  doc/sensor.8       - add -i and -L descriptions
  doc/checksel       - bash -> sh for bug 2032210
  doc/ipmi_port.sh   - bash -> sh, patch from Paul D Smith
  doc/wdt.sh         - bash -> sh
  doc/UserGuide      - updated man page text
  hpiutil/hpiinit.sh - bash -> sh 
  ipmiutil-2.1.3 contains:
    ipmiutil.c	(ipmiutil)  	 	 ver 2.13
    alarms.c	(ipmiutil alarms)  	 ver 2.13
    bmchealth.c	(ipmiutil health)  	 ver 2.13
    fruconfig.c	(ipmiutil fru)  	 ver 2.13
    getevent.c	(ipmiutil getevt)  	 ver 2.13
    hwreset.c	(ipmiutil reset)  	 ver 2.13
    icmd.c	(ipmiutil cmd)  	 ver 2.13
    pefconfig.c	(ipmiutil lan)  	 ver 2.13
    sensor.c	(ipmiutil sensor)  	 ver 2.13
    showsel.c	(ipmiutil sel)  	 ver 2.13
    tmconfig.c	(ipmiutil serial)  	 ver 2.13
    wdt.c	(ipmiutil wdt)  	 ver 2.13
    isolconsole.c (ipmiutil sol)  	 ver 2.13
    idiscover.c	(ipmiutil discover)  	 ver 1.3
    ipmi_port.c	(ipmi_port)  		 ver 1.1
    events.c	(ievents)  		 ver 2.13

08/25/08 ARCress ipmiutil-2.2.0  changes
  util/icmd.c        - add -q for quiet mode
  util/isolwin.c     - add translation for graphic arrow keys, 
		       add more set attrib esc sequences
  util/pefconfig.c   - add -o to just disable SOL, 
		       add -v for access priv (admin/oper/user),
		       added case for NSN2U
  util/tmconfig.c    - add -e for TMode without console,
		       add -v for access priv (admin/oper/user)
  util/getevent.c    - call iclose() before any exit();
  util/hwreset.c     - do ipmi_close_ if soft-reset
  util/ipmilan.c     - add ALLOW_GPL flag for MD2OK
  util/ipmilan2.c    - add ALLOW_GPL flag for MD2OK
  util/ipmiva.c      - moved _va routines to ipmiva.h, only stubs here, 
		       add ALLOW_GPL flag for VAOK
  util/ipmiva.h      - new, contains _va routines
  util/md2.c         - moved md2 routines from here to md2.h
  util/md2.h         - new, contains md2 routines
  util/mem_if.c      - new, to get_BiosVersion
  util/bmcconfig.c   - new, to save/restore bmc configuration
  util/bmchealth.c   - added case for NSN2U
  util/events.c      - added fan redundancy interpretation
  util/sensor.c      - added cases for other discrete temp sensors, 
  		       handle full sensor readings in init state.
  util/Makefile.am   - added mem_if, bmcconfig, 
	               fixed libipmiutil.a build
  configure.in       - add --enable-gpl/ALLOW_GPL (default=no)
  INSTALL            - document configure option changes
  doc/bmclanpet.mib  - PetEvts->petevts for some mib compilers, Trap->trap
  doc/bmcconfig.8    - new
  ipmiutil-2.2.0 contains:
    ipmiutil.c	(ipmiutil)	  	 ver 2.20
    alarms.c	(ipmiutil alarms)  	 ver 2.20
    bmchealth.c	(ipmiutil health)  	 ver 2.20
    fruconfig.c	(ipmiutil fru)  	 ver 2.20
    getevent.c	(ipmiutil getevt)  	 ver 2.20
    hwreset.c	(ipmiutil reset)  	 ver 2.20
    icmd.c	(ipmiutil cmd)  	 ver 2.20
    pefconfig.c	(ipmiutil lan)  	 ver 2.20
    sensor.c	(ipmiutil sensor)  	 ver 2.20
    showsel.c	(ipmiutil sel)  	 ver 2.20
    tmconfig.c	(ipmiutil serial)  	 ver 2.20
    wdt.c	(ipmiutil wdt)  	 ver 2.20
    isolconsole.c (ipmiutil sol)  	 ver 2.20
    bmcconfig.c (ipmiutil config)	 ver 1.0
    idiscover.c	(ipmiutil discover)  	 ver 1.3
    ipmi_port.c	(ipmi_port)  		 ver 1.1
    events.c	(ievents)	  	 ver 2.20

09/15/08 ARCress ipmiutil-2.2.1  changes
  doc/ipmi_if.sh     - reuse dmidecode output rather than repeat calls
  util/ipmilanplus.c - for no LANPLUS, still need 2 global vars
  util/ipmiutil.mak  - added VCLIB_ADD, VCINCL_ADD, 
  	 	       added LIBS_W, mem_if.exe, ipmims.obj
  util/mem_if.c      - added smbios code for WIN32
  util/getevent.c    - continue even if set_bmc_enables fails, 
		       add code for openipmi async cmds (remote soft reset).
  util/events.c      - added more type 1D & 20 decoding from IPMI 2.0 E3 spec,
  		       if fPET, do not show reading on sensor line.
  util/ipmimv.c      - add setmaint_mv() routine, add register routines,
  		       mods to getevent_mv for other recv_types
  util/sensor.c      - added EvLog(0x10) sensor type decoding,
  		       Show EventType for Full & Comp SDRs (instead of Sz).
  util/ipmims.c      - new, for MS IPMI driver support 
  util/isolwin.c     - detect BIOS Setup via background for CR handling,
  		       only set fg intensity instead of fg/bg for mode 1,
  		       move arrow/function key handling to console_in
  util/isolconsole.c - move arrow/function key handling to console_in
  util/wdt.c         - change pretimeout from half to 90% of timeout
  util/alarms.c      - enhanced BMC TAM detection
  util/Makefile.am   - fix lib if condition for no lanplus, 
  		       add strip to install, added ipmims.o
  doc/icmd.8         - added -q description
  doc/pefconfig.8    - added -o -v descriptions
  doc/tmconfig.8     - added -e -v descriptions
  doc/sensor.8       - added output columns explanation
  doc/wdt.8          - change pretimeout from half to 90% of timeout
  doc/UserGuide      - updated man pages, added sample output section,
  		       documented MS IPMI driver support
  lib/lanplus/ipmiplus.mak - added VCLIB_ADD, VCINCL_ADD
  buildwin.cmd       - added more comments about VS8, added VC*_ADD
  ipmiutil-2.2.1 contains:
    ipmiutil.c	(ipmiutil)  		 ver 2.21
    alarms.c	(ipmiutil alarms)  	 ver 2.21
    bmchealth.c	(ipmiutil health)  	 ver 2.21
    fruconfig.c	(ipmiutil fru)  	 ver 2.21
    getevent.c	(ipmiutil getevt)  	 ver 2.21
    hwreset.c	(ipmiutil reset)  	 ver 2.21
    icmd.c	(ipmiutil cmd)  	 ver 2.21
    pefconfig.c	(ipmiutil lan)  	 ver 2.21
    sensor.c	(ipmiutil sensor)  	 ver 2.21
    showsel.c	(ipmiutil sel)  	 ver 2.21
    tmconfig.c	(ipmiutil serial)  	 ver 2.21
    wdt.c	(ipmiutil wdt)  	 ver 2.21
    isolconsole.c (ipmiutil sol)  	 ver 2.21
    bmcconfig.c	(ipmiutil config)  	 ver 1.1
    idiscover.c	(ipmiutil discover)  	 ver 1.3
    ipmi_port.c	(ipmi_port)  		 ver 1.1
    events.c	(ievents)  		 ver 2.21

09/19/08 ARCress ipmiutil-2.2.2  changes
  util/pefconfig.c   - readonly warning if options but no -e,
  		       set BMC IP to 0.0.0.0 if -d,
  		       fix bug with trap2sink parsing, 
  		       if mac unresolved, show warning, but dont set it
  util/isolconsole.c - add -i -o options
  doc/isolconsole.8  - describe -i -o options
  doc/UserGuide      - updated isolconsole man page
  ipmiutil-2.2.2 contains:
    ipmiutil.c	(ipmiutil)  		 ver 2.22
    alarms.c	(ipmiutil alarms)  	 ver 2.22
    bmchealth.c	(ipmiutil health)  	 ver 2.22
    fruconfig.c	(ipmiutil fru)  	 ver 2.22
    getevent.c	(ipmiutil getevt)  	 ver 2.22
    hwreset.c	(ipmiutil reset)  	 ver 2.22
    icmd.c	(ipmiutil cmd)  	 ver 2.22
    pefconfig.c	(ipmiutil lan)  	 ver 2.22
    sensor.c	(ipmiutil sensor)  	 ver 2.22
    showsel.c	(ipmiutil sel)  	 ver 2.22
    tmconfig.c	(ipmiutil serial)  	 ver 2.22
    wdt.c	(ipmiutil wdt)  	 ver 2.22
    isolconsole.c (ipmiutil sol)  	 ver 2.22
    bmcconfig.c	(ipmiutil config)  	 ver 1.2
    idiscover.c	(ipmiutil discover)  	 ver 1.3
    ipmi_port.c	(ipmi_port)	  	 ver 1.1
    events.c	(ievents)  		 ver 2.22

10/06/08 ARCress ipmiutil-2.2.3  changes
  util/isolconsole.c - fix abort on Linux F10
  util/bmchealth.c   - use chan 1 for auth if NSN2U
  util/mem_if.c      - cosmetic reuse mods
  util/showsel.c     - get Windows ipmiutildir path if -w
  util/events.c      - fix decoding for OEM events betw c0 & e0
  doc/bmclanpet.mib  - add PowerUnitRedundancy PET OIDs
  doc/UserGuide      - updates to Intro sections
  doc/showsel.reg    - added scheduler time for checksel.cmd
  doc/install.cmd    - new, install script for Windows
  doc/checksel.cmd   - new, checksel at script for Windows
  INSTALL            - updated info about --enable-gpl
  README             - updated info about --enable-gpl
  ipmiutil-2.2.3 contains:
    ipmiutil.c	(ipmiutil)  		 ver 2.23
    alarms.c	(ipmiutil alarms)  	 ver 2.23
    bmchealth.c	(ipmiutil health)  	 ver 2.23
    fruconfig.c	(ipmiutil fru)  	 ver 2.23
    getevent.c	(ipmiutil getevt)  	 ver 2.23
    hwreset.c	(ipmiutil reset)  	 ver 2.23
    icmd.c	(ipmiutil cmd)  	 ver 2.23
    pefconfig.c	(ipmiutil lan)  	 ver 2.23
    sensor.c	(ipmiutil sensor)  	 ver 2.23
    showsel.c	(ipmiutil sel)  	 ver 2.23
    tmconfig.c	(ipmiutil serial)  	 ver 2.23
    wdt.c	(ipmiutil wdt)  	 ver 2.23
    isolconsole.c (ipmiutil sol)  	 ver 2.23
    bmcconfig.c	(ipmiutil config)  	 ver 1.3
    idiscover.c	(ipmiutil discover)  	 ver 1.3
    ipmi_port.c	(ipmi_port)	  	 ver 1.1
    events.c	(ievents) 	 	 ver 2.23

10/27/08 ARCress ipmiutil-2.2.4  changes
  util/fruconfig.c   - fixed segfault with -a due to early free_fru
                       this bug was introduced in 2.2.1, worked before.
	               also fixed write_asset if multi-record area present.
  doc/UserGuide      - added page breaks (FormFeeds) for printing
  ipmiutil-2.2.4 contains:
    ipmiutil.c	(ipmiutil)  		 ver 2.24
    alarms.c	(ipmiutil alarms)  	 ver 2.24
    bmchealth.c	(ipmiutil health)  	 ver 2.24
    fruconfig.c	(ipmiutil fru)  	 ver 2.24
    getevent.c	(ipmiutil getevt)  	 ver 2.24
    hwreset.c	(ipmiutil reset)  	 ver 2.24
    icmd.c	(ipmiutil cmd)  	 ver 2.24
    pefconfig.c	(ipmiutil lan)  	 ver 2.24
    sensor.c	(ipmiutil sensor)  	 ver 2.24
    showsel.c	(ipmiutil sel)  	 ver 2.24
    tmconfig.c	(ipmiutil serial)  	 ver 2.24
    wdt.c	(ipmiutil wdt)  	 ver 2.24
    isolconsole.c (ipmiutil sol)  	 ver 2.24
    bmcconfig.c	(ipmiutil config)  	 ver 2.24
    idiscover.c	(ipmiutil discover)  	 ver 1.3
    ipmi_port.c	(ipmi_port)  		 ver 1.1
    events.c	(ievents)  		 ver 2.24

11/14/08 ARCress ipmiutil-2.3.0  changes
  util/sensor.c    - handle minutes-per-count for FSC POH 
  util/events.c    - decode Fan Absent event (trg=88 d1=01)
  util/md2.c       - add md2 from libcrypto if HAVE_LANPLUS
  util/ipmilan.c   - set MD2OK if HAVE_LANPLUS
  util/bmchealth.c - get_chassis_status error message change, 
		     use common error return point
  util/ipmicmd.h   - move ACCESS_OK out of ifdef, add DRV_BMC
  util/ipmidir.c   - use meaningful return codes
  INSTALL          - added Solaris notes
  configure.in     - added Solaris/SunOS changes
  lib/lanplus/lanplus.c - add SOLARIS ifdefs
  util/Makefile.am   - added Solaris changes
  util/ipmibmc.c     - new, for Solaris 10 bmc driver
  util/bmcconfig.c   - add SOLARIS ifdefs
  util/getevent.c    - add SOLARIS ifdefs
  util/idiscover.c   - add SOLARIS ifdefs
  util/ipmicmd.c     - add SOLARIS ifdefs
  util/ipmilan2.c    - add SOLARIS ifdefs
  util/ipmilan.c     - add SOLARIS ifdefs
  util/ipmilanplus.c - add SOLARIS ifdefs
  util/mem_if.c      - add SOLARIS ifdefs
  util/pefconfig.c   - add SOLARIS ifdefs
  util/imbapi.c      - add ifndef SOLARIS for safety
  util/ipmi*.c       - add ifdef LINUX for safety
  ipmiutil-2.3.0 contains:
    ipmiutil.c	(ipmiutil) 	 	 ver 2.30
    alarms.c	(ipmiutil alarms)  	 ver 2.30
    bmchealth.c	(ipmiutil health)  	 ver 2.30
    fruconfig.c	(ipmiutil fru)  	 ver 2.30
    getevent.c	(ipmiutil getevt)  	 ver 2.30
    hwreset.c	(ipmiutil reset)  	 ver 2.30
    icmd.c	(ipmiutil cmd)  	 ver 2.30
    pefconfig.c	(ipmiutil lan)  	 ver 2.30
    sensor.c	(ipmiutil sensor)  	 ver 2.30
    showsel.c	(ipmiutil sel)  	 ver 2.30
    tmconfig.c	(ipmiutil serial)  	 ver 2.30
    wdt.c	(ipmiutil wdt)  	 ver 2.30
    isolconsole.c (ipmiutil sol)  	 ver 2.30
    bmcconfig.c	(ipmiutil config)  	 ver 2.30
    idiscover.c	(ipmiutil discover)  	 ver 1.4
    ipmi_port.c	(ipmi_port)	  	 ver 1.1
    events.c	(ievents)  		 ver 2.30

12/02/08 ARCress ipmiutil-2.3.1  changes
  util/bmchealth.c   - add ClearBay id, move to get_mfg_str()
  util/events.c      - add -h hex option, NM event decoding
  util/sensor.c      - add -g for sensor type groups, 
  		       change -h/-l to set noncrit first, then crit,nonrec,
  		       add etype 03 to Discrete Thermal sensor decoding
  util/pefconfig.c   - skip error message if setting BMC MAC not allowed
  util/bmcconfig.c   - set ndest again from Serial param 16
  util/idiscover.c   - init fpdbg if METACOMMAND and -x (#2339334), 
  		       find first enabled eth interface, 
		       use eth intf ip for broadcast by default,
  		       check if broadcast ip is invalid, 
  		       show progress if not broadcast.
  util/ipmicmd.c     - check fpdbg in dump_buf()
  util/imbapi.c      - added more fdebug messages for Emp/Lan
  util/isolwin.c     - handle screen mode escape sequences
  util/getevent.c    - add error message if wrong async cmd,
  		       handle shorter async format from some BMCs.
  doc/ipmiutil.spec  - copy wdt.sh, asy.sh to /etc/init.d
  doc/Makefile       - add asy.sh to install
  doc/idiscover.8    - document detection changes
  doc/getevent.8     - document asy.sh (ipmiutil_asy)
  doc/wdt.8          - edit info about wdt.sh (ipmiutil_wdt)
  doc/events.8       - document -h option
  doc/sensor.8       - document -g option
  doc/bmcconfig.8    - added info about editing UserPassword records
  doc/UserGuide      - man page updates
  doc/asy.sh         - new, init script for getevt -a
  cleanwin.cmd       - new, clean windows binaries
  buildwin2.cmd      - new, alt build for standalone/bootable wo lanplus
  util/ipmiutil2.mak - new, alt build for standalone/bootable wo lanplus
  ipmiutil-2.3.1 contains:
    ipmiutil.c	(ipmiutil)	  	 ver 2.31
    alarms.c	(ipmiutil alarms)  	 ver 2.31
    bmchealth.c	(ipmiutil health)  	 ver 2.31
    fruconfig.c	(ipmiutil fru)  	 ver 2.31
    getevent.c	(ipmiutil getevt)  	 ver 2.31
    hwreset.c	(ipmiutil reset)  	 ver 2.31
    icmd.c	(ipmiutil cmd)  	 ver 2.31
    pefconfig.c	(ipmiutil lan)  	 ver 2.31
    sensor.c	(ipmiutil sensor)  	 ver 2.31
    showsel.c	(ipmiutil sel)  	 ver 2.31
    tmconfig.c	(ipmiutil serial)  	 ver 2.31
    wdt.c	(ipmiutil wdt)  	 ver 2.31
    isolconsole.c (ipmiutil sol)  	 ver 2.31
    bmcconfig.c	(ipmiutil config)  	 ver 2.31
    idiscover.c	(ipmiutil discover)  	 ver 1.5
    ipmi_port.c	(ipmi_port)	  	 ver 1.1
    events.c	(ievents)  		 ver 2.31

12/08/08 ARCress ipmiutil-2.3.2  changes
  util/bmchealth.c   - add Tyan product id logic, 
  		       add last selftest status if error,
  		       show IPMI driver type
  util/pefconfig.c   - debug messages for -t, 
		       better warning for no -e option
  util/sensor.c      - fix for setting thresholds if sens_num matches
		       on more than one slave_addr (TAO 2125)
  util/Makefile.am   - add $(extradir)
  doc/ipmiutil.spec  - mods for Fedora compliance
  doc/ipmi_if.sh     - add #!/bin/sh
  doc/ipmi_port.sh   - add $progdir
  lib/lanplus/lanplus.c - patch to ipmi_req_remove_entry()
  ipmiutil-2.3.2 contains:
    ipmiutil.c	(ipmiutil) 	 	 ver 2.32
    alarms.c	(ipmiutil alarms)  	 ver 2.32
    bmchealth.c	(ipmiutil health)  	 ver 2.32
    fruconfig.c	(ipmiutil fru)  	 ver 2.32
    getevent.c	(ipmiutil getevt)  	 ver 2.32
    hwreset.c	(ipmiutil reset)  	 ver 2.32
    icmd.c	(ipmiutil cmd)  	 ver 2.32
    pefconfig.c	(ipmiutil lan)  	 ver 2.32
    sensor.c	(ipmiutil sensor)  	 ver 2.32
    showsel.c	(ipmiutil sel)  	 ver 2.32
    tmconfig.c	(ipmiutil serial)  	 ver 2.32
    wdt.c	(ipmiutil wdt)  	 ver 2.32
    isolconsole.c (ipmiutil sol)  	 ver 2.32
    bmcconfig.c	(ipmiutil config)  	 ver 2.32
    idiscover.c	(ipmiutil discover)  	 ver 1.5
    ipmi_port.c	(ipmi_port)	  	 ver 1.1
    events.c	(ievents)  		 ver 2.32

01/09/09 ARCress ipmiutil-2.3.3  changes
  util/pefconfig.c   - add Voltage Ok PEF rule to -k, swap PEF7/8 descriptions
  util/events.c      - add voltage ok decoding to -p
  doc/ipmiutil.spec  - fix broken %_mandir with MV4
  ipmiutil-2.3.3 contains:
    ipmiutil.c	(ipmiutil)  		 ver 2.33
    alarms.c	(ipmiutil alarms)  	 ver 2.33
    bmchealth.c	(ipmiutil health)  	 ver 2.33
    fruconfig.c	(ipmiutil fru)  	 ver 2.33
    getevent.c	(ipmiutil getevt)  	 ver 2.33
    hwreset.c	(ipmiutil reset)  	 ver 2.33
    icmd.c	(ipmiutil cmd)  	 ver 2.33
    pefconfig.c	(ipmiutil lan)  	 ver 2.33
    sensor.c	(ipmiutil sensor)  	 ver 2.33
    showsel.c	(ipmiutil sel)  	 ver 2.33
    tmconfig.c	(ipmiutil serial)  	 ver 2.33
    wdt.c	(ipmiutil wdt)  	 ver 2.33
    isolconsole.c (ipmiutil sol)  	 ver 2.33
    bmcconfig.c	(ipmiutil config)  	 ver 2.33
    idiscover.c	(ipmiutil discover)  	 ver 1.5
    ipmi_port.c	(ipmi_port)  		 ver 1.1
    events.c	(ievents)  		 ver 2.33

02/25/09 ARCress ipmiutil-2.3.4  changes
  configure.in       - For SunOS substitution, add space after -lnsl
  INSTALL 	     - Solaris idiscover note
  util/idiscover.c   - fix Solaris e1000g? loop
  util/bmchealth.c   - comment about Power State 2a (unknown)
  util/pefconfig.c   - fix FindEthNum, GetIPMac for Solaris,
  		       show max_users, enabled_users
  util/tmconfig.c    - show max_users, enabled_users
  util/bmcconfig.c   - set nusers = max_users
  COPYING 	     - added Copyright 2009 Kontron
  util/*.c,*.h 	     - added Copyright 2009 Kontron
  doc/*.8 	     - added Copyright 2009 Kontron
  lib/lanplus/helper.c  - printbuf to stdout (was stderr)
  lib/lanplus/lanplus.c - add bridging patches from Mirko Klefker
  util/ipmilanplus.c - bridging patch
  util/ipmicmd.c     - bridging patch to ipmi_cmd_mc
  util/ipmilan.c     - by default, dont send ping, 
		       handle bridged requests for non-BMC addrs
  util/sensor.c      - enable lan bridging for HSC sensor readings
  util/alarms.c      - enable lan bridging for HSC disk LEDs
  util/ipmiutil.c    - add events as a subcommand
  util/ipmiutil.h    - add i_events as a subroutine
  util/bmchealth.c   - more debug for get_last_selftest
  util/events.c      - handle PET threshold trap end cases, 
  		       handle discrete temp events,
		       handle i_events from ipmiutil metacommand
  doc/events.8       - add -r (same as -h) with example
  doc/UserGuide      - added 4.10 How to configure IPMI PET SNMP
  doc/alarms.cmd     - new, invoke ipmiutil.exe instead 
  doc/bmcconfig.cmd  - new, invoke ipmiutil.exe instead 
  doc/bmchealth.cmd  - new, invoke ipmiutil.exe instead 
  doc/fruconfig.cmd  - new, invoke ipmiutil.exe instead 
  doc/getevent.cmd   - new, invoke ipmiutil.exe instead 
  doc/hwreset.cmd    - new, invoke ipmiutil.exe instead 
  doc/icmd.cmd       - new, invoke ipmiutil.exe instead 
  doc/idiscover.cmd  - new, invoke ipmiutil.exe instead 
  doc/isolconsole.cmd - new, invoke ipmiutil.exe instead 
  doc/pefconfig.cmd  - new, invoke ipmiutil.exe instead 
  doc/sensor.cmd     - new, invoke ipmiutil.exe instead 
  doc/showsel.cmd    - new, invoke ipmiutil.exe instead 
  doc/tmconfig.cmd   - new, invoke ipmiutil.exe instead 
  doc/wdt.cmd        - new, invoke ipmiutil.exe instead 
  ipmiutil-2.3.4 contains:
    ipmiutil.c	(ipmiutil) 	 	 ver 2.34
    alarms.c	(ipmiutil alarms)  	 ver 2.34
    bmchealth.c	(ipmiutil health)  	 ver 2.34
    fruconfig.c	(ipmiutil fru)  	 ver 2.34
    getevent.c	(ipmiutil getevt)  	 ver 2.34
    hwreset.c	(ipmiutil reset)  	 ver 2.34
    icmd.c	(ipmiutil cmd)  	 ver 2.34
    pefconfig.c	(ipmiutil lan)  	 ver 2.34
    sensor.c	(ipmiutil sensor)  	 ver 2.34
    showsel.c	(ipmiutil sel)  	 ver 2.34
    tmconfig.c	(ipmiutil serial)  	 ver 2.34
    wdt.c	(ipmiutil wdt)  	 ver 2.34
    isolconsole.c (ipmiutil sol)  	 ver 2.34
    bmcconfig.c	(ipmiutil config)  	 ver 2.34
    events.c	(ipmiutil events)	 ver 2.34
    idiscover.c	(ipmiutil discover)  	 ver 1.5
    ipmi_port.c	(ipmi_port)  		 ver 1.1

03/30/09 ARCress ipmiutil-2.3.5  changes
  util/bmchealth.c   - add GetPowerOnHours, skip get_power_state if HP.
  util/sensor.c      - rename GetPowerOnHours as ShowPowerOnHours
  util/ipmilan.c     - some fixes for SOL 1.5 data
  util/pefconfig.c   - clear gateway IP/MAC when fdisable with -d
  util/events.c      - decode EFI System Events too
  configure.in       - FreeBSD mods
  lib/Makefile       - FreeBSD mods
  lib/lanplus/Makefile.am - FreeBSD mods
  util/bmcconfig.c   - FreeBSD mods
  util/getevent.c    - FreeBSD mods
  util/imbapi.c      - FreeBSD mods
  util/ipmicmd.c     - FreeBSD mods
  util/mem_if.c      - FreeBSD mods, detect IPMI register spacing via SMBIOS
  util/pefconfig.c   - FreeBSD mods, tested on FreeBSD 7.1
  util/ipmidir.c     - FreeBSD mods, fixed SMBIOS overwriting ipmi_if.txt,
		       add register spacing from SMBIOS,
		       fix SMBChar to init SSIF correctly.
  ipmiutil-2.3.5 contains:
    ipmiutil.c	(ipmiutil)	  	 ver 2.35
    alarms.c	(ipmiutil alarms)  	 ver 2.35
    bmchealth.c	(ipmiutil health)  	 ver 2.35
    fruconfig.c	(ipmiutil fru)  	 ver 2.35
    getevent.c	(ipmiutil getevt)  	 ver 2.35
    hwreset.c	(ipmiutil reset)  	 ver 2.35
    icmd.c	(ipmiutil cmd)  	 ver 2.35
    pefconfig.c	(ipmiutil lan)  	 ver 2.35
    sensor.c	(ipmiutil sensor)  	 ver 2.35
    showsel.c	(ipmiutil sel)  	 ver 2.35
    tmconfig.c	(ipmiutil serial)  	 ver 2.35
    wdt.c	(ipmiutil wdt)  	 ver 2.35
    isolconsole.c (ipmiutil sol)  	 ver 2.35
    bmcconfig.c	(ipmiutil config)  	 ver 2.35
    events.c	(ipmiutil events)  	 ver 2.35
    idiscover.c	(ipmiutil discover)  	 ver 1.5
    ipmi_port.c	(ipmi_port)	  	 ver 1.1

04/09/09 ARCress ipmiutil-2.3.6  changes
  doc/UserGuide      - Note that Legacy OS Redir is optional for SOL, 
  		       and ipmiutil serial is not required for SOL.
  doc/bmchealth.8    - document -g and -s options
  util/bmchealth.c   - add -s option to get_lan_stats,
  		       fixed WIN32 stack overflow in get_last_selftest() 
  util/pefconfig.c   - change -z to use get_lan_stats, 
  		       recognize 115200 variant as well as 115.2k for -B
  util/tmconfig.c    - recognize 115200 variant as well as 115.2k for -B
  util/ipmicmd.c     - include ipmimv for BSD
  util/ipmimv.c      - include ipmimv for BSD, still some compatibility issues
  ipmiutil-2.3.6 contains:
    ipmiutil.c	(ipmiutil) 	 	 ver 2.36
    alarms.c	(ipmiutil alarms)  	 ver 2.36
    bmchealth.c	(ipmiutil health)  	 ver 2.36
    fruconfig.c	(ipmiutil fru)  	 ver 2.36
    getevent.c	(ipmiutil getevt)  	 ver 2.36
    hwreset.c	(ipmiutil reset)  	 ver 2.36
    icmd.c	(ipmiutil cmd)  	 ver 2.36
    pefconfig.c	(ipmiutil lan)  	 ver 2.36
    sensor.c	(ipmiutil sensor)  	 ver 2.36
    showsel.c	(ipmiutil sel)  	 ver 2.36
    tmconfig.c	(ipmiutil serial)  	 ver 2.36
    wdt.c	(ipmiutil wdt)  	 ver 2.36
    isolconsole.c (ipmiutil sol)  	 ver 2.36
    bmcconfig.c	(ipmiutil config)  	 ver 2.36
    events.c	(ipmiutil events)  	 ver 2.36
    idiscover.c	(ipmiutil discover)  	 ver 1.5
    ipmi_port.c	(ipmi_port)	  	 ver 1.1

05/08/09 ARCress ipmiutil-2.3.7  changes
  doc/ipmiutil.spec  - fixed an rpmlint warning
  doc/showsel.cmd    - fixed syntax error (showsel->sel)
  util/ipmiutil.mak  - clean *.res/.rc/.bin files from showsel.dll
  util/sensor.c      - add ChassisIntrus msg under Physical Security
  util/showsel.c     - fixed -l if only one SEL record.
  util/ipmidir.c     - always return error if wait_for_OBF_set timeout, 
  		       or if wait_for_IBF_clear timeout
  util/*.c           - added DOS compile flags
  util/ipmilanplus.c - log the correct rq_seq value in sol_send, 
  		       set the rq_seq to sol_seq in sol_send,
  		       added lan2_recv_handler to fix bug #2787484
  util/isolconsole.c - get all socket data before any stdin data,
  		       use lan2_recv_handler in set_sol_data,
  		       detect dropped session sooner, and
  		       use LAN_ERR_DROPPED for bug #2789103
  util/ipmicmd.h     - add LAN_ERR_DROPPED
  util/ipmilan.c     - add LAN_ERR_DROPPED to decode_rv()
  doc/install.cmd    - copy to Program Files, set PATH, etc.
  doc/uninstall.cmd  - new
  doc/showselun.reg  - new
  ipmiutil-2.3.7 contains:
    ipmiutil.c	(ipmiutil)	  	 ver 2.37
    alarms.c	(ipmiutil alarms)  	 ver 2.37
    bmchealth.c	(ipmiutil health)  	 ver 2.37
    fruconfig.c	(ipmiutil fru)  	 ver 2.37
    getevent.c	(ipmiutil getevt)  	 ver 2.37
    hwreset.c	(ipmiutil reset)  	 ver 2.37
    icmd.c	(ipmiutil cmd)  	 ver 2.37
    pefconfig.c	(ipmiutil lan)  	 ver 2.37
    sensor.c	(ipmiutil sensor)  	 ver 2.37
    showsel.c	(ipmiutil sel)  	 ver 2.37
    tmconfig.c	(ipmiutil serial)  	 ver 2.37
    wdt.c	(ipmiutil wdt)  	 ver 2.37
    isolconsole.c (ipmiutil sol)  	 ver 2.37
    bmcconfig.c	(ipmiutil config)  	 ver 2.37
    events.c	(ipmiutil events)  	 ver 2.37
    idiscover.c	(ipmiutil discover)  	 ver 1.5
    ipmi_port.c	(ipmi_port) 	 	 ver 1.1

06/01/09 ARCress ipmiutil-2.3.8  changes
  util/events.c      - moved decode logic to decode_raw_sel()
  util/showsel.c     - added -b/-f options calling decode_raw_sel()
  util/ipmiutil.mak  - do not delete crypto DLLs during clean
  util/isolconsole.c - do not abort if keepalive error 
  		       ,(reverts 2.3.7 change that could abort during reboot),
  		       handle extra '\n' in WIN32 dbglog,
  		       add -v option to specify debug log filename
  util/pefconfig.c   - overwrite GCM MAC if specified, 
		       dont arping for gwymac if gcm_ch and not same subnet.
  util/sensor.c      - add ':' delimiter to -s output
  util/ipmidir.c     - check for rlen==0 from ssif and return, fixed SegFault.
  util/getevent.c    - update comments for -a option
  util/ipmi_sample.c - new, sample app
  util/Makefile.am   - add ipmi_sample app build
  util/ipmiutil.mak  - add ipmiutil.lib,ipmi_sample app build
  doc/events.8       - changes to -b/-r/-f/-h descriptions
  doc/showsel.8      - added -b/-f options 
  doc/uninstall.cmd  - automated cleanup of PATH and at jobs 
  configure.in       - detect rpm PKG_DIR if Linux
  Makefile.am        - use PKG_DIR
  ipmiutil-2.3.8 contains:
    ipmiutil.c	(ipmiutil)  		 ver 2.38
    alarms.c	(ipmiutil alarms)  	 ver 2.38
    bmchealth.c	(ipmiutil health)  	 ver 2.38
    fruconfig.c	(ipmiutil fru)  	 ver 2.38
    getevent.c	(ipmiutil getevt)  	 ver 2.38
    hwreset.c	(ipmiutil reset)  	 ver 2.38
    icmd.c	(ipmiutil cmd)  	 ver 2.38
    pefconfig.c	(ipmiutil lan)  	 ver 2.38
    sensor.c	(ipmiutil sensor)  	 ver 2.38
    showsel.c	(ipmiutil sel)  	 ver 2.38
    tmconfig.c	(ipmiutil serial)  	 ver 2.38
    wdt.c	(ipmiutil wdt)  	 ver 2.38
    isolconsole.c (ipmiutil sol)  	 ver 2.38
    bmcconfig.c	(ipmiutil config)  	 ver 2.38
    events.c	(ipmiutil events)  	 ver 2.38
    idiscover.c	(ipmiutil discover)  	 ver 1.5
    ipmi_port.c	(ipmi_port)  		 ver 1.1

06/05/09 ARCress ipmiutil-2.3.9  changes
  util/bmcconfig.c   - save LAN1 and LAN3 if present, include chan for each,
  		       fix ser_ch defaults if -L, fnotshared->fsharedMAC
  util/pefconfig.c   - fix ser_ch defaults if -L, fnotshared->fsharedMAC
  util/isolconsole.c - allow 0.5 sec after close for BMC teardown.
  util/events.c      - interpret IERR deasserts correctly
  util/sensor.c      - check for type 0x21 DIMM slot fault bit
  util/hwreset.c     - do not reset by default, show usage if no options
  doc/hwreset.8      - default is no longer hard reset
  ipmiutil-2.3.9 contains:
    ipmiutil.c	(ipmiutil) 	 	 ver 2.39
    alarms.c	(ipmiutil alarms)  	 ver 2.39
    bmchealth.c	(ipmiutil health)  	 ver 2.39
    fruconfig.c	(ipmiutil fru)  	 ver 2.39
    getevent.c	(ipmiutil getevt)  	 ver 2.39
    hwreset.c	(ipmiutil reset)  	 ver 2.39
    icmd.c	(ipmiutil cmd)  	 ver 2.39
    pefconfig.c	(ipmiutil lan)  	 ver 2.39
    sensor.c	(ipmiutil sensor)  	 ver 2.39
    showsel.c	(ipmiutil sel)  	 ver 2.39
    tmconfig.c	(ipmiutil serial)  	 ver 2.39
    wdt.c	(ipmiutil wdt)  	 ver 2.39
    isolconsole.c (ipmiutil sol)  	 ver 2.39
    bmcconfig.c	(ipmiutil config)  	 ver 2.39
    events.c	(ipmiutil events)  	 ver 2.39
    idiscover.c	(ipmiutil discover)  	 ver 1.5
    ipmi_port.c	(ipmi_port)	  	 ver 1.1

06/25/09 ARCress ipmiutil-2.4.0  changes
  lib/lanplus/lanplus.c - removed 2 asserts, handle better
  util/ipmilanplus.c - added more stubs ifndef HAVE_LANPLUS
  util/mem_if.c      - skip error msg if Solaris
  util/showsel.c     - generalize syslog code, fix SEL info vtotal(short->int)
  util/getevent.c    - use syslog code to log -a shutdown/reboot
  util/tmconfig.c    - if transient MUX error, still success
  		       handle 9.6K string properly
  util/pefconfig.c   - handle 9.6K string properly,
  		       disallow setting params if -N and another session active
  util/bmcconfig.c   - disallow setting params if -N and another session active
  util/sensor.c      - for -s, simplify to show only full/compact sensors
  util/bmchealth.c   - added WinBond, Inventec to vendor strings
  doc/ipmiutil.spec  - create $tmpdir instead of %{_tmppath} in %post*,
  		       change events->ievents 
  		       install init/cron scripts via %files instead of %post
  doc/install-solaris.sh - change events to ievents
  doc/Makefile       - change events to ievents, detect initto dir
  doc/events.8  -> doc/ievents.8
  util/events.c -> util/ievents.c
  util/ievents.c     - change progname from events to ievents, 
  		       also decode HSC thresh events with act=/thr=
  ipmiutil-2.4.0 contains:
    ipmiutil.c	(ipmiutil)  		 ver 2.40
    alarms.c	(ipmiutil alarms)  	 ver 2.40
    bmchealth.c	(ipmiutil health)  	 ver 2.40
    fruconfig.c	(ipmiutil fru)  	 ver 2.40
    getevent.c	(ipmiutil getevt)  	 ver 2.40
    hwreset.c	(ipmiutil reset)  	 ver 2.40
    icmd.c	(ipmiutil cmd)  	 ver 2.40
    pefconfig.c	(ipmiutil lan)  	 ver 2.40
    sensor.c	(ipmiutil sensor)  	 ver 2.40
    showsel.c	(ipmiutil sel)  	 ver 2.40
    tmconfig.c	(ipmiutil serial)  	 ver 2.40
    wdt.c	(ipmiutil wdt)  	 ver 2.40
    isolconsole.c (ipmiutil sol)  	 ver 2.40
    bmcconfig.c	(ipmiutil config)  	 ver 2.40
    ievents.c	(ipmiutil events)  	 ver 2.40
    idiscover.c	(ipmiutil discover)  	 ver 1.5
    ipmi_port.c	(ipmi_port)	  	 ver 1.1

08/10/09 ARCress ipmiutil-2.4.1  changes
  util/showsel.c     - define write_syslog routine here,
  		       return error if ClearSEL fails.
  util/getevent.c    - move write_syslog routine out,
  		       fix index from evt.idx after SEL gets cleared (0xCD),
  		       show sensor description if IPMI event.
  util/hwreset.c     - call write_syslog if reset action is initiated
  util/pefconfig.c   - show OS IP/MAC used for arp if debug,
  		       add -c option for canonical output
  util/isolconsole.c - allow 2nd retry pass if sol_send error with -t2,
  		       limit sol_send size to MAX_BMC_DATA(203),
  		       set max debug for -xx, like -z.
  		       fix truncate bug in dbglog().
  lib/lanplus/lanplus.c - if debug, show try of sol_packet, show session_seq
  util/ievents.c     - add Power Cycle ok event description,
  		       show sensor description if IPMI event.
  util/sensor.c      - num->snum for -s/-c canonical output
  util/ipmilan.c     - add hash_special code for SuperMicro,
  		       fix _send_lan_cmd() for bug 2827802 with auth=none
  util/ipmicmd.c     - add 'supermicro' as a driver type for -F
  util/imbapi.c      - use MAX_IMB_RESP_SIZE instead of MAX_RBUFFER_SIZE(64)
  util/imb_api.h     - MAX_IMB_PACKET_SIZE was 33, now 63
  util/ipmidir.c     - if detect I/F as KCS and get error, do not try SSIF,
  		       increase MAX_KCS_LOOP from 5000 to 7000 for Ht
  doc/ipmi_port.sh   - fixed to point to /usr/sbin/ipmi_port now
  ipmiutil-2.4.1 contains:
    ipmiutil.c	(ipmiutil)	  	 ver 2.41
    alarms.c	(ipmiutil alarms)  	 ver 2.41
    bmchealth.c	(ipmiutil health)  	 ver 2.41
    fruconfig.c	(ipmiutil fru)  	 ver 2.41
    getevent.c	(ipmiutil getevt)  	 ver 2.41
    hwreset.c	(ipmiutil reset)  	 ver 2.41
    icmd.c	(ipmiutil cmd)  	 ver 2.41
    pefconfig.c	(ipmiutil lan)  	 ver 2.41
    sensor.c	(ipmiutil sensor)  	 ver 2.41
    showsel.c	(ipmiutil sel)  	 ver 2.41
    tmconfig.c	(ipmiutil serial)  	 ver 2.41
    wdt.c	(ipmiutil wdt)  	 ver 2.41
    isolconsole.c (ipmiutil sol)  	 ver 2.41
    bmcconfig.c	(ipmiutil config)  	 ver 2.41
    ievents.c	(ipmiutil events)  	 ver 2.41
    idiscover.c	(ipmiutil discover)  	 ver 1.5
    ipmi_port.c	(ipmi_port)  		 ver 1.1

09/02/09 ARCress ipmiutil-2.4.2  changes
  lib/lanplus/lanplus.c - if -x, show session_id, added check_sol debug,
  			  added lanplus_set_recvdelay() for slow networks
  util/pefconfig.c      - Windows: always check for -I before setting IP,
			  to fix bug 2836451.
  util/imbapi.c         - added more DBG_IPMI messages
  util/imb_api.h        - moved GetLastError() to imbapi.c
  util/ipmilanplus.c    - always set acked_packet_number in lan2_send_sol,
  			  add more debug messages if max debug,
  			  add lan2_validate_solrcv for more checking
  util/isolconsole.c    - allow max debug via -xxx,
  			  limit stdin reads to MAX_BMC_DATA(203) also,
  			  handle sol_send errors/retries better,
  			  add -s for slow link recvdelay
  util/isolwin.c        - mods for arrow keys (0x1b [A -> OA),
  			  make sure WIN32 dbglog msgs have \r\n
  util/bmchealth.c      - show more for Chassis Status (last_pwr)
  util/ipmicmd.c	- added get_mfgid/set_mfgid for my_devid
  util/mem_if.c         - added get_MemDesc routine
  util/ievents.c	- use get_MemDesc for DIMM string if Intel
  doc/ipmiutil.spec     - add BuildRequires: openssl-devel
  ipmiutil-2.4.1-fix-format-errors.patch    - use printf("%s",var) format 
  ipmiutil-2.4.1-fix-getline-conflict.patch - getline->my_getline in ipmicmd.c
  			  these 2 patches were merged from Guillaume Rousse
  util/ipmiutil.mak     - changed CFLAGS
  lib/lanplus/ipmiplus.mak - changed CFLAGS
  doc/isolconsole.8     - document -s option for slow link
  ipmiutil-2.4.2 contains:
    ipmiutil.c	(ipmiutil)  		 ver 2.42
    alarms.c	(ipmiutil alarms)  	 ver 2.42
    bmchealth.c	(ipmiutil health)  	 ver 2.42
    fruconfig.c	(ipmiutil fru)  	 ver 2.42
    getevent.c	(ipmiutil getevt)  	 ver 2.42
    hwreset.c	(ipmiutil reset)  	 ver 2.42
    icmd.c	(ipmiutil cmd)  	 ver 2.42
    pefconfig.c	(ipmiutil lan)  	 ver 2.42
    sensor.c	(ipmiutil sensor)  	 ver 2.42
    showsel.c	(ipmiutil sel)  	 ver 2.42
    tmconfig.c	(ipmiutil serial)  	 ver 2.42
    wdt.c	(ipmiutil wdt)  	 ver 2.42
    isolconsole.c (ipmiutil sol)  	 ver 2.42
    bmcconfig.c	(ipmiutil config)  	 ver 2.42
    ievents.c	(ipmiutil events)  	 ver 2.42
    idiscover.c	(ipmiutil discover)  	 ver 1.5
    ipmi_port.c	(ipmi_port)	  	 ver 1.1

09/14/09 ARCress ipmiutil-2.4.3  changes
  util/ipmilanplus.c    - logic to compute lan2_latency, after open,
  			  change recv_handler arg to (void *),
  			  set timeout=1, esc_char in set_sol_data(),
  			  fix null username if Solaris printf
  util/isolconsole.c    - auto-detect latency, set -s 500 if >100ms,
			  change recv_handler arg to (void *)
  util/fruconfig.c      - add SMI MCs via -m00c000s, 
  			  use get_errno()
  util/sensor.c         - add SMI MCs via -m002000s,
  			  change delimiter from ':' to '|' for -c
  util/pefconfig.c      - add -H to gateway MAC warning text,
  			  change delimiter from ':' to '|' for -c,
  			  use get_errno()
  util/bmcconfig.c	- use get_errno()
  util/ipmicmd.c	- add get_errno(), set_lan_options(),
  util/ipmicmd.h	- add get_errno(), set_lan_options(), removed gnode
  util/ievents.c        - get DIMM index from data2 if mini-BMC
  lib/lanplus/lanplus.c - change some check_sol debug msgs LOG_WARN -> LOG_INFO,
  			  allow setting lan2_timeout in lanplus_open,
  			  if slow_link, set lan2_timeout = 2 sec
  doc/fruconfig.8       - document SMI MCs via -m00c000s
  doc/sensor.8          - document SMI MCs via -m002000s
  doc/pefconfig.8       - added more about MAC detection under -H
  doc/UserGuide         - updated man pages from above
  ipmiutil-2.4.3 contains:
    ipmiutil.c	(ipmiutil) 	 	 ver 2.43
    alarms.c	(ipmiutil alarms)  	 ver 2.43
    bmchealth.c	(ipmiutil health)  	 ver 2.43
    fruconfig.c	(ipmiutil fru)  	 ver 2.43
    getevent.c	(ipmiutil getevt)  	 ver 2.43
    hwreset.c	(ipmiutil reset)  	 ver 2.43
    icmd.c	(ipmiutil cmd)  	 ver 2.43
    pefconfig.c	(ipmiutil lan)  	 ver 2.43
    sensor.c	(ipmiutil sensor)  	 ver 2.43
    showsel.c	(ipmiutil sel)  	 ver 2.43
    tmconfig.c	(ipmiutil serial)  	 ver 2.43
    wdt.c	(ipmiutil wdt)  	 ver 2.43
    isolconsole.c (ipmiutil sol)  	 ver 2.43
    bmcconfig.c	(ipmiutil config)  	 ver 2.43
    ievents.c	(ipmiutil events)  	 ver 2.43
    idiscover.c	(ipmiutil discover)  	 ver 1.5
    ipmi_port.c	(ipmi_port) 	 	 ver 1.1

10/28/09 ARCress ipmiutil-2.5.0  changes
  Full ANSI VT100 emulation for Windows SOL console
  Two-character escape sequence (~.) for SOL console, adding send-Break.
  Added canonical output option -c for fru,config,sensor,health,lan
  Added ipmiutil getevt -r to run specified script when an event occurs
  util/bmchealth.c      - add -f to show FRUSDR versions
  			  renamed show_devid -> show_devid_all
  			  add -c for canonical output with delim '|'
  util/tmconfig.c       - show Adjusting messages even if not debug,
			  add -g for fconsoleonly with BMode CTS
  util/ievents.c        - only show file_grep error msg if fdebug
  util/ipmicmd.c        - added global fdebug,
  			  add SOLARIS logic for tty_setraw to fix stdin
  			  added show_devid() 
  util/ipmicmd.h        - added show_devid and BDELIM ('|')
  util/AnsiTerm.cpp     - new, from Robert Nelson, see file comments,
  			  this is a complete ANSI VT100 emulation
  util/AnsiTerm.h       - new, from Robert Nelson, see file comments
  util/isolwin.c        - changes to use AnsiTerm.cpp, more dbglog messages
  util/isolconsole.c    - changes to use AnsiTerm.cpp,
		          implement 2-char escape sequence (~.),
  			  use extern for lan2 even if not HAVE_LANPLUS,
  			  use CheckTextMode to detect CRLF if bg color set
  			  which automatically converts Enter in BIOS Setup.
  util/ipmiutil.mak     - changes to add AnsiTerm.obj
  util/ipmilanplus.c    - added lan2_send_break()
  util/ipmidir.c        - only decrement SMBase if l.o.bit is 1
  util/fruconfig.c      - add -c for canonical output with delim '|'
  util/bmcconfig.c      - add -c for canonical output with delim '|'
  util/getevent.c       - add -e to wait for specific event sensor type,
  			  add -r to run script file when event occurs
  doc/getevent.8 	- document -e, -r options
  doc/evt.sh 		- new, sample event script for ipmiutil getevt -r
  doc/Makefile          - install evt.sh
  doc/ipmiutil.spec     - include evt.sh
  configure.in          - include WindRiver detection to show warning
  <various>             - change email to " at users.sourceforge.net"
  ipmiutil-2.5.0 contains:
    ipmiutil.c	(ipmiutil) 	 	 ver 2.50
    alarms.c	(ipmiutil alarms)  	 ver 2.50
    bmchealth.c	(ipmiutil health)  	 ver 2.50
    fruconfig.c	(ipmiutil fru)  	 ver 2.50
    getevent.c	(ipmiutil getevt)  	 ver 2.50
    hwreset.c	(ipmiutil reset)  	 ver 2.50
    icmd.c	(ipmiutil cmd)  	 ver 2.50
    pefconfig.c	(ipmiutil lan)  	 ver 2.50
    sensor.c	(ipmiutil sensor)  	 ver 2.50
    showsel.c	(ipmiutil sel)  	 ver 2.50
    tmconfig.c	(ipmiutil serial)  	 ver 2.50
    wdt.c	(ipmiutil wdt)  	 ver 2.50
    isolconsole.c (ipmiutil sol)  	 ver 2.50
    bmcconfig.c	(ipmiutil config)  	 ver 2.50
    ievents.c	(ipmiutil events)  	 ver 2.50
    idiscover.c	(ipmiutil discover)  	 ver 1.5
    ipmi_port.c	(ipmi_port)	  	 ver 1.1

11/20/09 ARCress ipmiutil-2.5.1  changes
  util/isolwin.c        - use wait_time for wait/select tuning with -u
  util/isolconsole.c    - add -u for wait_time, use it for Linux select,
  			  detect Dell BMC and set shorter max_bmc_data.
  util/ipmiutil.mak     - fix CFLAGS_W for AnsiTerm.cpp
  util/sensor.c         - show nominal SDR values with -v
  util/tmconfig.c       - added fcanonical option -a
  util/alarms.c         - adjust if -i param > 255
  util/pefconfig.c      - do not copy eth%d in FindEthNum if -i,
			  only show SIOCGIF erros if debug (-x)
  doc/ipmiutil.spec     - cleanup some unneeded script logic
  configure.in          - move distro-specific logic here
  ipmiutil-2.5.1 contains:
    ipmiutil.c	(ipmiutil)  		 ver 2.51
    alarms.c	(ipmiutil alarms)  	 ver 2.51
    bmchealth.c	(ipmiutil health)  	 ver 2.51
    fruconfig.c	(ipmiutil fru)  	 ver 2.51
    getevent.c	(ipmiutil getevt)  	 ver 2.51
    hwreset.c	(ipmiutil reset)  	 ver 2.51
    icmd.c	(ipmiutil cmd)  	 ver 2.51
    pefconfig.c	(ipmiutil lan)  	 ver 2.51
    sensor.c	(ipmiutil sensor)  	 ver 2.51
    showsel.c	(ipmiutil sel)  	 ver 2.51
    tmconfig.c	(ipmiutil serial)  	 ver 2.51
    wdt.c	(ipmiutil wdt)  	 ver 2.51
    isolconsole.c (ipmiutil sol)  	 ver 2.51
    bmcconfig.c	(ipmiutil config)  	 ver 2.51
    ievents.c	(ipmiutil events)  	 ver 2.51
    idiscover.c	(ipmiutil discover)  	 ver 1.5
    ipmi_port.c	(ipmi_port)  		 ver 1.1

12/16/09 ARCress ipmiutil-2.5.2  changes
  util/sensor.c         - fix -w(fwrap) with -c(fsimple) feat#2907464
  util/ievents.c        - decode OEM type f1 as all ascii
  util/showsel.c        - added option for adding OEM SEL record type f1
  util/md2.c            - undef MD2OK if NON_GPL
  util/mem_if.c         - fix get_Ipmi for NSI2U to only decr if odd
  util/bmchealth.c      - fix NSI2U to set fmBMC=1
  util/ipmiutil.mak        - use static CFLAGS/link for Win64
  lib/lanplus/ipmiplus.mak - use static CFLAGS/link for Win64
  util/ievents.c        - decode PS config error event
  util/ipmimv.c         - added pragma pack and ioctls for FreeBSD
  util/ipmicmd.c        - choose open driver for BSD if loaded
  doc/UserGuide         - document 'kldload ipmi' for FreeBSD, 
  			  document that Win64 needs vcredist_x86.exe
  ipmiutil-2.5.2 contains:
    ipmiutil.c	(ipmiutil)	  	 ver 2.52
    alarms.c	(ipmiutil alarms)  	 ver 2.52
    bmchealth.c	(ipmiutil health)  	 ver 2.52
    fruconfig.c	(ipmiutil fru)  	 ver 2.52
    getevent.c	(ipmiutil getevt)  	 ver 2.52
    hwreset.c	(ipmiutil reset)  	 ver 2.52
    icmd.c	(ipmiutil cmd)  	 ver 2.52
    pefconfig.c	(ipmiutil lan)  	 ver 2.52
    sensor.c	(ipmiutil sensor)  	 ver 2.52
    showsel.c	(ipmiutil sel)  	 ver 2.52
    tmconfig.c	(ipmiutil serial)  	 ver 2.52
    wdt.c	(ipmiutil wdt)  	 ver 2.52
    isolconsole.c (ipmiutil sol)  	 ver 2.52
    bmcconfig.c	(ipmiutil config)  	 ver 2.52
    ievents.c	(ipmiutil events)  	 ver 2.52
    idiscover.c	(ipmiutil discover)  	 ver 1.5
    ipmi_port.c	(ipmi_port) 	 	 ver 1.1

01/27/10 ARCress ipmiutil-2.5.3  changes
  doc/UserGuide         - resync with man pages
  doc/wdt.8             - line breaks for ipmiutil_wdt commands
  util/ievents.c        - add System Reconfig variant
  util/pefconfig.c      - for -c, show PEF Control = none if disabled
  util/Makefile.am	- removed xmlconfig
  util/fruconfig.c      - show frutype,fruid in show_fru, detect bad type/len,
  			  fix WIN32 ctime() error w Board DateTime on CG2100,
  			  fix GetSDR error 0xCA if SDR size < 16, 
  			  skip FRU for frutype==0x2e (ME)
  util/showsel.c        - ovf->overflow in status msg, show Size,Used,Free
  util/ipmidir.c        - max_kcs_loops 7000->30000 for slower ClearSEL cmd
  util/imbapi.c         - changed Async handle from int to long
  util/imb_api.h        - changed Async handle from int to long
  util/getevent.c       - changed Async handle from int to long
  util/isolconsole.c    - added retry_time, initially 5msec, now set to latency
  util/sensor.c         - fix GetSDR error 0xCA if SDR size < 16 for CG2100
  util/ipmilan.c	- changed 1.5 SOL data header, 
  			  if sa==SWID for soft reset, bridge_level=0,
  			  change TEST_LAN to fdebuglan>2 w dbglog.
  util/ipmiutil.c       - added svc function
  util/getevent.c       - add debug message if unknown Sms function
  doc/setlib.sh         - new, resolves libcrypto.so reference
  doc/ipmiutil_wdt      - updated for rpmlint issues
  doc/ipmiutil_asy      - updated for rpmlint issues
  doc/ipmi_port.sh      - updated for rpmlint issues
  doc/ipmiutil.spec     - updated for rpmlint issues, removed bmclanaol.mib
  doc/Makefile          - removed bmclanaol.mib
  ipmiutil-2.5.3 contains:
    ipmiutil.c	(ipmiutil)  		 ver 2.53
    alarms.c	(ipmiutil alarms)  	 ver 2.53
    bmchealth.c	(ipmiutil health)  	 ver 2.53
    fruconfig.c	(ipmiutil fru)  	 ver 2.53
    getevent.c	(ipmiutil getevt)  	 ver 2.53
    hwreset.c	(ipmiutil reset)  	 ver 2.53
    icmd.c	(ipmiutil cmd)  	 ver 2.53
    pefconfig.c	(ipmiutil lan)  	 ver 2.53
    sensor.c	(ipmiutil sensor)  	 ver 2.53
    showsel.c	(ipmiutil sel)  	 ver 2.53
    tmconfig.c	(ipmiutil serial)  	 ver 2.53
    wdt.c	(ipmiutil wdt)  	 ver 2.53
    isolconsole.c (ipmiutil sol)  	 ver 2.53
    bmcconfig.c	(ipmiutil config)  	 ver 2.53
    ievents.c	(ipmiutil events)  	 ver 2.53
    idiscover.c	(ipmiutil discover)  	 ver 1.5
    ipmi_port.c	(ipmi_port)	  	 ver 1.1

02/10/10 ARCress ipmiutil-2.5.4  changes
  doc/setlib.sh         - handle multiple instances
  doc/ipmiutil.spec     - set RPM_BUILD_ROOT for debuginfo
  util/Makefile.am      - do not strip in install for debuginfo
  util/sensor.c         - add Platform Alert meanings
  util/pefconfig.c      - skip rest of PEF if ccode=0xC1, 
  			  set arp_ctl=0x02 and sol_accum/retry for CG2100,
  			  set_max_kcs_loops(100000) if CG2100,
  			  fix DisablePef(9) policy num to conform.
  util/bmcconfig.c      - skip rest of PEF if ccode=0xC1, comment errors
  util/ipmims.c         - moved to ipmims.cpp
  util/ipmims.cpp       - new, renamed from ipmims.c
  util/ipmicmd.c        - set default gpriv_level to user (was admin)
  util/hwreset.c        - set default gpriv_level to admin when invoked
  util/ievents.c        - for CritStop data2,data2 -> data2,data3
  util/ipmidir.c        - make ProcesSendM/ProcessTimedM static
  util/bmchealth.c      - show Kontron KTC5520 product desc
  ipmiutil-2.5.4 contains:
    ipmiutil	(ipmiutil) 	 	 ver 2.54
    alarms	(ipmiutil alarms)  	 ver 2.54
    bmchealth	(ipmiutil health)  	 ver 2.54
    fruconfig	(ipmiutil fru)  	 ver 2.54
    getevent	(ipmiutil getevt)  	 ver 2.54
    hwreset	(ipmiutil reset)  	 ver 2.54
    icmd	(ipmiutil cmd)  	 ver 2.54
    pefconfig	(ipmiutil lan)  	 ver 2.54
    sensor	(ipmiutil sensor)  	 ver 2.54
    showsel	(ipmiutil sel)  	 ver 2.54
    tmconfig	(ipmiutil serial)  	 ver 2.54
    wdt		(ipmiutil wdt)  	 ver 2.54
    isolconsole	(ipmiutil sol)  	 ver 2.54
    bmcconfig	(ipmiutil config)  	 ver 2.54
    ievents	(ipmiutil events)  	 ver 2.54
    idiscover	(ipmiutil discover)  	 ver 1.5
    ipmi_port	(ipmi_port)  		 ver 1.1

02/26/10 ARCress ipmiutil-2.6.0  changes
  beforeconf.sh         - handle libtool-2.x
  configure.in          - tweak install-strip subst
  Makefile.am		- clean debug*.list files,
  doc/Makefile		- change *.8,*.cmd,script names to new scheme
  doc/ipmiutil.spec	- changes for new naming scheme
  doc/UserGuide		- changes for new naming scheme
  util/showsel.h        - deleted, no longer used
  util/ipmignustub.c    - deleted, no longer used
  util/xmlconfig.c      - deleted, no longer used
  util/Makefile.sco	- deleted, no longer used
  util/Makefile.am	- change *.c names to new scheme
  util/ipmiutil.mak	- change *.c names to new scheme
  util/alarms.c         - renamed, now ialarms.c 
  util/bmcconfig.c      - renamed, now iconfig.c 
  util/bmchealth.c      - renamed, now ihealth.c 
  util/fruconfig.c      - renamed, now ifru.c    
  util/getevent.c       - renamed, now igetevent.c
  util/hwreset.c        - renamed, now ireset.c   
  util/isolconsole.c    - renamed, now isol.c    
  util/pefconfig.c      - renamed, now ilan.c    
  util/sensor.c         - renamed, now isensor.c 
  util/showsel.c        - renamed, now isel.c    
  util/tmconfig.c       - renamed, now iserial.c 
  util/wdt.c            - renamed, now iwdt.c    
  doc/alarms.8          - renamed, now ialarms.8  
  doc/bmcconfig.8       - renamed, now iconfig.8  
  doc/bmchealth.8       - renamed, now ihealth.8  
  doc/fruconfig.8       - renamed, now ifru.8     
  doc/getevent.8        - renamed, now igetevent.8
  doc/hwreset.8         - renamed, now ireset.8   
  doc/isolconsole.8     - renamed, now isol.8     
  doc/pefconfig.8       - renamed, now ilan.8    
  doc/sensor.8          - renamed, now isensor.8 
  doc/showsel.8         - renamed, now isel.8    
  doc/tmconfig.8        - renamed, now iserial.8 
  doc/wdt.8             - renamed, now iwdt.8   
  util/ipmiutil.c       - allow either getevt or getevent subcommands
  util/iconfig.c        - add SystemParam(0) for Chassis Restore Policy,
  			  count num errors and show warning if any,
  			  add wart for iBMC and user2
  util/ilan.c   	- count num errors and show warning if any,
  			  add wart for iBMC and user2
  util/isol.c	        - fix script input for WIN32 dwKeyCode,
  			  request admin priv if deactivate,
  			  check for a recv before sending next script line,
  util/isolwin.c        - add Ascii2KeyCode for WIN32 script input,
  			  increase IBUF_SZ to 128, check overflow better.
  util/ipmimv.c	        - changes for ALONE/TEST_BIN compile flags for testing
  util/ipmims.cpp       - changes for ALONE/TEST_BIN compile flags for testing
  util/ifru.c   	- set_max_kcs_loops to 100 msec if CG2100
  util/isensor.c   	- set_max_kcs_loops to 100 msec if CG2100
  util/icmd.c   	- set_max_kcs_loops to 100 msec if CG2100

old name       new name     existing meta-command 
----------     ----------   ----------     
ipmiutil.8     ipmiutil.8   (ipmiutil)
alarms.8       ialarms.8    (ipmiutil alarms)
bmcconfig.8    iconfig.8    (ipmiutil config)
bmchealth.8    ihealth.8    (ipmiutil health)
fruconfig.8    ifru.8       (ipmiutil fru)
getevent.8     igetevent.8  (ipmiutil getevent)
hwreset.8      ireset.8     (ipmiutil reset)
icmd.8         icmd.8       (ipmiutil cmd)
idiscover.8    idiscover.8  (ipmiutil discover)
ievents.8      ievents.8    (ipmiutil events)
isolconsole.8  isol.8       (ipmiutil sol)
pefconfig.8    ilan.8       (ipmiutil lan)
sensor.8       isensor.8    (ipmiutil sensor)
showsel.8      isel.8       (ipmiutil sel)
tmconfig.8     iserial.8    (ipmiutil serial)
wdt.8          iwdt.8       (ipmiutil wdt)

  ipmiutil-2.6.0 contains:
    ipmiutil	(ipmiutil) 	 	 ver 2.60
    ialarms	(ipmiutil alarms)  	 ver 2.60
    ihealth	(ipmiutil health)  	 ver 2.60
    iconfig	(ipmiutil config)  	 ver 2.60
    igetevent	(ipmiutil getevt)  	 ver 2.60
    ireset	(ipmiutil reset)  	 ver 2.60
    icmd	(ipmiutil cmd)  	 ver 2.60
    ilan	(ipmiutil lan)  	 ver 2.60
    isensor	(ipmiutil sensor)  	 ver 2.60
    isel	(ipmiutil sel)  	 ver 2.60
    iserial	(ipmiutil serial)  	 ver 2.60
    iwdt	(ipmiutil wdt)  	 ver 2.60
    isol	(ipmiutil sol)  	 ver 2.60
    iconfig	(ipmiutil config)  	 ver 2.60
    ievents	(ipmiutil events)  	 ver 2.60
    idiscover	(ipmiutil discover)  	 ver 1.5
    ipmi_port	(ipmi_port) 	 	 ver 1.1

03/18/10 ARCress ipmiutil-2.6.1  changes
  util/ipmicmd.c        - move get_lan_channel & atoip here
  util/ifru.c   	- request admin privilege if setting values,
  			  add -v to set product version,
  			  add -i to specify a fru id
  util/isensor.c   	- request admin privilege if setting thresholds
  util/isel.c   	- request admin privilege if clearing SEL
  util/isol.c   	- change default fCRLF from 2 to 0 for stty onlcr
  util/ilan.c   	- tweak SetUserAccess on iBMC (user1 ok, user2 skip)
  util/imbapi.c   	- change RegisterAsync check for compile optim issue
  doc/ifru.8   	        - added -v and -i documentation
  doc/ipmiutil_wdt      - init script standardization
  doc/ipmiutil_asy      - init script standardization
  doc/ipmi_port.sh      - init script standardization
  doc/ipmiutil.spec     - additional cleanup, 
  			  moved UserGuide to /usr/share/doc/ipmiutil-$version
  ipmiutil-2.6.1 contains:
    ipmiutil	(ipmiutil) 	 	 ver 2.61
    ialarms	(ipmiutil alarms)  	 ver 2.61
    icmd	(ipmiutil cmd)  	 ver 2.61
    iconfig	(ipmiutil config)  	 ver 2.61
    ievents	(ipmiutil events)  	 ver 2.61
    ifru	(ipmiutil fru)  	 ver 2.61
    igetevent	(ipmiutil getevt)  	 ver 2.61
    ihealth	(ipmiutil health)  	 ver 2.61
    ilan	(ipmiutil lan)  	 ver 2.61
    ireset	(ipmiutil reset)  	 ver 2.61
    isel	(ipmiutil sel)  	 ver 2.61
    isensor	(ipmiutil sensor)  	 ver 2.61
    iserial	(ipmiutil serial)  	 ver 2.61
    isol	(ipmiutil sol)  	 ver 2.61
    iwdt	(ipmiutil wdt)  	 ver 2.61
    idiscover	(ipmiutil discover)  	 ver 1.5
    ipmi_port	(ipmi_port) 	 	 ver 1.1

04/06/10 ARCress ipmiutil-2.6.2  changes
  util/ialarms.c   - add \n to get_enc_leds error message
  util/ihealth.c   - show product 3E as CG2100
  util/ifru.c      - only check len in write_asset if new value supplied, 
		     which avoids -10 error if sernum was empty.
  util/isel.c      - avoid extra SEL full warning if GetSelInfo failed
  util/ilan.c      - check show_users against max_users for miniBMC
  util/iserial.c   - check show_users against max_users for miniBMC
  util/ifruset.c   - new, allow setting all Product Area fields
  util/Makefile.am - add ifruset
  doc/isensor      - fix script syntax error (%->$)
  doc/UserGuide    - resync with man page updates
  doc/ipmiutil_wdt - fix to abort if no ipmi driver, caused problems 
  		     in SLES that auto-starts services.
  ipmiutil-2.6.2 contains:
    ipmiutil	(ipmiutil) 	 	 ver 2.62
    ialarms	(ipmiutil alarms)  	 ver 2.62
    icmd	(ipmiutil cmd)  	 ver 2.62
    iconfig	(ipmiutil config)  	 ver 2.62
    ievents	(ipmiutil events)  	 ver 2.62
    ifru	(ipmiutil fru)  	 ver 2.62
    igetevent	(ipmiutil getevt)  	 ver 2.62
    ihealth	(ipmiutil health)  	 ver 2.62
    ilan	(ipmiutil lan)  	 ver 2.62
    ireset	(ipmiutil reset)  	 ver 2.62
    isel	(ipmiutil sel)  	 ver 2.62
    isensor	(ipmiutil sensor)  	 ver 2.62
    iserial	(ipmiutil serial)  	 ver 2.62
    isol	(ipmiutil sol)  	 ver 2.62
    iwdt	(ipmiutil wdt)  	 ver 2.62
    idiscover	(ipmiutil discover)  	 ver 1.5
    ipmi_port	(ipmi_port)	  	 ver 1.1

04/27/10 ARCress ipmiutil-2.6.3  changes
  configure.in	   - detect if libcrypto.so has md2, else set SKIP_MD2 
		     to fix bug #2990244 with openssl-1.0.0, 
  		     removed NON_GPL flag, only use ALLOW_GPL toggle.
  util/md2.c       - add SKIP_MD2 compile flag
  util/ipmilan.c   - add SKIP_MD2 compile flag, 
  		     include SWID_SMSOS(0x41), changed TEST_LAN logic,
		     include -504 in decode_rv.
  util/ihealth.c   - add -p to set power restore policy
  util/isensor.c   - always request admin priv if remote for ReservID
  util/isel.c      - request admin priv if addsel & remote
  util/isol.c      - add stub for send_ctlaltdel,
		     explicitly set default priv to User for sol
  util/ifru.c      - if write error, dont load/show fru again
  util/ifruset.c   - if write error, dont load/show fru again
  util/ipmimv.c    - handle bad sresp passed to ipmi_cmdraw_mv()
  util/iconfig.c   - skip setting LanParam 10 arp if Lan3
  util/igetevent.c - if -a and mv, write_syslog before shutdown/reboot.
  		     use loop/stages with mv driver.
  util/imbapi.c    - return LAN_ERR_RECV_FAIL if status==1 in cmdraw_ia
  util/iwdt.c      - add -c for canonical output format,
		     set default priv to Admin for iwdt
  doc/iwdt.8       - include -c description
  doc/ifru.8       - include -c description
  doc/ifruset.8    - new, man page for ifruset
  doc/ipmi_port.8  - new, man page for ipmi_port
  doc/UserGuide    - updated man pages from above
  doc/ipmiutil_wdt - detect if /etc/init.d/functions present
  doc/ipmiutil_asy - detect if /etc/init.d/functions present
  doc/ipmi_port.sh - detect if /etc/init.d/functions present,
  		     this caused script errors with 2.61/2.62 on SuSE.
  test/panicsel-c.sh               - updated for new naming
  test/panicsel_apptool_test.sh    - updated for new naming
  test/panicsel_test_needreboot.sh - updated for new naming
  test/unittest.sh - new, added unit test script
  ipmiutil-2.6.3 contains:
    ipmiutil	(ipmiutil)	  	 ver 2.63
    ialarms	(ipmiutil alarms)  	 ver 2.63
    icmd	(ipmiutil cmd)  	 ver 2.63
    iconfig	(ipmiutil config)  	 ver 2.63
    ievents	(ipmiutil events)  	 ver 2.63
    ifru	(ipmiutil fru)  	 ver 2.63
    igetevent	(ipmiutil getevt)  	 ver 2.63
    ihealth	(ipmiutil health)  	 ver 2.63
    ilan	(ipmiutil lan)  	 ver 2.63
    ireset	(ipmiutil reset)  	 ver 2.63
    isel	(ipmiutil sel)  	 ver 2.63
    isensor	(ipmiutil sensor)  	 ver 2.63
    iserial	(ipmiutil serial)  	 ver 2.63
    isol	(ipmiutil sol)  	 ver 2.63
    iwdt	(ipmiutil wdt)  	 ver 2.63
    idiscover	(ipmiutil discover)  	 ver 1.5
    ipmi_port	(ipmi_port) 	 	 ver 1.1

05/19/10 ARCress ipmiutil-2.6.4  changes
  test/sensor-TIGW1U.txt - new, for unittest.sh
  test/sensor-CG2100.txt - new, for unittest.sh
  test/unittest.sh - changes to run on Solaris, use $testdir, add dosol flag
  util/ihealth.c   - request admin priv if -p and remote,
  		     mods to skip powerstate for picmg/atca
  util/ifruset.c   - track existing num product fields, debug message if more,
  		     rename i_fru to i_ifruset 
  util/ipmiutil.c  - rename i_bmc() to i_config()
  util/ipmiutil.h  - rename i_bmc() to i_config()
  util/iconfig.c   - rename i_bmc() to i_config(), 
		     include all LAN channels (e.g. 1,2,3)
  doc/ipmi_if.sh    - randomize dmi.out file
  doc/ipmiutil.spec - changes for style, use /var/lib/ipmiutil
  configure.in      - tweaks to match spec file changes
  INSTALL	    - add build instructions for FreeBSD
  util/ipmidir.c - check /var/lib/ipmiutil & /usr/share/ipmiutil for ipmi_if.txt
  util/ipmignu.c - check /var/lib/ipmiutil & /usr/share/ipmiutil for ipmi_if.txt
  util/igetevent.c - move /usr/share/ipmiutil/evt.idx to /var/lib/ipmiutil,
  		     remove WIN32 reference to fwritesel
  util/isel.c      - move /usr/share/ipmiutil/sel.idx to /var/lib/ipmiutil, 
		     use extern evt_hdr
  util/isensor.c   - move /usr/share/ipmiutil/thresholds.sh ->/var/lib/ipmiutil,
  		     add sensor types 17,F0,F1 for atca
  util/ievents.c   - move /usr/share/ipmiutil/sensor_out.txt ->/var/lib/ipmiutil
  		     add SEVerity to decode_sel_entry(): INF,MIN,MAJ,CRT 
  		     show error message if cannot open sensfil from -s
  util/ialarms.c   - mods for picmg/atca leds, set fHasEnc for TIGI2U
  doc/ipmi_port.sh - move /usr/share/ipmiutil/thresholds.sh to /var/lib/ipmiutil
  doc/ilan.8       - document -b authmask option
  util/ilan.c      - show existing -b authmask option in Usage, 
  		     add strings for Auth enables (param2)
  ipmiutil-2.6.4 contains:
    ipmiutil	(ipmiutil)	  	 ver 2.64
    ialarms	(ipmiutil alarms)  	 ver 2.64
    icmd	(ipmiutil cmd)  	 ver 2.64
    iconfig	(ipmiutil config)  	 ver 2.64
    ievents	(ipmiutil events)  	 ver 2.64
    ifru	(ipmiutil fru) 	 	 ver 2.64
    igetevent	(ipmiutil getevt)  	 ver 2.64
    ihealth	(ipmiutil health)  	 ver 2.64
    ilan	(ipmiutil lan)  	 ver 2.64
    ireset	(ipmiutil reset)  	 ver 2.64
    isel	(ipmiutil sel)  	 ver 2.64
    isensor	(ipmiutil sensor)  	 ver 2.64
    iserial	(ipmiutil serial)  	 ver 2.64
    isol	(ipmiutil sol)  	 ver 2.64
    iwdt	(ipmiutil wdt)  	 ver 2.64
    ifruset	(ifruset)	  	 ver 2.64
    idiscover	(ipmiutil discover)  	 ver 1.5
    ipmi_port	(ipmi_port)	  	 ver 1.1

06/10/10 ARCress ipmiutil-2.6.5  changes
  util/isensor.c   - modify idstr for shared compact sensor
  util/ipicmg.c    - new, added
  util/ipicmg.h    - new, added
  util/ifirewall.c - new, added
  util/ifirewall.h - new, added
  util/Makefile.am - added picmg.c, ifirewall.c
  util/ipmiutil.mak- added picmg.c, ifirewall.c
  doc/ipicmg.8     - new, added
  doc/ipicmg       - new, added
  doc/ifirewall.8  - new, added
  doc/ifirewall    - new, added
  doc/Makefile     - added picmg.8, ifirewall.8
  doc/ipmiutil.spec - added ipicmg*, ifirewall*
  doc/ipmiutil.8   - added picmg, firewall
  ipmiutil-2.6.5 contains:
    ipmiutil	(ipmiutil) 	 	 ver 2.65
    ialarms	(ipmiutil alarms)  	 ver 2.65
    icmd	(ipmiutil cmd)  	 ver 2.65
    iconfig	(ipmiutil config)  	 ver 2.65
    ievents	(ipmiutil events)  	 ver 2.65
    ifru	(ipmiutil fru)  	 ver 2.65
    igetevent	(ipmiutil getevt)  	 ver 2.65
    ihealth	(ipmiutil health)  	 ver 2.65
    ilan	(ipmiutil lan)  	 ver 2.65
    ireset	(ipmiutil reset)  	 ver 2.65
    isel	(ipmiutil sel)  	 ver 2.65
    isensor	(ipmiutil sensor)  	 ver 2.65
    iserial	(ipmiutil serial)  	 ver 2.65
    isol	(ipmiutil sol)  	 ver 2.65
    iwdt	(ipmiutil wdt)  	 ver 2.65
    ifruset	(ipmiutil ifruset)  	 ver 2.65
    ipicmg	(ipmiutil picmg)  	 ver 2.65
    ifirewall	(ipmiutil firewall)  	 ver 2.65
    idiscover	(ipmiutil discover)  	 ver 1.5
    ipmi_port	(ipmi_port) 	 	 ver 1.1

07/06/10 ARCress ipmiutil-2.6.6  changes
  test/testipmi.sh - new, added for more detailed testing
  test/unittest.sh - handle $testdir with dirname
  doc/ipmiutil_evt - new, init script for ipmiutil getevt -s service
  doc/evt.sh       - change to filter out INFormational events
  util/igetevent.c - also write to syslog for each event received
  util/ireset.c    - fix -w option to wait for BMC ready if ipmi lan
  util/ihealth.c   - for -f in get_frusdr_version: fix extra chars, 
  		     and also keep going to return SDR Package version.
  util/ialarms.c   - default to admin priv if remote get or set
  util/ifru.c      - set -V4 earlier if fwritefru
  util/ifruset.c   - set -V4 earlier if fwritefru
  ipmiutil-2.6.6 contains:
    ipmiutil	(ipmiutil)	  	 ver 2.66
    ialarms	(ipmiutil alarms)  	 ver 2.66
    icmd	(ipmiutil cmd)  	 ver 2.66
    iconfig	(ipmiutil config)  	 ver 2.66
    ievents	(ipmiutil events)  	 ver 2.66
    ifru	(ipmiutil fru)  	 ver 2.66
    igetevent	(ipmiutil getevt)  	 ver 2.66
    ihealth	(ipmiutil health)  	 ver 2.66
    ilan	(ipmiutil lan)  	 ver 2.66
    ireset	(ipmiutil reset)  	 ver 2.66
    isel	(ipmiutil sel)  	 ver 2.66
    isensor	(ipmiutil sensor)  	 ver 2.66
    iserial	(ipmiutil serial)  	 ver 2.66
    isol	(ipmiutil sol)  	 ver 2.66
    iwdt	(ipmiutil wdt)  	 ver 2.66
    ifruset	(ipmiutil ifruset)  	 ver 2.66
    ipicmg	(ipmiutil picmg)  	 ver 2.66
    ifirewall	(ipmiutil firewall)  	 ver 2.66
    idiscover	(ipmiutil discover)  	 ver 1.5
    ipmi_port	(ipmi_port) 	 	 ver 1.1

07/15/10 ARCress ipmiutil-2.6.7  changes
  util/ilan.c  	   - skip some optional lan params based on detection,
  		     add -w to set the grat arp interval.
  util/iconfig.c   - skip some optional params based on detection
  util/ipmilan.c   - detect if default MD5 AuthType not supported, try Pswd,
  		     resolved some compile warnings.
  util/ipmicmd.h   - add VENDOR_PEPPERCON for SuperMicro AOC-SIMSO
  util/ireset.c    - ignore boot opts if VENDOR_KONTRON, 
  		     fix buffer overflow for initmsg
  util/igetevent.c - handle sms_sa != 0x81 for Urbanna, 
  		     enable -a with DO_MVL for FreeBSD
  util/ipicmg.c    - fix compile warning by adding string.h
  util/idiscover.c - try to resolve host names, use full broadcast, 
  		     fix packet format error in send_getauth
  test/testipmi.sh - do not exit on failure, continue to other tests
  test/ipmievt.sh  - set hitemp instead of lotemp, handle /var/lib/ipmiutil
  doc/ilan.8       - reorder lan options in alphabetical order, add -w
  doc/ipmi_if.sh   - always include Register Spacing
  doc/Makefile      - changes for rpmlint
  doc/ipmiutil.spec - changes for rpmlint
  ipmiutil-2.6.7 contains:
    ipmiutil	(ipmiutil) 	 	 ver 2.67
    ialarms	(ipmiutil alarms)  	 ver 2.67
    icmd	(ipmiutil cmd)  	 ver 2.67
    iconfig	(ipmiutil config)  	 ver 2.67
    ievents	(ipmiutil events)  	 ver 2.67
    ifru	(ipmiutil fru)  	 ver 2.67
    igetevent	(ipmiutil getevt)  	 ver 2.67
    ihealth	(ipmiutil health)  	 ver 2.67
    ilan	(ipmiutil lan)  	 ver 2.67
    ireset	(ipmiutil reset)  	 ver 2.67
    isel	(ipmiutil sel)  	 ver 2.67
    isensor	(ipmiutil sensor)  	 ver 2.67
    iserial	(ipmiutil serial)  	 ver 2.67
    isol	(ipmiutil sol)  	 ver 2.67
    iwdt	(ipmiutil wdt)  	 ver 2.67
    ifruset	(ipmiutil ifruset)  	 ver 2.67
    ipicmg	(ipmiutil picmg)  	 ver 2.67
    ifirewall	(ipmiutil firewall)  	 ver 2.67
    idiscover	(ipmiutil discover)  	 ver 1.6
    ipmi_port	(ipmi_port)  		 ver 1.1

08/06/10 ARCress ipmiutil-2.6.8  changes
  util/ifru.c       - added ChkOverflow() to show_fru
  test/testipmi.sh  - do remote reset tests last, since reboot times vary
  doc/ipmiutil.spec - fix two more rpmlint errors
  ChangeLog         - remove execute permissions
  doc/UserGuide     - remove execute permissions
  Makefile.am       - clean out \r in 'make tarball'
  - fedora 14 cut taken here (build 1)
  util/ilan.c       - added get_sensor_desc in PefDesc
  test/testipmi.sh  - extra message about 3 other files required
  configure.in      - added changes for Wind River Linux, SuSE chkconfig
  util/ievents.c    - adjust SEV for thresholds to match TAM, 
  		      change get_sensdesc, add show_sensdesc
  util/isel.c       - add -d to show sensor description 
  util/igetevent.c  - change get_sensdesc parameters
  - all other binaries built here (build 2)
  ipmiutil-2.6.8 contains:
    ipmiutil	(ipmiutil)	  	 ver 2.68
    ialarms	(ipmiutil alarms)  	 ver 2.68
    icmd	(ipmiutil cmd)  	 ver 2.68
    iconfig	(ipmiutil config)  	 ver 2.68
    ievents	(ipmiutil events)  	 ver 2.68
    ifru	(ipmiutil fru)  	 ver 2.68
    igetevent	(ipmiutil getevt)  	 ver 2.68
    ihealth	(ipmiutil health)  	 ver 2.68
    ilan	(ipmiutil lan)  	 ver 2.68
    ireset	(ipmiutil reset)  	 ver 2.68
    isel	(ipmiutil sel)  	 ver 2.68
    isensor	(ipmiutil sensor)  	 ver 2.68
    iserial	(ipmiutil serial)  	 ver 2.68
    isol	(ipmiutil sol)  	 ver 2.68
    iwdt	(ipmiutil wdt)  	 ver 2.68
    ifruset	(ipmiutil ifruset)  	 ver 2.68
    ipicmg	(ipmiutil picmg)  	 ver 2.68
    ifirewall	(ipmiutil firewall)  	 ver 2.68
    idiscover	(ipmiutil discover)  	 ver 1.6
    ipmi_port	(ipmi_port) 	 	 ver 1.1

09/01/10 ARCress ipmiutil-2.6.9  changes
  util/ifruset.c  - newdata buffer overflow handling to avoid segfault,
  		    added -d/-r options to dump/restore FRU
  util/ifru.c     - newdata buffer overflow handling for -a/-s/-v
  util/ievents.c  - added decode_sel_fujitsu() call
  util/ipmimv.c   - fix potential overflow if sresp > 80
  util/oem_fujitsu.c - new, for decode_sel_fujitsu, decode_sensor_fujitsu
		       code from Dan Lukes
  util/oem_fujitsu.h - new, for oem_fujitsu functions
  util/Makefile.am   - added oem_fujitsu.c
  util/showsel.h     - deleted, no longer used
  lib/lanplus/inc/ipmitool/ipmi_constants.h - added SHA256 defines
  lib/lanplus/lanplus_crypt_impl.c - added SHA256 patch from Holger Liebig
  lib/lanplus/lanplus_crypt.c      - added SHA256 patch from Holger Liebig
  lib/lanplus/lanplus_crypt.h	   - added SHA256 patch from Holger Liebig
  lib/lanplus/lanplus_dump.c	   - added SHA256 patch from Holger Liebig
  lib/lanplus/lanplus.c            - added SHA256 patch from Holger Liebig
  lib/lanplus/lanplus.h     	   - added SHA256 patch from Holger Liebig
  lib/lanplus/inc/ipmitool/ipmi.h  - [20] -> [EVP_MAX_MD_SIZE] for SHA256
  lib/lanplus/inc/ipmitool/ipmi_intf.h - add sik_len, k1_len, k2_len
  lib/lanplus/lanplus_defs.h	   - new, consolidate lanplus structures
  util/ipmilanplus.h               - move structures to lanplus_defs.h
     Note that SHA256 is not enabled without -DHAVE_SHA256 compile flag, 
     since many openssl/libcrypto versions do not yet include it.
  configure.in       - add --enable-sha256 to set -DHAVE_SHA256 compile flag, 
  		       set service default start/stop levels if not Red Hat.
  util/ifwum.c       - new, added OEM firmware update mgr functionality
  util/ifwum.h       - new, added OEM firmware update mgr functionality
  util/ihpm.c        - new, added HPM firmware update mgr functionality
  util/ihpm.h        - new, added HPM firmware update mgr functionality
  util/ipmiutil.c    - added fwum and hpm
  util/ipmiutil.h    - added fwum and hpm
  doc/ifru.8         - added -k for oem_kontron
  doc/ifwum.8        - new, ifwum man page
  doc/ifwum          - new, ifwum shortcut script
  doc/ihpm.8         - new, ihpm man page
  doc/ihpm           - new, ihpm shortcut script
  doc/UserGuide      - added 5.3 Windows Command Usage, ifwum, ihpm
  doc/ipmiutil.spec  - added ifwum,ihpm parts
  util/ipmimv.c      - use poll() instead of wait_interval in getevent_mv
  util/igetevent.c   - call get_sdr_cache to pre-fetch sdr data
  util/isel.c        - call get_sdr_cache to pre-fetch sdr data if -e
  util/isensor.c     - added get_sdr_cache & get_sdr_from_cache
  util/ievents.c     - use set_sel_opts to pass sdr data
  ipmiutil-2.6.9 contains:
    ipmiutil	(ipmiutil) 	 	 ver 2.69
    ialarms	(ipmiutil alarms)  	 ver 2.69
    icmd	(ipmiutil cmd)  	 ver 2.69
    iconfig	(ipmiutil config)  	 ver 2.69
    ievents	(ipmiutil events)  	 ver 2.69
    ifru	(ipmiutil fru)  	 ver 2.69
    igetevent	(ipmiutil getevt)  	 ver 2.69
    ihealth	(ipmiutil health)  	 ver 2.69
    ilan	(ipmiutil lan)  	 ver 2.69
    ireset	(ipmiutil reset)  	 ver 2.69
    isel	(ipmiutil sel)  	 ver 2.69
    isensor	(ipmiutil sensor)  	 ver 2.69
    iserial	(ipmiutil serial)  	 ver 2.69
    isol	(ipmiutil sol)  	 ver 2.69
    iwdt	(ipmiutil wdt)  	 ver 2.69
    ifruset	(ipmiutil ifruset)  	 ver 2.69
    ipicmg	(ipmiutil picmg)  	 ver 2.69
    ifirewall	(ipmiutil firewall)  	 ver 2.69
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 0.4 
    idiscover	(ipmiutil discover)  	 ver 1.6
    ipmi_port	(ipmi_port)  		 ver 1.1

09/27/10 ARCress ipmiutil-2.7.0  changes
  util/ialarms.c     - moved Intel functions to oem_intel.c
  util/oem_intel.h   - new, for oem_intel alarm LED functions
  util/oem_intel.c   - new, for oem_intel alarm LED functions
  		       added decode_sensor_intel, show_oemsdr_intel
  util/oem_sun.c     - new, for oem_sun functions
  util/oem_sun.h     - new, for oem_sun functions
  util/ipmiutil.c    - show subcommand with show_outcome(), added i_sun
  util/i*.c	     - don't call extra show_outcome(), exit->return.
  util/ifru.c        - add multi-record area decoding, call show_fru_picmg
  util/ifruset.c     - add multi-record area decoding, call show_fru_picmg,
  		       added some validation for -f restore.
  util/ipicmg.h      - added more picmg defines
  util/isensor.c     - added -d/-f dump/file restore options, 
  util/ifru_picmg.c  - new, add picmg FRU decoding in show_fru_picmg
  util/iekanalyzer.c - new, added for ekanalyzer
  util/iekanalyzer.h - new, added for ekanalyzer
  util/isensor.c     - added decode_sensor_intel/_kontron, show_oemsdr_intel,
  		       fix get_sdr_cache with use_devsdrs()
  util/oem_kontron.c - added decode_sensor_kontron, more fru checking
  util/oem_fujitsu.c - added alarms_fujitsu routines for LEDs
  util/ialarms.c     - added calls to alarms_fujitsu routines
  util/ihpm.c        - upgraded from 0.4 to 1.0.2
  util/ihealth.c     - get ME version if S5500
  util/ievents.c     - call decode_sel_kontron, handle sel -e if sdrcache fails
  util/ipmi_sample.c - add -m option, use show_outcome (v0.2)
  lib/lanplus/lanplus.c - return error instead of assert if session id mismatch
  doc/isunoem.8      - new, for sunoem functions
  doc/iekanalyzer.8  - new, for ekanalyzer functions
  doc/ifru.8         - added -d option to dump fru
  doc/isensor.8      - added -d/-f options
  doc/ipmiutil.spec  - added isunoem.8, iekanalyzer.8
  doc/UserGuide      - added sunoem, ekanalyzer, added 7.1 for return codes
  ipmiutil-2.7.0 contains:
    ipmiutil	(ipmiutil)	  	 ver 2.70
    ialarms	(ipmiutil alarms)  	 ver 2.70
    icmd	(ipmiutil cmd)  	 ver 2.70
    iconfig	(ipmiutil config)  	 ver 2.70
    ievents	(ipmiutil events)  	 ver 2.70
    ifru	(ipmiutil fru)  	 ver 2.70
    igetevent	(ipmiutil getevt)  	 ver 2.70
    ihealth	(ipmiutil health)  	 ver 2.70
    ilan	(ipmiutil lan)  	 ver 2.70
    ireset	(ipmiutil reset)  	 ver 2.70
    isel	(ipmiutil sel)  	 ver 2.70
    isensor	(ipmiutil sensor)  	 ver 2.70
    iserial	(ipmiutil serial)  	 ver 2.70
    isol	(ipmiutil sol)  	 ver 2.70
    iwdt	(ipmiutil wdt)  	 ver 2.70
    ifruset	(ipmiutil ifruset)  	 ver 2.70
    oem_sun	(ipmiutil sunoem)  	 ver 2.70
    ipicmg	(ipmiutil picmg)  	 ver 2.70
    ifirewall	(ipmiutil firewall)  	 ver 2.70
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.02 
    idiscover	(ipmiutil discover)  	 ver 1.6
    ipmi_port	(ipmi_port)	  	 ver 1.1

10/18/10 ARCress ipmiutil-2.7.1  changes
  util/oem_intel.c   - changed sensor reading strings slightly,
  		       added decode_post_intel 
  util/isol.c        - fix compile error on Solaris Sparc
  util/icmd.c        - added -d decimal option to match 'ipmitool raw' syntax
  util/ievents.c     - added decoding detail for NM Exception events,
  		       added decode_post_oem to decode some OEM POST codes,
  		       added fixup for peppercon genid, 
  		       added all other threshold strings
  util/ireset.c      - added -y option to persist boot device param
  util/ipmidir.c     - added SKIP_IO flag for ppc64
  util/ipmilan.c     - ignore gethostbyname error if input is IP address
  util/ipmicmd.c     - use bcomma in show_outcome(), add stricmp for -F
  util/oem_kontron.c - fix decode_sensor_kontron(PowerGood)
  util/isensor.c     - fix find_sdr_by_num() if last sdr
  util/ilan.c        - if sparc, set default ifname to eri0
  util/Makefile.am   - use OS_LFLAGS for idiscover also if Solaris
  doc/ireset.8       - describe -y option to persist boot device param
  doc/install-solaris.sh - add mkdir -p $mandir
  configure.in       - set SKIP_IO flag if ppc64 or other arch,
  		       check for /usr/sfw or /usr/local if Solaris,
		       set __SPARC__ flag if arch is sun4u
  ipmiutil-2.7.1 contains:
    ipmiutil	(ipmiutil)	  	 ver 2.71
    ialarms	(ipmiutil alarms)  	 ver 2.71
    icmd	(ipmiutil cmd)  	 ver 2.71
    iconfig	(ipmiutil config)  	 ver 2.71
    ievents	(ipmiutil events)  	 ver 2.71
    ifru	(ipmiutil fru)  	 ver 2.71
    igetevent	(ipmiutil getevt)  	 ver 2.71
    ihealth	(ipmiutil health)  	 ver 2.71
    ilan	(ipmiutil lan)  	 ver 2.71
    ireset	(ipmiutil reset)  	 ver 2.71
    isel	(ipmiutil sel)  	 ver 2.71
    isensor	(ipmiutil sensor)  	 ver 2.71
    iserial	(ipmiutil serial)  	 ver 2.71
    isol	(ipmiutil sol)  	 ver 2.71
    iwdt	(ipmiutil wdt)  	 ver 2.71
    ifruset	(ipmiutil ifruset)  	 ver 2.71
    oem_sun	(ipmiutil sunoem)  	 ver 2.71
    ipicmg	(ipmiutil picmg)  	 ver 2.71
    ifirewall	(ipmiutil firewall)  	 ver 2.71
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.02
    idiscover	(ipmiutil discover)  	 ver 1.6
    ipmi_port	(ipmi_port) 	 	 ver 1.1

11/01/10 ARCress ipmiutil-2.7.2  changes
  util/ifru.c        - refine FruTypeString as Baseboard only if dev 0
  util/isel.c        - add patch for bug 3091058 (SelAllocationInfo/Dell) 
		       from Alexander Dupuy, 
		       and protect against SelAllocationInfo errors
  util/ipmiutil.c    - init psubcmd = "" for usage message
  util/ipmicmd.c     - added ipmi_set_mymc, ipmi_get_mymc, added -Z
  util/ipmicmd.h     - added ipmi_set_mymc, ipmi_get_mymc
  util/ipmimv.c      - added SET_MY_ADDRESS in ipmi_open_mv()
  util/ifru.c        - added -Z to set mymc.sa
  util/ifruset.c     - added -Z to set mymc.sa
  util/ilan.c        - reuse existing sol_baud if valid & no -B param
  util/ievents.c     - handle event type 06 for PS Fans
  util/ipmi_port.c   - mkdaemon: set fdlimit=stderr
  util/igetevent.c   - mkdaemon: set fdlimit=stderr (fixes -b EBADF if mv),
  		       use ipmiutil_asy.log filename if -a
  util/ireset.c      - fix chassis soft-shutdown for non-Intel to use cmd 0x05
  util/ipmiutil.c    - add 'power' subcommand, same as 'reset'
  test/unittest.sh   - add ipmiutil sel -e
  test/testipmi.sh   - add ipmiutil sel -e
  doc/Makefile.am    - new, handle initto via @INIT_DIR@
  doc/ipmi_port.sh   - if no /var/lock/subsys, use /var/run
  doc/ipmiutil_asy   - if no /var/lock/subsys, use /var/run, fix getpid
  doc/ipmiutil_evt   - if no /var/lock/subsys, use /var/run, fix getpid
  doc/ipmiutil_wdt   - if no /var/lock/subsys, use /var/run, use $wdtlog
  doc/ipmi.init.basic - new, added for debian ipmi driver
  beforeconf.sh      - set ltver via --version, not rpm -q
  configure.in       - detect if Debian, detect INIT_DIR
  debian/changelog   - new, added for debian packaging
  debian/control     - new, added for debian packaging
  debian/copyright   - new, added for debian packaging
  debian/dirs        - new, added for debian packaging
  debian/docs        - new, added for debian packaging
  debian/rules       - new, added for debian packaging
  ipmiutil-2.7.2 contains:
    ipmiutil	(ipmiutil) 	 	 ver 2.72
    ialarms	(ipmiutil alarms)  	 ver 2.72
    icmd	(ipmiutil cmd)  	 ver 2.72
    iconfig	(ipmiutil config)  	 ver 2.72
    ievents	(ipmiutil events)  	 ver 2.72
    ifru	(ipmiutil fru)  	 ver 2.72
    igetevent	(ipmiutil getevt)  	 ver 2.72
    ihealth	(ipmiutil health)  	 ver 2.72
    ilan	(ipmiutil lan)  	 ver 2.72
    ireset	(ipmiutil reset)  	 ver 2.72
    isel	(ipmiutil sel)  	 ver 2.72
    isensor	(ipmiutil sensor)  	 ver 2.72
    iserial	(ipmiutil serial)  	 ver 2.72
    isol	(ipmiutil sol)  	 ver 2.72
    iwdt	(ipmiutil wdt)  	 ver 2.72
    ifruset	(ipmiutil ifruset)  	 ver 2.72
    oem_sun	(ipmiutil sunoem)  	 ver 2.72
    ipicmg	(ipmiutil picmg)  	 ver 2.72
    ifirewall	(ipmiutil firewall)  	 ver 2.72
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.02
    idiscover	(ipmiutil discover)  	 ver 1.6
    ipmi_port	(ipmi_port)	  	 ver 1.2

12/16/10 ARCress ipmiutil-2.7.3  changes
  util/ipmilan2.c    - a stub of ipmilanplus.c without HAVE_LANPLUS
  util/iekanalyzer.c - fix a compiler warning and lint error
  util/isel.c        - fix printf() syntax warning for Mandriva,
  		       define decode_sel_entry() with return value,
  		       fixup idxfile,idxfile2 if remote
  util/ihpm.c        - fix printf() syntax warning for Mandriva
  util/ievents.c     - fix printf() syntax warning for Mandriva,
  		       added -t for full PET traps, 
  		       fix PET decoding for Sun OEM bytes, 
  		       adjust threshold description strings,
  		       check for filename & decoding errors,
  		       use fseek to fix file_grep(2) special case,
  		       add size param to get_MemDesc, 
  		       add custom DIMM decoding for Intel S5500,
  		       use snprintf to fix buf overflow in decode_sel_entry
  util/igetevent.c   - define decode_sel_entry() with return value,
  		       fixup idxfile2 if remote
  util/ifru.c        - wart for Kontron 1-byte Version anomaly
  util/ifruset.c     - wart for Kontron 1-byte Version anomaly
  util/ipmilipmi.c   - new, for Solaris 8/9 lipmi driver
  util/isensor.c     - add sensor type 0x25 Entity Presence,
  		       add call to decode_sensor_sun(),
  		       change un-Recoverable threshold tag (nonrec -> unrec),
  		       do not show separate reading error line unless fdebug,
  		       but just show 'Unknown' by default
  util/oem_sun.c     - add decode_sensor_sun routine
  util/oem_intel.c   - added get_id_status_intel(), 
  		       check for NSW1U in detect_capab, 
  		       use raw command in check_bmctam_intel,
  		       fixups to intel_s5500_post table
  util/ialarms.c     - call get_id_status_intel() if vendor=intel
  util/mem_if.c      - add Bank Locator string to get_MemDesc, 
  		       add size/presence to get_MemDesc
  util/icmd.c        - add 's' tag logic for -m
  util/isol.c        - change bKeepAlive from type 2 to 1
  util/ihealth.c     - added get_health_oem/_supermicro
  util/oem_supermicro.c - new, added 
  util/ipmilan.c     - set fdoping=1 to help stuck BMCs
  util/Makefile.am   - added oem_supermicro.c
  util/ipmiutil.mak  - added oem_supermicro.obj
  beforeconf.sh      - fixed to libtoolize by default
  configure.in       - handle space in _topdir from Mandriva
  Makefile.am        - add mkdir -p $(SOURCEDIR) in make tarball
  doc/ipmiutil.spec  - updated package description
  doc/ipmi.init.basic - include watchdog module, check if exists
  debian/control     - updated package description
  ipmiutil-2.7.3 contains:
    ipmiutil	(ipmiutil) 	 	 ver 2.73
    ialarms	(ipmiutil alarms)  	 ver 2.73
    icmd	(ipmiutil cmd)  	 ver 2.73
    iconfig	(ipmiutil config)  	 ver 2.73
    ievents	(ipmiutil events)  	 ver 2.73
    ifru	(ipmiutil fru)  	 ver 2.73
    igetevent	(ipmiutil getevt)  	 ver 2.73
    ihealth	(ipmiutil health)  	 ver 2.73
    ilan	(ipmiutil lan)  	 ver 2.73
    ireset	(ipmiutil reset)  	 ver 2.73
    isel	(ipmiutil sel)  	 ver 2.73
    isensor	(ipmiutil sensor)  	 ver 2.73
    iserial	(ipmiutil serial)  	 ver 2.73
    isol	(ipmiutil sol)  	 ver 2.73
    iwdt	(ipmiutil wdt)  	 ver 2.73
    ifruset	(ipmiutil ifruset)  	 ver 2.73
    oem_sun	(ipmiutil sunoem)  	 ver 2.73
    ipicmg	(ipmiutil picmg)  	 ver 2.73
    ifirewall	(ipmiutil firewall)  	 ver 2.73
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.02
    idiscover	(ipmiutil discover)  	 ver 1.6
    ipmi_port	(ipmi_port)	  	 ver 1.2

02/09/11 ARCress ipmiutil-2.7.4  changes
  Makefile.am    - add 'make test' to run test/testipmi.sh,
  		   restrict SUBDIRS if standalone
  configure.in   - restrict SUBDIRS if standalone
  util/ipmidir.c - add debug output of Resp(netfn,cmd)
  		   add lock file to ensure exclusive access to I/O
  util/iconfig.c - add -m option to force setting BMC MAC,
  		   fix to not SetUserEnable(1) if extra users.
  util/ireset.c  - do not set Intel S5500 systems for bridge agent method
  util/ilan.c    - fix GetPefRecord for bug 3163406
  util/iconfig.c - fix GetPefRecord also for bug 3163406
  util/isensor.c - allow defaults from sdr for -u via fill_thresholds,
   		   fix to set threshold even if g_sa is HSC
  util/igetevent.c - add -n to wait for events from a specific sensor number
  util/mem_if.c  - add get_SystemGuid to get GUID from SMBIOS
  util/ifruset.c - use get_SystemGuid for GUID
  util/ihealth.c - use get_SystemGuid for GUID
  util/ifru.c    - use get_SystemGuid for GUID,
  		   add logic to follow child MCs if -f, 
  		   request admin if reading child FRUs
  util/ifruset.c - request admin by default
  util/icmd.c    - auto-request admin priv if bridging to child MC SA
  util/ipmimv.c  - set exit(rv) if TEST_BIN/ALONE
  util/ievents.c - use GetSensorType() if fPET and no sensor file
  util/isensor.c - ignore sensor reading state bits 0xC0 (was OK*, now valid),
  		   added -q to output Thresh in ::::: fmt
  doc/ipmi.init.basic - refine start/stop output
  doc/UserGuide  - added more to SOL section 4.8
  doc/ipmiutil.spec  - use sensor -q for sensor_out.txt
  doc/install-solaris.sh  - use sensor -q for sensor_out.txt
  doc/ipmi_port.sh   - use sensor -q for sensor_out.txt
  doc/init.sh        - use sensor -q for sensor_out.txt
  debian/postinst    - new, do sensor -q for sensor_out.txt
  added some files from tarball to svn trunk: 
    doc/idiscover.8
    doc/ifruset.8
    doc/install-solaris.sh
    doc/ipmi_port.8
    doc/ipmiutil_evt
    doc/ipmiutil_wdt.cmd
    lib/lanplus/inc/ipmitool/ipmi_cc.h
    lib/lanplus/inc/ipmitool/ipmi_hpmfwupg.h
    lib/lanplus/inc/ipmitool/ipmi_kontronoem.h
    lib/lanplus/Makefile.am
    util/oem_supermicro.c
    debian/postinst
  ipmiutil-2.7.4 contains:
    ipmiutil	(ipmiutil) 	 	 ver 2.74
    ialarms	(ipmiutil alarms)  	 ver 2.74
    icmd	(ipmiutil cmd)  	 ver 2.74
    iconfig	(ipmiutil config)  	 ver 2.74
    ievents	(ipmiutil events)  	 ver 2.74
    ifru	(ipmiutil fru)  	 ver 2.74
    igetevent	(ipmiutil getevt)  	 ver 2.74
    ihealth	(ipmiutil health)  	 ver 2.74
    ilan	(ipmiutil lan)  	 ver 2.74
    ireset	(ipmiutil reset)  	 ver 2.74
    isel	(ipmiutil sel)  	 ver 2.74
    isensor	(ipmiutil sensor)  	 ver 2.74
    iserial	(ipmiutil serial)  	 ver 2.74
    isol	(ipmiutil sol)  	 ver 2.74
    iwdt	(ipmiutil wdt)  	 ver 2.74
    ifruset	(ipmiutil ifruset)  	 ver 2.74
    oem_sun	(ipmiutil sunoem)  	 ver 2.74
    ipicmg	(ipmiutil picmg)  	 ver 2.74
    ifirewall	(ipmiutil firewall)  	 ver 2.74
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.02
    idiscover	(ipmiutil discover)  	 ver 1.6
    ipmi_port	(ipmi_port)  		 ver 1.2

04/04/11 ARCress ipmiutil-2.7.5  changes
  util/ifru.c    - fixed logic to follow child MCs with -e or -f,
  		   include -r to restore fru from ifruset.c,
  		   check for overflow in sdr loop with idstr
  util/iwdt.c    - add -q to set a specific pretimeout value (-p sets 90%)
  util/mem_if.c  - detect properly if SMBIOS has 16-byte register spacing 
  util/ilan.c    - use GetPefCapabilities to set pefmax,
  		   use float to show arp interval,
  		   set LanParam 4 (IPsrc) before LanParam 3 (IPaddr),
  		   handle if GetLanEntry returns ok but zero data
  util/iconfig.c - use GetPefCapabilities to set pefmax,
  		   turn off GratArp and set IPsrc before setting IP,
  		   skip serial users if no serial channel, 
  		   skip optional serial params if errors,
  		   handle if GetLanEntry returns ok but zero data
  util/ihealth.c - added Intel S1200, S2600 board info,
  		   show BMC extra version info for Kontron,
  		   added IANA for NAT
  util/ievents.c - use utc2local in fmt_time()
  util/isensor.c - cosmetic changes in RawToFloat(),
  		   added -e (same as -b) to follow child MCs
  util/isol.c    - increased -i filename size from 40 to 80
  util/isel.c    - find_msg_sev() detects severity for syslog messages
  util/ialarms.c - show up to 8 disk LEDs (previously 6)
  util/oem_intel.c  - detect_capab_intel: return max# disks based on product ID
  util/idiscover.c  - add -m option for raw packets to display MAC addrs
  util/ireset.c     - only set boot opts if not default device
  util/ipmilan.c    - try MD2 or NONE if default auth type not allowed.
  util/ipmidir.c    - allow set_max_kcs_loops for BSD also
  util/ipmicmd.c    - do set_max_kcs_loops for BSD also
  util/ipmicmd.h    - define set_max_kcs_loops for BSD also
  util/ipmiutil.mak - add ipmi_sample.exe to TARG_EXE
  util/ihpm.c       - fixed percent to display dots during upgrade, 
  		      added more debug messages
  doc/ipmi.init.basic - added comments
  doc/iwdt.8      - include -q description
  doc/idiscover.8 - include -m description
  doc/ifru.8      - include -e description
  doc/isensor.8   - include -e description
  doc/UserGuide   - updated Windows install instructions wrt drivers,
  		    updated section 4.2 with new sample output,
  		    updated section 4.8 SOL Upstart instructions,
  		    updated man pages
  ipmiutil-2.7.5 contains:
    ipmiutil	(ipmiutil)	  	 ver 2.75
    ...(various subcommands)  		 ver 2.75
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.02
    idiscover	(ipmiutil discover)  	 ver 1.7
    ipmi_port	(ipmi_port) 	 	 ver 1.2

05/09/11 ARCress ipmiutil-2.7.6  changes
  util/isensor.c  - show Thresholds based on readable (not settable) bits,
  		    handle unit type bit for percent
  util/ipmilan.c  - add ipmi_lan_set_timeout()
  util/icmd.c     - add -t to set lan timeout
  util/igetevent.c - add SmsOs func 3 to send NMI
  util/oem_kontron.c - added ktc5520_post decoding
  util/ievents.c     - added more GenID decoding
  util/ipmicmd.c     - added my_devid defaults
  util/mem_if.c      - added debug messages
  util/oem_intel.c   - fixup for Relay bits on CG2100
  util/isel.c        - allow filtering by severity with -s
  util/ipmi_port.c   - cleanup syntax warnings
  util/ilan.c        - add support for VLAN/Cipher params
  util/iconfig.c     - add support for VLAN/Cipher params
  doc/isel.8         - change to document -s
  util/ipmims.cpp    - fix for WIN64-unsafe logic from Jay Krell
  cleaned up compile warnings flagged by Jay Krell in:
  	igetevent.c, imbapi.c, ipmims.cpp, ievents.c, ifru.c, mem_if.c,
  	ievents.c, ifirewall.c, igetevent.c, oem_kontron.c/.h
  cleaned up WIN64 /W3 compile warnings in util/*.c
  util/ipmiutil2.mak  - updates
  util/mem_if_cpp.cpp - new, wrapper for build.exe, includes mem_if.c
  test/retro.sh       - new, retrofit subcommand naming for pre-2.6.0 scripts
  ipmiutil-2.7.6 contains:
    ipmiutil	(ipmiutil) 	 	 ver 2.76
    ...(various subcommands)  		 ver 2.76
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.02
    idiscover	(ipmiutil discover)  	 ver 1.7
    ipmi_port	(ipmi_port)	  	 ver 1.3

06/06/11 ARCress ipmiutil-2.7.7  changes
  util/oem_intel.c    - move Aborting message out for BMC TAM
  util/ialarms.c      - move Aborting message in for BMC TAM
  util/ifru.c         - fixed bug with -a and not -b (introduced in 2.7.5),
  util/icmd.c         - add -k to check IPMI access, driver type
  util/ipmicmd.h      - added CMD_GET_SESSION_INFO
  util/ihealth.c      - add get_session_info for -s (use -l for lan stats)
  util/ipmi_port.c    - added signal init
  util/igetevent.c    - added signal init
  util/ilan.c         - send snmp error message to stdout, not stderr
  util/iconfig.c      - send snmp error message to stdout, not stderr
  doc/ihealth.8       - document -s, -l options
  doc/ipmiutil.spec   - description update, added gcc/gcc-c++ to BuildRequires
  doc/ipmi_port.sh    - $localfs -> $local_fs
  doc/ipmiutil_asy    - $remotefs -> $remote_fs, use cmd -k to detect driver
  doc/ipmiutil_evt    - $remotefs -> $remote_fs, use cmd -k to detect driver
  doc/ipmiutil_wdt    - $remotefs -> $remote_fs, use cmd -k to detect driver
  doc/UserGuide       - resync'd with man pages
  test/unittest.sh    - allow getevt timeout to count as success
  Makefile.am         - enforce UserGuide permissions in make tarball
  configure.in        - for WRL, enforce -DSKIP_MD2
  ipmiutil-2.7.7 contains:
    ipmiutil	(ipmiutil) 	 	 ver 2.77
    ...(various subcommands)  		 ver 2.77
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.02
    idiscover	(ipmiutil discover)  	 ver 1.7
    ipmi_port	(ipmi_port) 	 	 ver 1.4

09/13/11 ARCress ipmiutil-2.7.8  changes
  util/iwdt.c         - check for pretime >max 255 & set to 255.
  util/ilan.c         - show Intel IPv6 params, include set MAC addr with -D,
  		        add ngood counter, call find_ifname,
  			add -f to set arp_ctl
  util/iconfig.c      - add ngood counter, call find_ifname, 
  			skip errors if optional SetPef(9), SetUserName(same)
  util/ireset.c       - cleanup of usage message
  util/isel.c         - check & fix if vsize reports 0
  util/ialarms.c      - added ALONE compile flag
  util/ievents.c      - added decode_sel_intel for PCIe AER events, 
		        added decode_mem_intel for DIMMs if remote
  util/oem_intel.c    - added decode_sel_intel for PCIe AER events,
		        added decode_mem_intel for DIMMs
  util/isensor.c      - added -o to output memory DIMM info, sdr getall=ffff
  util/igetevent.c    - added write_syslog when exiting
  util/idiscover.c    - added find_ifname()
  util/ipicmg.c       - updated with PICMG 2.3
  util/ipmicmd.c      - clear driver type in ipmi_close_()
  util/ipmilan.c      - moved some subroutines to subs.c, 
			added ipv6 support - thanks Rajaganesh87
  util/ipmilan.h      - increased RQ_LEN_MAX from 25 to 200
  util/ipmilanplus.c  - moved some subroutines to subs.c
  util/subs.c         - new, consolidate subroutines from other *.c files
  util/oem_dell.c     - new, Dell OEM functions
  util/oem_dell.h     - new, Dell OEM functions
  util/ipmiutil.c     - added delloem reference
  util/ipmiutil.h     - added delloem reference
  util/Makefile.am    - add oem_dell
  util/ipmiutil.mak   - add oem_dell
  util/ihpm.c         - updated to v1.08
  util/ipmidir.c      - return error if data len > DATA_BUF_SIZE (was truncate)
  util/ipmidir.h      - increase DATA_BUF_SIZE from 64 to 255 (IPMI_REQBUF_SIZE)
  util/ipmi*.c/.h     - changed ipmi_cmd*(uchar sdata -> int sdata)
  util/itsol.c        - new, for Tyan SOL
  util/itsol.h        - new, for Tyan SOL
  util/ihealth.c      - added WinBond/SuperMicro X8SIL
  util/oem_supermicro.c - added more SuperMicro functions
  util/isol.c         - use kontron sol_send max = 74, default others to 45.
  util/ifru.c         - fixed fault with -a if asset present in non-baseboard
  lib/lanplus/helper.c  - moved some subroutines to subs.c
  lib/lanplus/lanplus.c - added ipv6 support - thanks Rajaganesh87
  test/testipmi.sh    - fixed getevt success check via runcmdr
  doc/ilan.8          - more description for -d
  doc/ireset.8        - cosmetic cleanup
  doc/isensor.8       - added -o description
  doc/idelloem.8      - new, document Dell OEM functions
  doc/UserGuide       - sync'd with current man pages
  doc/ipmiutil_asy.service - new, systemd service for ipmiutil_asy
  doc/ipmiutil_evt.service - new, systemd service for ipmiutil_evt
  doc/ipmiutil_wdt.service - new, systemd service for ipmiutil_wdt
  doc/ipmi_port.service    - new, systemd service for ipmi_port
  doc/ipmiutil.env         - new, environment for ipmiutil systemd
  doc/ipmiutil.pre         - new, preinstall for ipmiutil systemd
  doc/ipmiutil.setup       - new, setup for ipmiutil ipmi_port systemd
  doc/ipmiutil.spec        - added systemd scripts, idelloem.8
  doc/Makefile.am          - added systemd scripts, idelloem.8
  hpiutil/hpiutil.spec     - updated version to 1.1.11, updated header syntax
  hpiutil/hpiinit.sh       - use /var/run if /var/lock/subsys does not exist
  				fixes bug# 3400659
  ipmiutil-2.7.8 contains:
    ipmiutil	(ipmiutil)  		 ver 2.78
    ...(various subcommands)  		 ver 2.78
    oem_dell	(ipmiutil delloem)  	 ver 2.78
    itsol	(ipmiutil tsol)  	 ver 2.78
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.08
    idiscover	(ipmiutil discover)  	 ver 1.8
    ipmi_port	(ipmi_port)  		 ver 1.4

10/04/11 ARCress ipmiutil-2.7.9  changes
  util/isensor.c           - check for DIMM disabled bit 0x0100,
  			     add sensor type 0x28 for MC Health,
			     fix RawToFloat for ARM cross-compiler
  util/ilan.c 		   - show param 102 better for S2600CP with -c
  util/oem_supermicro.c    - add return(rv) at line 182 to fix compile warning
  util/oem_dell.c  	   - fix data size to 10 in CheckSetLEDSupport
  util/ipmilan.c           - resolve compiler warnings,
  			     add #if CROSS_COMPILE for gethostbyname
  util/idiscover.c         - add #if CROSS_COMPILE for gethostbyaddr
  util/subs.c              - resolve compiler warnings
  util/ievents.c           - move Intel DIMM code to decode_mem_intel,
  			     added BMC Drive Slot event decoding if not HSC
  util/oem_intel.c         - add more to decode_mem_intel,
  			     add is_thurley(), is_romley(), is_lan2intel() 
  util/ilan.c              - add Romley IDs to S2600, skip PEF if disabled,
    			     preferred SOL baud 115200
  util/isol.c              - use is_lan2intel() for lan2i method
  util/ipmicmd.c           - show invalid -F string in error message
  util/ipmilanplus.c       - use is_lan2intel() in ipmi_oem_active()
  lib/lanplus/lanplus.c    - resolve compiler warning
  doc/checksel             - also save a copy of the SEL in /var/lib/ipmiutil
  doc/Makefile.am          - do not make *.service files executable
  configure.in  	   - separate two sed -i subst's if MontaVista,
  			     add static/CROSS_COMPILE if --host=xxx, e.g. ARM
  INSTALL 		   - add build instructions for ARM
  ipmiutil-2.7.9 contains:
    ipmiutil	(ipmiutil)	  	 ver 2.79
    ...(various subcommands)  		 ver 2.79
    oem_dell	(ipmiutil delloem)  	 ver 2.79
    itsol	(ipmiutil tsol)  	 ver 2.79
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.08
    idiscover	(ipmiutil discover)  	 ver 1.8
    ipmi_port	(ipmi_port)	  	 ver 1.4

10/28/11 ARCress ipmiutil-2.7.9-2  changes (patched)
  util/isensor.c           - fix Therm Margin reading bug 3429298 from 2.7.9,

11/10/11 ARCress ipmiutil-2.7.9-3  changes (patched)
  doc/ipmiutil.spec        - copy checksel to cron.daily only if IPMI is enabled
                             which fixes RH bug #752319
  doc/checksel             - do nothing if IPMI SEL is not enabled
  doc/Makefile.am          - do not auto-install checksel into cron.daily
  doc/Makefile.in          - do not auto-install checksel into cron.daily
  doc/Makefile             - do not auto-install checksel into cron.daily

12/16/11 ARCress ipmiutil-2.8.0  changes
  util/iconfig.c           - use enabled_users instead of max_users for SOL.
  util/ievents.c           - interpret Proc Config events if 0x83, 
  			     add fcanonical output,
  			     handle more discrete Temp events for Romley,
  			     fix b3 error in Memory DIMM decoding, 
  			     fix threshs string if -p 
  util/ilan.c              - fix PefDesc for strcat, (fixes RH bug#804723)
  			     bounds check GetPefCapabilities,
  			     increase MAXPEF to 41 for Dell PE 1950,
  			     use bmcsubnet by default if not user-specified,
  			     skip SOL baud if Intel Romley,
  			     add -K to set Kontron IPMI hostname
  util/ipmicmd.c           - more bounds checking in set_lan_options
  util/ipmicmd.h           - comment headers for set_lan_options, etc.
  util/isensor.c           - fix Therm Margin reading bug 3429298 from 2.7.9,
  			     compare both num & sa before setting thresholds,
  			     add Romley HSBP sensor interpretations, 
  			     document -q option in usage,
			     add call to decode_sensor_supermicro
  util/isel.c              - add -n for nominal/canonical output format
  util/subs.c              - added str2uchar, atob routines with error msgs
  util/ihealth.c           - added Supermicro X9SCA product id decoding,
  			     added special Kontron FW version cmd
  util/ipmicmd.c/h         - change get_node to get_nodename
  util/*.c                 - converted strtol/atoi to atob if one-byte result
  util/oem_supermicro.c    - add decode_sensor_/decode_sel_supermicro()
  util/ihpm.c              - handle if Activation compcode==0xD5
  util/idcmi.c             - new, for DCMI commands
  util/idcmi.h             - new, for DCMI commands
  util/Makefile.sample     - new, for ipmiutil-devel
  util/Makefile.am         - changes to install ipmiutil-devel files,
  			     do not include lanplus in libipmiutil by default
  util/iconfig.c           - do not call atob if beyond ':'
  util/subs.c              - fix str2uchar for 08,09.,
  			     fix lprintf to use fplog if fdbglog
  util/isol.c              - send chassis soft reset for ctl+alt+del (~D)
  util/ievents.h  	   - new, define public routines
  util/ipmilan.c           - handle recvfrom errors better if bad MC stack
  util/oem_sun.c   	   - remove extra usage message if error
  util/itsol.c             - handle Windows compile warnings
  doc/isensor.8            - add -q option to show thresholds in d:d:d format
  doc/ilan.8  		   - document -K for hostname, etc.
  doc/ipmiutil.spec        - copy checksel to cron.daily only if IPMI is enabled
  			     which fixes RH bug #752319, 
  			     changed Summary line,
  			     added libtool to BuildRequires:,
  			     added ipmiutil-devel package files
  doc/Makefile.am          - do not auto-install checksel into cron.daily
  doc/checksel             - do nothing if IPMI SEL is not enabled
  doc/install.cmd          - changed install path 
  doc/uninstall.cmd        - changed install path 
  doc/install.vbs          - new, for MSI package
  doc/uninstall.vbs        - new, for MSI package
  debian/postinst          - copy checksel only if IPMI is enabled
  debian/control 	   - changes to description
  debian/prerm             - remove checksel if present in /etc/cron.daily
  doc/UserGuide            - added section 8.x for building ipmiutil, 
  			     moved Related Information to section 9
  test/testipmi.sh         - skip serial tests if not supported
  test/unittest.sh         - add Memory DIMM event decoding tests
  util/ipmi_sample.mak     - new, makefile for ipmi_sample.exe
  buildsamp.cmd            - new, script to build ipmi_sample.exe
  configure.in  	   - add --enable-liblanplus parameter
  ipmiutil-2.8.0 contains:
    ipmiutil	(ipmiutil)	  	 ver 2.80
    ...(various subcommands)  		 ver 2.80
    idcmi	(ipmiutil dcmi)  	 ver 2.80
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover	(ipmiutil discover)  	 ver 1.8
    ipmi_port	(ipmi_port)	  	 ver 1.4

02/10/2012 ARCress ipmiutil-2.8.1  changes
  util/isensor.c           - GetSensorReading: include channel/bus for ME,
  			     use isensor.h, 
  			     added decode_entity_id() if -t,
  			     handle CritInterrupt 0x0A,0x0B,
  			     handle HP, Sun returning 0xD4 for fdevsdrs
  util/ihealth.c           - change format of ME firmware version,
  			     add Quanta S99Q vendor/product interpretation,
  			     added system_info command data,
  			     added list of IPMI LAN channels
  util/ipmicmd.c           - if DRV_MV, do not use ipmi_cmd_ipmb for ME
  util/ipmidir.c           - include bus in ProcessMessage (for ME)
  util/iconfig.c           - show extra LanParam IP address comment,
  			     add lan_failover, system_info as SystemParams,
  			     cleanup some clutter
  util/idcmi.c             - add get_power_read*, set_power_limit* routines 
  			       from Rajaganesh87,
			     add support for dcmi_get_sensor_info, 
  			     add dcmi_set_asset_tag, dcmi_set_mc_id,
  util/isensor.h           - new, common sensor subroutine definitions
  util/oem_sun.c           - use isensor.h
  util/oem_dell.c          - use isensor.h,
  			     applied 01-powermonitor-bigendian.patch
  			     already included 02-fix-overflow.patch
  			     applied 03-delloem-help.patch
  util/oem_intel.c         - add decode_sensor_intel_nm for ME NM sensors,
  			     add lan_failover_intel() routine
  util/oem_quanta.c        - add interpretation for Quanta S99Q OEM sensor/sel
  util/oem_supermicro.c    - add decoding for CPU Overheat deassert events
  util/ifru.c              - for Dell BMC, allow scan with user privilege,
  			     for Dell R415, add 6-bit ASCI decoding,
  			     fixed fdevsdrs mismatch for Dell R610
  util/ipmilan.c           - add get_rand() for init_out_seq, 
  			     handle if per-message auth disabled (Dell PE R415)
  util/ilan.c              - add lan_failover_intel if -y
  util/ievents.c           - add -o to specify vendor IANA ID
  util/iserial.c           - limit show_users to 5 to avoid 0xCC warnings
  doc/ihealth.8            - added -mnopq descriptions
  doc/ilan.8		   - added -y description 
  doc/itsol.8		   - new 
  doc/idcmi.8		   - new 
  doc/UserGuide		   - updated man pages 
  test/testipmi.sh	   - copy PASS/FAIL messages in output log
  configure.in             - use --libdir= option for cross-compiles, 
  			     fix PKG_DIR for openSuSE 12
  ipmiutil-2.8.1 contains:
    ipmiutil	(ipmiutil) 	 	 ver 2.81
    ...(various subcommands)  		 ver 2.81
    idcmi	(ipmiutil dcmi)  	 ver 2.81
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover	(ipmiutil discover)  	 ver 1.8
    ipmi_port	(ipmi_port)	  	 ver 1.4

03/12/2012 ARCress ipmiutil-2.8.2  changes
  doc/*                    - moved scripts from here
  scripts/*                - moved scripts to here
  scripts/Makefile.am      - new, for script handling
  scripts/ipmiutil_asy     - use -b instead of -t0
  scripts/ipmiutil_asy.service  - use -b instead of -t0
  doc/Makefile.am          - remove script handling
  doc/isensor.8            - added 'Typ' header description
  doc/ipmiutil.spec        - use systemd scripts if systemctl, and 
  			     use SYSV init scripts otherwise (RH bug 789702),
  			     move ipmiutil from /usr/sbin to /usr/bin,
  			     add %req_systemd and --enable-systemd for suse
  util/ipmiva.c            - removed, obsolete valinux driver
  util/ipmiva.h            - removed, obsolete valinux driver
  util/ipmi_ioctls.h       - removed, obsolete valinux driver
  util/ipmignu.c           - removed, obsolete libfreeipmi interface code
  util/Makefile.am         - remove ipmiva.c, ipmignu.c drivers, 
  			     move ipmiutil from /usr/sbin to /usr/bin
  util/ievents.c           - handle deassert/ok for discrete Battery Fail
  util/oem_hp.c            - new, add decode_sensor_hp for discrete readings
  			     on HP ProLiant servers
  util/isensor.c           - call decode_sensor_hp if vendor==HP
  util/ipmicmd.c           - removed valinux, libfreeipmi from messages
  util/oem_kontron.c       - fix get_fru_area_str NULL pointer check
  util/oem_intel.c         - add more Romley product IDs and descriptions
  			     fixes bug# 3497948,
  			     added logic to enc_leds_intel routines for Romley
  util/ihealth.c           - use intel_romley_desc for Romley descriptions
  util/ialarms.c           - added -f option to turn off all disk leds
  lib/lanplus/lanplus.c    - fix bridged lanplus session close failures
  freeipmi/*               - removed unused files
  configure.in             - handle scripts subdir, remove va/gnu,
  			     handle if %_initrddir does not exist, 
  			     add enable-systemd parameter, installs %_unitdir
  ipmiutil-2.8.2 contains:
    ipmiutil	(ipmiutil)	  	 ver 2.82
    ...(various subcommands)  		 ver 2.82
    idcmi	(ipmiutil dcmi)  	 ver 2.82
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover	(ipmiutil discover)  	 ver 1.8
    ipmi_port	(ipmi_port)	  	 ver 1.4

04/23/2012 ARCress ipmiutil-2.8.3  changes
  util/oem_intel.c         - fix Romley DIMM decoding with intel_mem_s2600,
  			     add Version Change event OEM detail,
  			     added get_power_restore_delay_intel()
  util/ilan.c              - additional safeguards in PefDesc, 
  			     fix setting PEF/Alert (introduced in 2.7.9), 
  			     use previous dest mac if not resolved.
  util/ihealth.c           - added error cases with decode_selftest,
  			     format romley prodstr with (),
  			     fix #3516915 with more chassis status decoding,
  			     added call to get_power_restore_delay_intel
  util/ipmilan.c           - handle some compile warnings
  util/ievents.c           - change some NMFW/ME event descriptions
  util/isensor.c           - show Entity ID if -v (but not -t),
  			     move Dell Discrete Voltage to oem_dell.c to fix
  			     Romley VR Watchdog,
  			     added get_sdr_file routine for ipmi_sample2
  util/oem_dell.c	   - fix #3514908 powerconsumption cannot find error,
  			     added decode_sel_dell() merged from patches by
			     Srinivas_G_Gowda,
  			     fix #3514925 LOM MAC display error,
  			     added getled function to read ID LED,
  util/oem_newisys.c       - new, decode_sel_newisys()
  util/oem_kontron.c       - added sensor types 0x70, 0x71
  util/ipmi_sample.c       - v0.4, added GET_SENSORS case
  util/ireset.c            - add -k for ColdReset, -m for MC, use -v for DVD/CD
  util/Makefile.am         - added GET_SENSORS case for ipmi_sample2
  util/ipmiutil.mak        - added GET_SENSORS case for ipmi_sample2
  util/imbapi.c            - reduce MAX_RETRIES from 3 to 2, do ipmb for ME_BUS
  util/ilan.c              - added GetFirstIP for WIN32
  util/idiscover.c         - call GetFirstIP for WIN32 if -a
  util/AnsiTerm.cpp        - default AutoWrap = true in ResetTerm
  doc/ireset.8             - document -k, -m, -v 
  doc/idiscover.8          - document -a defaults better
  doc/UserGuide            - resync with man pages
  doc/ipmiutil.spec        - skip chkconfig if systemd
  debian/prerm             - remove /etc/cron.daily/checksel if present
  configure.in             - fix error checking for PKG_DIR
  ipmiutil-2.8.3 contains:
    ipmiutil	(ipmiutil) 		 ver 2.83
    ...(various subcommands)  		 ver 2.83
    idcmi	(ipmiutil dcmi)  	 ver 2.83
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover	(ipmiutil discover)  	 ver 1.9
    ipmi_port	(ipmi_port)  		 ver 1.4

06/13/2012 ARCress ipmiutil-2.8.4  changes
  configure.in             - detect HP-UX and set compile options,
  			     check for ltmain.sh, else beforeconf.sh
  util/*.c                 - #ifdef HPUX, skip getopt since it is in stdio.h,
  			     handle DLPI for HPUX instead of SIOC.
  			     TODO: We need someone to test this on HPUX.
  util/ilan.c              - prioritize existing Dest IP if not using -A,
  			     default to arp_ctl 0x03 if Intel Romley
  util/idcmi.c             - fix rlen, argc, priv for bug#3523229 (DCMI 1.1)
  			     fix activate param check for bug#3526523
  util/ihealth.c           - move _sysinfo routines from here,
  			     call get_hsbp_version_intel if Romley
  util/subs.c              - move _sysinfo routines to here
  util/ipmicmd.c           - add -Fibm option
  util/ipmilan.c           - if -Fibm, do not get_rand for init_out_seq
  util/ireset.c            - set OEM boot option if HP for bug#3527355,
  			     add -i/-j for boot initiator mailbox string
			     fix printf bug #3534551
  util/ifru.c              - refine calculation for Mfg DateTime
  util/ievents.c           - add Intel CATERR decoding
  util/oem_dell.c	   - merged 01-powermonitor-bigendian.patch,
  			     merged 03-delloem-help.patch,
  			     fix debug printf at line 4289 by adding %x
  util/Makefile.am         - build ipmi_sample2 with sensor,fru,sel 
  			     install ipmicmd.h into $(includedir),
  			     use $objdir to fix parallel build bug 3523822,
  			     add LANPLUS_LIB to dependencies
  doc/UserGuide, doc/*.8   - reflect that cipher suites are 0 thru 17
  doc/ireset.8             - added -i/-j descriptions
  doc/ipmiutil.spec        - devel virtually provides static,
  			     devel ipmicmd.h into %_includedir
  doc/rh_spec.patch        - new, customize spec file for Red Hat bug#818910
  ipmiutil-2.8.4 contains:
    ipmiutil	(ipmiutil) 	 	 ver 2.84
    ...(various subcommands)  		 ver 2.84
    idcmi	(ipmiutil dcmi)  	 ver 2.84
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover	(ipmiutil discover)  	 ver 1.9
    ipmi_port	(ipmi_port) 	 	 ver 1.4

08/13/2012 ARCress ipmiutil-2.8.5  changes
  util/oem_dell.c	   - add 'static void' to ipmi_delloem_getled_usage()
  util/idcmi.c             - fixes for bug#3526523
  util/ipmicmd.h           - define Cisco IANA number
  util/subs.c              - include Cisco in manufacturers list
  util/ihealth.c           - handle Cisco get_chan_auth bug#3535196,
  			     change to 'Sec Operating System' in sysinfo
  util/ifru.c              - change to 'Sec Operating System' in sysinfo
  util/mem_if.c            - add get_Chassis_Sernum() 
  util/ilan.c              - add '-L list' show_chans function
  util/oem_intel.c         - set to 4 disk LEDs if CG1200
  util/imbapi.c            - fixed rsp offset for ipmb bridged cmds
  util/isensor.c           - fixed module presence sensor decoding
  util/ievents.c           - simplify redundancy & presence decoding,
  			     add board presence decoding,
  			     decode Intel OEM PCI bus:dev:func data
  lib/lanplus/lanplus.c    - fixed 2 possible memory leaks, 
  			     patch contributed by Oliver Stoneberg
  doc/ilan.8               - mention RMM chan 3, add -L list description
  scripts/checksel         - fix /usr/sbin to /usr/bin for bug#3538998
  debian/dirs, postinst    - fix /usr/sbin to /usr/bin for binary
  buildwin.cmd             - cleanup, simplify Windows build (Oliver Stoneberg)
  buildwin2.cmd            - cleanup, simplify Windows build
  buildsamp.cmd            - cleanup, simplify Windows build 
  cleanwin.cmd             - cleanup, simplify Windows build
  lib/ipmilib.mak          - cleanup, simplify Windows build
  lib/lanplus/ipmiplus.mak - cleanup, simplify Windows build
  util/ipmiutil.mak        - cleanup, simplify Windows build (Oliver Stoneberg)
  util/ipmiutil2.mak       - cleanup, simplify Windows build
  util/ipmi_sample.mak     - cleanup, simplify Windows build
  util/igetevents.c        - skip mkdaemon if ppid==1 
  util/ilan.c              - fix bug #3554862 for IBM non-conformance
  configure.in             - set CFLAGS if --enable-systemd 
  ipmiutil-2.8.5 contains:
    ipmiutil	(ipmiutil)	  	 ver 2.85
    ...(various subcommands)  		 ver 2.85
    idcmi	(ipmiutil dcmi)  	 ver 2.85
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover	(ipmiutil discover)  	 ver 1.9
    ipmi_port	(ipmi_port)  	 	 ver 1.4

10/08/2012 ARCress ipmiutil-2.8.6  changes
  doc/ipmiutil.spec        - added F18 systemd macros
  test/ipmievt.sh	   - get fresh sensor readings before calculations
  util/ievents.c           - added -n to generate a New platform event,
  			     added SENSORS_OK flag for ipmi_sample_evt
  util/isensor.c           - show correct sensor type for EvtOnly sensors
  util/oem_intel.c         - dont get disk LEDs if Intel TSRMT2,
  			     remove 'Fatal' from AER descriptions,
			     added a few more S5000 POST code descriptions
  util/igetevents.c        - ppid==1 in mkdaemon is ok
  util/ihealth.c           - show Romley BMC build version
  util/oem_dell.c          - added 'passwordpolicy' command for Dell C6220
  util/ipmi_sample_evt.c   - new, sample app to get events
  util/isel.c              - moved syslog routines to subs.c
  util/subs.c              - inserted syslog routines
  util/isol.c              - add -n option for payload instance number
  util/imbapi.c            - only include DllMain if IMBDLL flag
  util/ialarms.c           - added TEST_ENC compile flag for ialarms_enc,
  			     fixed case for old Intel/NSC TIGPT1U
  util/Makefile.am         - add ipmi_sample_evt, ialarms_enc
  util/Makefile.sample     - add ipmi_sample_evt
  util/ipmi_sample.mak     - add ipmi_sample_evt.exe
  util/ipmiutil.mak        - add ipmi_sample_evt.exe, ipmiutillib.dll
  util/ipmiutil2.mak       - add ipmi_sample_evt.exe
  util/ipmiutillib.def     - new, for ipmiutillib.dll
  ipmiutil-2.8.6 contains:
    ipmiutil	(ipmiutil)  	 	 ver 2.86
    ...(various subcommands)  		 ver 2.86
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover	(ipmiutil discover)  	 ver 1.9
    ipmi_port	(ipmi_port)  		 ver 1.4

12/13/2012 ARCress ipmiutil-2.8.7  changes
  Always compile Windows with Visual Studio (fixes bug#3592308)
  scripts/ipmi_info        - new, to set IPMI System Info if supported
  scripts/Makefile.am      - added ipmi_info
  doc/ipmiutil.spec        - added ipmi_info
  util/ipmims.cpp          - fix memory leak
  lib/lanplus/lanplus.c    - if HP, don't build any v1.5 commands
  util/ipmilanplus.c       - add hp case to ipmi_oem_active()
  configure.in             - fixup for HP-UX case
  util/isol.c              - add -k for keepalive timeout
  util/isensor.c           - revised output format for -c
  util/ipmilanplus.c       - fix keepalive data_len in Windows (#3592308)
  util/ialarms.c           - add -e to skip disk enclosure LEDs
  util/oem_intel.c         - add rcmd method for Romley disk LEDs
  ipmiutil-2.8.7 contains:
    ipmiutil	(ipmiutil)  		 ver 2.87

12/17/2012 ARCress ipmiutil-2.8.7  changes
  doc/ipmiutil.spec        - fixed ipmi_info/init typo

02/05/2013 ARCress ipmiutil-2.8.8  changes
  util/ihealth.c           - caveats for VENDOR_SUPERMICROX, product X8SIU
  util/ilan.c              - caveats for VENDOR_SUPERMICROX
  util/iconfig.c           - caveats for VENDOR_SUPERMICROX
  util/iserial.c           - caveats for VENDOR_SUPERMICROX
  util/isensor.c           - caveat if sensor reading not present
  util/oem_supermicro.c    - added Power Supply sensor status
  util/isel.c              - show record id if compcode = 0xcb
  util/ireset.c            - added EFI compile flags
  util/ievents.c           - handle fake SMS_OS threshold events
  util/ipmiutil64.mak      - NEW, for Win x64 builds
  lan/lanplus/lanplus.c    - remove asserts 
  lan/lanplus/lanplus_crypt.c - x64 HMAC tweaks and remove asserts
  lan/lanplus/lanplus_crypt_impl.c - handle x64 types in lanplus_HMAC
  doc/UserGuide            - add 'Run as administrator' note in 5.1 Win Install
  buildwin.cmd             - detect if VC is Win x64 and use ipmiutil64.mak
  test/unittest.cmd        - NEW, ipmiutil unit test for Windows
  ipmiutil-2.8.8 contains:
    ipmiutil	(ipmiutil)  	 ver 2.88

04/08/2013 ARCress ipmiutil-2.9.0  changes
  util/ihealth.c           - set SuperMicro product 0x60B to 'X8SIA',
			     added 0x0705 as 'X9DR7'
  util/ilan.c              - dont show extra dest params if invalid, IP dots,
  			     add interpretation for Cipher Suites
  util/ipmicmd.c           - update Solaris driver message for lipmi
  util/ipmi_sample.c       - added GetSensorReading sample logic,
  			     added -l option for looping on sensor readings,
  			     added -f option to iterate on node list
  util/isensor.h           - added decode_comp_reading
  util/ipmilan.c           - added ipmi_flush_lan, handle multiple opens,
  			     added busy_tries for Node Busy error
  util/ipmilan.h           - added ipmi_flush_lan
  util/ipmilanplus.c       - added LAN2_STRUCT for multiple opens, 
  			     added open logic to close first if new nodename.
  lan/lanplus/lanplus.c    - ipmi_req_entries=NULL in ipmi_req_clear_entries
  buildwin.cmd             - cosmetic findstr change
  buildwin2.cmd            - updated for Win x64 builds (without lanplus)
  util/ipmiutil.mak        - cosmetic change
  util/ipmiutil64.mak      - cosmetic change
  util/ipmiutil2.mak       - updated for sample builds, clarity
  util/ipmiutil2-64.mak    - NEW, for Win x64 builds
  util/ipmi_sample.mak     - added MARCH for IX86 or X64
  util/ievents.c           - add decode_mem_supermicro call,
  			     handle parse_lan_options better.
  util/oem_supermicro.h    - new, supermicro routines
  util/oem_supermicro.c    - update decode_sel_supermicro, 
  			     added decode_mem_supermicro,
  			     added i_smcoem, ipmi_smcoem_main
  util/ipmiutil.c          - added i_smcoem
  util/ipmiutil.h          - added i_smcoem
  util/iseltime.c          - new, show/sync system time and SEL time
  util/subs.c              - added strlen_() wrapper for compile warnings
  util/ipmicmd.h           - added strlen_()
  util/Makefile.am         - add iseltime, set LD_SAMX for libipmiutil.a
  configure.in             - build libipmiutil with lanplus by default
  doc/iseltime.8           - new, man page for iseltime
  doc/ismcoem.8            - new, man page for ismcoem
  doc/UserGuide            - updated Windows file list in section 5.0,
  			     add iseltime man page
  doc/ipmiutil.spec        - add autoconf to %build for aarch64/ARM64 bug 925593
  ipmiutil-2.9.0 contains:
    ipmiutil	(ipmiutil)  		 ver 2.90
    ...(various subcommands)	  	 ver 2.90
    iseltime	(iseltime) 	 	 ver 2.90
    ismcoem	(ipmiutil smcoem)  	 ver 2.90
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover	(ipmiutil discover)  	 ver 1.9
    ipmi_port	(ipmi_port)  		 ver 1.4

05/15/2013 ARCress ipmiutil-2.9.1  changes
  configure.in    - changes to support MACOS, HAVE_SOCKLEN_T
  lib/lanplus/lanplus_defs.h - changes for HAVE_SOCKLEN_T for MACOS
  lib/lanplus/lanplus.c - #ifdef MACOS 
  util/*.c       - getopt includes for MACOS, other MACOS ifdefs
  util/isel.c    - change header if -n/-c, move delete/clear from -c to -d,
  		   add -u to use UTC sel times.
  util/ievent.c  - define header string if -n, add format_event(),
  		   handle fcanonical uniformly
  util/ipmi_sample.c  - changed nsec from 5 to 10 by default, added -i
  util/ipmiutil.mak   - build ipmi_sample2.exe by default
  util/ipmiutil64.mak - build ipmi_sample2.exe by default
  util/ihealth.c      - add better HP product code names (feat#6)
  util/ifru.c         - handle DDR3 format SPD data
  util/igetevent.c    - use offset 3 for sel_time
  util/oem_dell.c     - some cleanup, reorder ActiveLOM_Strings
  util/oem_*.c        - call format_event to handle fcanonical uniformly
  util/isensor.c      - fix parse_idx for 3 hex digits from -i,
  		        add -j to Jumpstart SDR cache from file
  util/ihealth.c      - add 2 more SuperMicro product ids
  util/oem_supermicro.c  - added get/set lanport
  util/*.c            - clean up some compile warnings
  scripts/checksel     - use sel -d
  scripts/checksel.cmd - use sel -d
  scripts/evt.sh      - add sample snmptrap logic
  scripts/Makefile.am - add ipmi.init.basic
  doc/ipmiutil.spec   - add ipmi.init.basic
  doc/isel.8          - change -c to -d, add new -c/-n description, add -u
  doc/UserGuide       - updated with current man pages
  ipmiutil-2.9.1 contains:
    ipmiutil	(ipmiutil)	  	 ver 2.91
    ...(various subcommands)	  	 ver 2.91
    ismcoem	(ipmiutil smcoem)  	 ver 2.91
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover	(ipmiutil discover)  	 ver 1.9
    ipmi_port	(ipmi_port)	  	 ver 1.4

10/09/2013 ARCress ipmiutil-2.9.2  changes
  util/isensor.c      - set default -t tag to "Thresholds" instead of "",
		        added find_sdr_by_id(), 
			fixed thresholds.sh script for cmd if recid==0
  util/ilan.c         - if disabling SuperMicro, set failover off also
  util/isel.c         - fix -c option for canonical
  util/ipmiutil.c     - marked iekanalyzer as deprecated
  debian/*            - updated for debhelper 9 builds by Alex Waite
  debian/copyright    - updated to DEP-5 format with file-level detail
  debian/ipmiutil.lintian-overrides - added gpl-openssl warning override
  lib/Makefile        - added check: for debian
  scripts/Makefile.am - added check: for debian
  scripts/ipmi.init.basic - added checks if ipmi is builtin
  doc/Makefile.am     - added check: for debian
  doc/UserGuide       - marked iekanalyzer as deprecated
  doc/iekanalyzer.8   - marked iekanalyzer as deprecated
  doc/ipmiutil.spec   - add dummy echo in %post in case of a command error
  configure.ac        - renamed from previous configure.in
  lib/lanplus/lanplus_dump.c  - reduce rakp2 debug output (CVE-2013-4786)
  lib/lanplus/lanplus_crypt.c - reduce rakp2 debug output (CVE-2013-4786)
  util/ipmims.cpp     - fixed Win2012 x64 core in SafeArrayDestroy
  util/igetevent.c    - added -c for canonical event formats, get_evt_method
  doc/igetevent.8     - added -c description
  util/oem_supermicro.c - fix memory decoding to use data2 byte
  util/Makefile.am    - add $OS_CF for ievents, idiscover, ipmi_port
  configure.ac        - add fortify flags to OS_CF if supported
  lib/lanplus/lanplus.c - fix possible mem leak, line 2195 (entry)
  lib/lanplus/lanplus_crypt.c - fix possible mem leak, line 842 (padded_input)
  ipmiutil-2.9.2 contains:
    ipmiutil	(ipmiutil)	  	 ver 2.92
    ...(various subcommands)	  	 ver 2.92
    ismcoem	(ipmiutil smcoem)  	 ver 2.92
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover	(ipmiutil discover)  	 ver 1.9
    ipmi_port	(ipmi_port)	  	 ver 1.4

03/28/2014 ARCress ipmiutil-2.9.3  changes
  doc/ipmiutil.spec   - add 'BuildRequires: systemd' if Fedora >= 15 (#1018044)
  scripts/install.cmd - split mkdir into two steps
  scripts/ipmi_info    - return 0 even if sysinfo is not supported
  scripts/ipmi_port.sh - redirect threshold.sh output to thresh_out.txt
  util/ifru.c         - [thibaulf88] Add another valid type (0x0) in ValidTL,
  		Add end-of-string char in binary case of decode_string function.
  			removed #ifdef OLD nSec case
  util/ievents.c      - parse SMI as if BMC when getting sensor description
  util/isel.c         - fix optarg for -l
  util/i*.c           - handle SUPEMICRO and SUPERMICROX the same
  util/iconfig.c      - use ipmi_reserved_user() to skip user1 sometimes
  util/ilan.c         - set default SOL_AUTH to operator if SUPERMICRO
  util/ihealth.c      - call get_device_guid if system guid error
  util/subs.c         - added get_device_guid routine
  util/ipmi_sample.c  - use get_BiosVersion also
  util/isensor.c      - add PS Fan Fail case, move SDR typedefs to isensor.h,
  			fix for -j jumpstart premature end.
  util/isensor.h      - move SDR typedefs to isensor.h
  util/oem_fujitsu.c  - return error if no OEM sensor status string
  util/Makefile.am    - build iseltime by default, build libipmiutil.so, 
  configure.ac        - include -fPIC in OS_CFLAGS, exclude .so if Mac/Solaris,
  			added -Wunused-result -Wgnu-designator to cfwarn   	
  INSTALL             - update Windows build instructions
  doc/UserGuide       - update Windows build instructions, added API section 9
  doc/ipmiutil.spec   - include libipmiutil.so
  debian/*            - changes from review by JuhaniN
  lib/lanplus/lanplus.c           - clean up compile warnings (OliverS)
  util/idcmi.c util/iekanalyzer.c - clean up compile warnings (OliverS)
  util/ipmiutil2.mak util/ipmiutil2-64.mak   - makefile cleanup (OliverS)
  cleanwin.cmd util/ipmiutil.mak util/ipmiutil64.mak - ditto
  ipmiutil-2.9.3 contains:
    ipmiutil	(ipmiutil)	  	 ver 2.93
    ...(various subcommands)	  	 ver 2.93
    ismcoem	(ipmiutil smcoem)  	 ver 2.93
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover	(ipmiutil discover)  	 ver 1.9
    ipmi_port	(ipmi_port)  		 ver 1.4

08/08/2014 ARCress ipmiutil-2.9.4  changes
  util/isensor.c      - for -j: more debug output & handle if recid=0,
  			longer KCS timeouts for Supermicro
  util/idcmi.c        - cast ulong for << 24
  util/ipmilan.c      - cast ulong for << 24
  util/oem_hp.c       - check unit1 bits last
  lib/lanplus/lanplus.c - for bridge response change memcpy to memmove
  lib/lanplus/helper.c  - use LANHELPER compile flag
  util/subs.c           - use LANHELPER compile flag
  util/ilan.c         - add -O secure option (disable null user, cipher0=off)
  util/ipmild.c       - fix --enable-landesk build error for support-request 9
  util/ipmicmd.c,.h   - fix set_lan_options memory leak to use LAN_OPT
  util/ipmilan.c      - use LAN_OPT, fix socket leaking if TCP.
  util/ipmilanplus.c  - use LAN_OPT
  util/ihealth.c      - added 2 new SuperMicro product ids
  util/md2.h          - added openssl exception license text also
  util/Makefile.am    - fix error if INS_LIB
  ipmiutil-2.9.4 contains:
    ipmiutil	(ipmiutil)  	 	 ver 2.94
    ...(various subcommands)	  	 ver 2.94
    ismcoem	(ipmiutil smcoem)  	 ver 2.94
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover	(ipmiutil discover)  	 ver 1.9
    ipmi_port	(ipmi_port)  		 ver 1.4

11/03/2014 ARCress ipmiutil-2.9.5  changes
 util/iseltime.c      - fix UTC conversion issue in show_time()
 util/ipmilan.c       - only show Opening/Connecting messages if fdebugcmd
 configure.ac         - added enable-libsensors to add sensor modules to lib
 util/Makefile.am     - added LIBSENSORS/SAM2OBJ variables for libsensors
 util/ipmicmd.c       - changed ipmi_sendrecv to handle different oem lun
  icmd.c              - add -p option for port (from Rafal Zajac)
  ipmicmd.c/.h        - changes to handle -p lan option (from Rafal Zajac)
  ipmilan.c/.h        - changes to handle custom lan port (from Rafal Zajac)
  idcmi.c	      - add -p port option
  igetevent.c	      - add -p port option
  ipmi_sample.c	      - add -p port option
  ipmi_sample_evt.c   - add -p port option
  isel.c    	      - add -p port option
  isol.c  	      - add -p port option
  util/ipmiutil*.mak  - add mt.exe to embed manifest
  lib/Makefile.am     - new, fix for automake
  lib/libipmiutil.pc.in - new, fix for pkg-config
  configure.ac        - add support for pkg-config (from Arnaud Quette),
  			add enable-useflags option for cross-compiling
  debpkg/             - renamed from debian/ to debpkg/ (jff)
  util/iconfig.c      - fix optvals loop out-of-bounds (from jff-webhosting.net)
  util/ievents.c      - fix NFWERRS/NFWSTAT potential out-of-bounds (jff)
  util/ifirewall.h    - fix netfn out-of-bounds around line 1064    (jff)
  doc/ipmiutil.spec   - move libipmiutil.a to ipmiutil-static package (fedora)
  ipmiutil-2.9.5 contains:
    ipmiutil	(ipmiutil)	  	 ver 2.95
    ...(various subcommands)	  	 ver 2.95
    ismcoem	(ipmiutil smcoem)  	 ver 2.95
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover	(ipmiutil discover)  	 ver 1.9
    ipmi_port	(ipmi_port)  		 ver 1.4

04/22/2015 ARCress ipmiutil-2.9.6  changes
  util/ipmiutil.mak    - add ifruset.exe as optional
  util/ipmiutil64.mak  - add ifruset.exe as optional
  scripts/ipmiutil_wdt - fix bashisms (from Oleksandr Chumachenko)
  scripts/ipmiutil_evt - fix bashisms
  scripts/ipmiutil_asy - fix bashisms 
  scripts/ipmi_port.sh - fix bashisms
  scripts/ipmi_info    - fix bashisms
  util/ilan.c          - restore prev gateway if not on same subnet
  util/isensor.c       - restore prev gateway if not on same subnet,
  			 fix jumpstart error in windows with fopen("wb")
  util/AnsiTerm.cpp    - remove asserts in ProcessRM
  configure.ac         - merge OSX Homebrew MD2 fix from Paolo Giarrusso
  cleanwin.cmd         - patch from Oliver Stoneberg
  util/ipmicmd.c       - fix unused var warning (Oliver Stoneberg)
  util/ipmiutil.mak    - conditional for manifest 
  lib/Makefile.am      - do not try to build lanplus if disabled
  doc/ipmiutil.spec    - correct some day-of-week errors in changelog
  ipmiutil-2.9.6 contains:
    ipmiutil	(ipmiutil)  	 	 ver 2.96
    ...(various subcommands)	  	 ver 2.96
    ismcoem	(ipmiutil smcoem)  	 ver 2.96
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover	(ipmiutil discover)  	 ver 1.9
    ipmi_port	(ipmi_port) 	 	 ver 1.4

10/10/2015 ARCress ipmiutil-2.9.7  changes
  COPYING.win           - new, include getopt.c and openssl copyright/license
  COPYING               - updated to Debian format for clarity
  Makefile.am           - filter out *.rej/.orig files from tarball
  doc/UserGuide         - updated Windows ipmidrv.sys information for Win2012
  util/ipmiutil.mak     - cleanup
  util/ipmiutil64.mak   - cleanup
  util/ipmilan.c        - if detect LAN2.0 support, always switch to -Flan2
  			  to avoid errors from Dell or Huawei firmware. 
  util/isel.c           - allow access if not superuser (sr#15)
  util/isensor.c        - allow access if not superuser (sr#15),
  			  add checks for idstr uninitialized,
  			  handle stdout/stderr messages,
  			  fix ids if -i used with -j 
  util/subs.c	        - handle stdout/stderr messages in lprintf
  util/ipmidir.c	- return without trying if no SMBIOS IPMI (RH#1219325)
  util/ihealth.c        - recognize SMC X10DRH
  util/oem_supermicro.c - added powersupply status function
  util/idiscover.c      - add HPUX ia64 compile fixes
  util/igetevent.c      - add HPUX ia64 compile fixes
  util/mem_if.c         - if ARM64, do not use /dev/mem
  util/Makefile.am      - set SONAME as libipmiutil.so.1
  lib/lanplus/lanplus.c - send "Connected to" message to stdout only,
  						  add HPUX to be like SOLARIS for structures
  lib/lanplus/lanplus_crypt_impl.c - do not recreate c:/.rnd if there
  doc/ipmiutil.spec     - move libipmiutil.so to base rpm (RH#1177213), 
  			  fix IPMIret issue for sel -v
  configure.ac          - For HP-UX, add imb and some cosmetic cleanup
  configure.ac:   use CC instead of gcc, full link for stack protector test (from Thomas Petazzoni)
  README:         update bug tracker link (from  Baruch Siach)
  util/imb_api.h: Avoid wchar_t redefinition (from  Baruch Siach)
  util/ipmimv.c:  Add missing sys/select.h include (from  Baruch Siach)
  util/mem_if.c:  Add missing linux/param.h header include (from  Baruch Siach)
  ipmiutil-2.9.7 contains:
    ipmiutil	(ipmiutil)  		 ver 2.97
    ...(various subcommands)	  	 ver 2.97
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    ifwum   	(ipmiutil fwum)  	 ver 1.3
    ihpm    	(ipmiutil hpm)  	 ver 1.09
    idiscover	(ipmiutil discover)  	 ver 1.9
    ipmi_port	(ipmi_port)  	 	 ver 1.4

11/20/2015 ARCress ipmiutil-2.9.8beta  changes
  util/ipmidir.c 		- do not close(iofd) in BSD if <0 (fedora#138819)
  lib/Makefile.am       - fix if no lanplus and openssl missing (Baruch Siach)
  configure.ac          - fix stack protection check for uClibc (Baruch Siach),
  configure.ac          - For HP-UX, clean up GNU .NOEXPORT,
            		Differentiate between FreeBSD 7 and later versions
  util/ipmimv.c         - fix structure packing for FreeBSD 8 & 9
  scripts/ipmi_port.service - if $IPORTMAP not there in setup, handle cleanly 

12/30/2015 ARCress ipmiutil-2.9.8  changes
  util/isensor.c 		- show an error message for malformed SDR record
  util/ipmicmd.c 		- show vendor/prod debug message with getdeviceid
  util/ifru.c           - fix all %f expects double warnings (Felix Janda)
  util/imb_api.h        - remove extra WCHAR defines, use config.h (Felix Janda)
  configure.ac          - add AC_CHECK_TYPES(wchar_t) (Felix Janda)
  ipmiutil-2.9.8 contains:
    ipmiutil	(ipmiutil)  	 ver 2.98
    ...(various subcommands)	 ver 2.98
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    iekanalyzer	(ipmiutil ekanalyzer)  	 ver 1.00
    idiscover	(ipmiutil discover)  	 ver 1.10
    ipmi_port	(ipmi_port)  	 ver 1.4


04/29/2016 ARCress ipmiutil-2.9.9  changes
  util/ihealth.c 		- skip get_chan_auth if vendor Giga-Byte (handle fw bug)
  util/subs.c			- show vendor Giga-Byte in get_iana_str
  util/isensor.c 		- show Intel full sensor as Absent if (sens[2] == 0xc7)
  util/idiscover.c 		- v1.11 allow .0 if fBroadCastOK (-a -b)
  Makefile.am			- remove more temp files when making tarball
  doc/ipmiutil.spec     - refine detection if IPMI is present,
  					      add BuildRequires: systemd-units for epel7 RH#1318393
  scripts/ipmiutil_wdt  - add >/dev/null to avoid extra root mail 
  util/ipmilan.c 		- retry for WSAECONNRESET(10054) also
  util/ipmimv.c         - set FD_CLOEXEC
  util/ipmicmd.c        - add ERR_SDR_MALFORMED to decode_rv
  util/ipmicmd.h        - add ERR_SDR_MALFORMED 
  util/isensor.c        - set ERR_SDR_MALFORMED if bad SDR data returned,
  						  add -k option for num sec loop delay,
  						  abort if ReservationID retry fails,
  						  with -j try to create SDR file if not there
  doc/isensor.8         - update with -j description
  doc/UserGuide         - update with -j description
  doc/ipmiutil.spec     - do not chkconfig --add ipmiutil_wdt 
  util/idcmi.c          - handle if mc_id is truncated
  util/iekanalyzer.c    - stub out unless configure --enable-ekanalyzer
  configure.ac          - add ekanalyzer option
  util/oem_supermicro.c	- fix Supermicro memory DIMM decoding
  scripts/ipmi.init.basic - do not start ipmi_watchdog if Supermicro
  lib/lanplus/lanplus.c - enable cipher 15,16 if HAVE_SHA256
  util/*.c              - changes to reduce compile warnings
  ipmiutil-2.9.9 contains:
    ipmiutil	(ipmiutil)  	 ver 2.99
    ...(various subcommands)	 ver 2.99
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover	(ipmiutil discover)  	 ver 1.11
    ipmi_port	(ipmi_port)  	 ver 1.4

08/15/2016 ARCress ipmiutil-3.0.0  changes
  util/ipmicmd.h        - define RT_OEMIU as 0xDB
  util/ipmicmd.c        - if ERR_LAN_V2 set driver before open_lan2
  util/isel.c           - add -i for RT_OEMIU 0xDB events
  util/ievents.c        - interpret RT_OEMIU 0xDB events
  util/oem_supermicro.c	- interpret SMC OEM 0xC8 events,
  	                      interpret SMC HDD sensors differently,
  	                      add factory defaults option
  doc/ipmiutil.spec     - put so.1 in base, so in devel
  util/ipmiutil.mak     - add LF_LANPLUS to DLL
  util/oem_intel.c/h    - add support for Kontron CG2300/Grantley (gdicaire)
  util/ialarms.c        - add support for Kontron CG2300/Grantley (gdicaire)
  util/isensor.c        - add support for Kontron CG2300/Grantley (gdicaire)
  util/ihealth.c        - add support for Intel S2600/Grantley (arcress)
  util/iconfig.c        - add SMC lanport save/restore
  Makefile.am           - clean up .deps directories in make tarball
  ipmiutil-3.0.0 contains:
    ipmiutil	(ipmiutil)  	 ver 3.00
    ...(various subcommands)	 ver 3.00
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover	(ipmiutil discover)  	 ver 1.11
    ipmi_port	(ipmi_port)  	 ver 1.4

12/29/2016 ARCress ipmiutil-3.0.1  changes
  util/oem_dell.c       - set Dell severities better, if empty desc fall through
  util/ievents.c        - for Battery 'Failed OK' -> 'Failed is OK now',
  						  for Power Supply include decode_redund,
  util/ihealth.c        - set SuperMicro X10DRL to not try get_powerstate,
  util/ipmidir.c        - abort if no SMBIOS record for IPMI without trying, avoid IOerr sometimes
  util/isensor.c        - add decode_comp_generic for missing ev_type values
  util/subs.c			- add Lenovo vendor
  util/oem_lenovo.c     - new, custom Lenovo sensor readings, stub for sel
  util/oem_lenovo.h     - new
  util/Makefile.am      - add oem_lenovo.c
  util/ipmiutil*.mak    - add oem_lenovo.c
  util/oem_supermicro.c - workaround for SuperMicro threshold firmware bug
  scripts/ipmi_port.service - 0710-systemd.patch from Jorg Frings-Furst
  configure.ac          - detect openssl-1.1.0 for SSL11
  lib/lanplus/lanplus_crypt_impl.c - added openssl-1.1.0 support w SSL11
  ipmiutil-3.0.1 contains:
    ipmiutil	(ipmiutil)  	 ver 3.01
    ...(various subcommands)	 ver 3.01
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover(ipmiutil discover) ver 1.11
    ipmi_port	(ipmi_port)  	 ver 1.4

02/16/2017 ARCress ipmiutil-3.0.2  changes
  util/isensor.c        - if oem sensors, vary output by fsimple
  scripts/ipmiutil_wdt  - fixup for systemd (from Mike Williams)
  README, COPYING       - clarify that md2.h is not included unless --enable-gpl
  util/oem_lenovo.c     - decode IBM disk slot sensors
  util/oem_supermicro.c - fixup for P1_DIMMA-9 case
  util/ihealth.c        - add more IBM product strings
  util/ievents.c        - added drive 05 = not redundant
  util/oem_asus.c       - new, added OEM ASUS module
  util/ipmicmd.h        - added VENDOR_ASUS id
  util/subs.c           - added vendor ASUS
  util/isensor.c        - added call to decode_sensor_asus
  util/Makefile.am      - add oem_asus.c
  util/ipmiutil.mak     - add oem_asus.c
  util/ipmiutil64.mak   - add oem_asus.c
  ipmiutil-3.0.2 contains:
    ipmiutil	(ipmiutil)  	 ver 3.02
    ...(various subcommands)	 ver 3.02
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover(ipmiutil discover) ver 1.11
    ipmi_port	(ipmi_port)  	 ver 1.4

03/24/2017 ARCress ipmiutil-3.0.3  changes (iver 3.03)
  util/ihealth.c        - add more SuperMicro product strings for X11,
  			              add some Lenovo and HP restrictions
  util/iseltime.c       - add get_sel_utc/set_sel_utc routines
  util/oem_hp.c         - Remove custom 0x40 Init for HP (support#22 fix)
  util/ilan.c           - added GetUserInfo routine for iuser
  util/ilan.c           - fix indenting
  util/iuser.c          - new file, user subfunctions
  util/Makefile.am      - add iuser.c
  util/*.mak            - add iuser.c
  ipmiutil-3.0.3 contains:
    ipmiutil	(ipmiutil)  	 ver 3.03
    ...(various subcommands)	 ver 3.03
    ifwum	(ipmiutil fwum)  	 ver 1.3
    ihpm	(ipmiutil hpm)  	 ver 1.09
    idiscover	(ipmiutil discover)  	 ver 1.11
    ipmi_port	(ipmi_port)  	 ver 1.4

04/11/2017 ARCress ipmiutil-3.0.4  changes (iver 3.04)
  util/ievents.c        - resolve type 0xDB printf warning (support #24)
  util/iuser.c          - resolve compile warning
  util/oem_dell.c       - resolve compile warning
  util/oem_lenovo.c     - added custom DIMM and CPU sensor meanings (#23)
  util/oem_supermicro.c - fix fan sensors for simple mode format
  util/isensor.c        - add simple param to decode_sensor_supermicro
  util/AnsiTerm.cpp     - pick default instead of assert if bad SGR (#25)

06/06/2017 ARCress ipmiutil-3.0.5  changes (iver 3.05)
  util/isol.c           - set -V4 default if SUPERMICRO -a 
  util/ihealth.c        - retry if ccode 193 in get_power_state (SuperMicro)
  util/oem_supermicro.c - never trust SMC threshold status, check by value

08/08/2017 ARCress ipmiutil-3.0.6  changes (iver 3.06)
  configure.ac          - AM_CONFIG_HEADER -> AC_CONFIG_HEADERS (automake 1.13)
  util/oem_supermicro.c - factory defaults detect if X11 (mode 3?),
  		                  handle inert VBAT sensor for X11DRi w units=0xC0,
  		                  OEM C8 = AC Power On asserted
  util/isensor.c        - show unit=0xC0 sensors as NotAvailable

09/20/2017 ARCress ipmiutil-3.0.7  changes (iver 3.07)
  util/oem_supermicro.c - set typestr for some OEM events
  util/ievents.c        - added undefined OS Boot types 7, 8 for SuperMicro
  vcvars32.bat          - run vcvars from VCINSTALLDIR or VSINSTALLDIR
  vcvars64.bat          - run vcvars from VCINSTALLDIR or VSINSTALLDIR
  buildwin.cmd          - detect any 64 in LIBPATH, not just amd64
  buildwin32.cmd        - new, only build 32bit
  buildwin64.cmd        - new, only build 64bit
  buildmin.cmd          - renamed from buildwin2.cmd (minimal), detect any 64
  util/ipmiutil2.mak    - add oem_lenovo, oem_asus, iuser for minimal
  util/ipmiutil2-64.mak - add oem_lenovo, oem_asus, iuser for minimal
  doc/UserGuide         - document buildmin.cmd, separate section for WinPE
  util/icmd.c           - auto-request admin priv always if remote
  util/ihealth.c        - set do_powerstate=0 for Sun, continue if error

01/08/2018 ARCress ipmiutil-3.0.8  changes (iver 3.08)
  configure.ac          - add -fno-strict-aliasing flag
  doc/ipmiutil.spec     - handle if dmidecode is missing, 
  	                      fix scr_dir typo (RHBZ# 1531830)
  util/iuser.c          - default to -V4 admin privilege for lan
  util/ilan.c           - show & clear GetSOL error if present
  util/ipmicmd.c        - add decode_rv to ipmi_open errors
  lib/lanplus/lanplus_crypt_impl.c - use win_rand_filename not RAND_file_name 

03/26/2018 ARCress ipmiutil-3.0.9  changes (iver 3.09)
  doc/ipmiutil.spec     - handle fc25/fc28 BuildRequires qrencode-libs, 
  				          include gcc gcc-c++ BuildRequires for all
  util/ipmiutil.c,ifruset.c,iseltime.c,... - use global progver
  util/oem_lenovo.c     - handle sensor type 0x17 (RSA II, Mem1) for SFBug#31,
  				          add get_ibm_event for some IBM OEM events
  util/ievents.c        - fixed (data1 & 0x0f) for BIOS POST events

04/17/2018 ARCress ipmiutil-3.1.0  changes (iver 3.10)
  util/ievents.c        - add decode_mem_default routine for AMI,HP mem events 
  		                  not handled by existing oem routines (SFBug#32)

05/31/2018 ARCress ipmiutil-3.1.1  changes (iver 3.11)
  scripts/ipmi.init.basic - add acpi_ipmi module handling
  util/ifru.c             - if C5, get reservation again on retry (SFBug#33)

07/20/2018 ARCress ipmiutil-3.1.2  changes (iver 3.12)
  util/ifruset.c          - fopen("wb") ifdef WIN32,
  		                    fix sz calc for multi-record area,
  		                    show -y (doanyway) option in usage,
  		                    add invalid type/len check for mult-record area
  util/ifru.c             - add invalid type/len check for mult-record area
  doc/iseltime.8          - new (was in UserGuide), added for RHBZ#1600386
  util/Makefile.am        - added $(EXEEXT) to all targets for RHBZ#1604378

09/13/2018 ARCress ipmiutil-3.1.3  changes (iver 3.13)
  util/oem_hp.c           - handle analog readings in HP discrete Fan sensors
  					        (SF_Feat#9)

07/18/2019 ARCress ipmiutil-3.1.4  changes (iver 3.14)
  doc/ipmiutil.spec       - systemd changes contributed from Aska Wu (1/10/19)
  configure.ac            - change disable-lanplus to enable-lanplus 
  util/ievents.c          - added more SuperMicro boot events
  util/ipmicmd.c          - if WIN IPv6 use lan2 protocol
  util/ipmilan.c          - changes for WIN IPv6
  util/itsol.c            - changes for WIN IPv6
  lib/lanplus/lanplus.c   - changes for WIN IPv6
  lib/lanplus/ipmiplus.mak - added /DHAVE_IPV6, but not enabled yet
  util/ipmiutil64.mak     - set /DHAVE_IPV6
  util/ipmiutil.mak       - set /DHAVE_IPV6
  util/ipmiutil.c         - ver 3.14
  util/ifru.c             - skip overflow message if len=0 (SF_SR#35),
			    handle X11DPT crash w do_sysinfo=0
  util/ilan.c             - handle detecting NIC if default devnum is not 0,
	                    resolve compile warnings
  util/ihealth.c          - decode SuperMicro X11DPT-B
  util/igetevent.c        - resolve compile warnings
  util/isensor.c          - resolve compile warnings
  util/isel.c	          - resolve compile warnings
  util/iconfig.c          - resolve compile warnings

11/01/2019 ARCress ipmiutil-3.1.5  changes (iver 3.15)
  Windows EXEs built with openssl 1.0.2
  util/isensor.c          - workaround for Pigeon Point bad sa in SDR
  buildwinARM64.cmd       - new for ARM64 build (SF ticket# 38),
			    Contributed by Hozefa Karachiwala
  util/ipmiutil64.mak     - changed for ARM64,
			    Contributed by Hozefa Karachiwala
  lib/lanplus/ipmiplus.mak - changed for ARM64,
			    Contributed by Hozefa Karachiwala
  buildwin.cmd            - detect/set MARCH=IA86 or X64 from vcvars
  buildmin.cmd            - detect/set MARCH=IA86 or X64 for minimal
  Windows EXEs built with openssl 1.0.2

03/15/2020 ARCress ipmiutil-3.1.6  changes (iver 3.16)
  util/iconfig.c          - fix Fedora bug 1811462 [abrt] ipmiutil config -a
  util/ipmiutil.c         - show version with usage (-?) if no subcommand
  doc/ipmiutil.spec       - renamed ipmiutil.env as .env.template
			    (contributed by mwilliams<at>illuminate.solutions)
  scripts/ipmiutil.env.template - renamed env as template
  scripts/Makefile.am     - renamed env as template 
  scripts/checksel	  - also rm -f $ddir/sel.idx after isel -d
			    (contributed by eguzovsky<at>gmail.com)
  doc/Makefile.am     	  - change gzip -f to gzip -nf for man pages
			    (SF_SR#40 patch from Jeremy Puhlman)

